<?php
/*****************************************************************************
 View.php file
 -----------------------------------------------------------------------------
 *  File              :          Mofluid/Mofluidadmin/Block/View.php
 *  Application       :          Mofluid-Magento Plugin
 *  Description       :          View of Mofluid Admin Panel Menu for Magento Admin
 *  Organization      :          Mofluid
 *  Org URL           :          http://www.mofluid.com
 -----------------------------------------------------------------------------
 Copyright 2014: Ebizon Netinfo Pvt. Ltd. All rights reserved
 -----------------------------------------------------------------------------
*****************************************************************************/
class Mofluid_Mofluidadmin_Block_View extends Mage_Core_Block_Template {
    
     public function getCommonSetting() {
	    $connection = Mage::getSingleton('core/resource')->getConnection('core_read'); 
		$select1 = $connection->select()
			->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidcommon'), array('*')) 
			->where('id=?',1);
		$CommonData =$connection->fetchRow($select1);
		return $CommonData;	
	 }
	 public function set_php_ini_values() {
	     //-------- Set PHP.INI Values
	     ini_set('post_max_size','256M');
	     ini_set('upload_max_filesize','256M');
	     ini_set('max_file_uploads','50');
	 }
     protected function _toHtml() {
         $this->set_php_ini_values();
         //-------- Find URL and respective menu option
	     $url =$this->helper('core/url')->getCurrentUrl();
	     $arr = explode('/',$url);
	     $pos = count($arr)-1;
	     $option = ''.$arr[$pos];
		
		//--------- Mofluid Media Directory URL & path
		$mofluid_media_site_url = Mage::getBaseUrl('media');   //http:/domain/media/
		$mofluid_media_site_path = Mage::getBaseDir('media');  //home/site/public_html/media
		
		 //-------- Include JS and other library
         $form = '<script type="text/javascript" src='.$this->getJsUrl().'mofluid/js/jquery-1.10.2.min.js></script><script type="text/javascript" src='.$this->getJsUrl().'mofluid/js/prototype.js></script>
                 <script type="text/javascript" src='.$this->getJsUrl().'mofluid/js/scriptaculous.js?load=builder,effects></script>
                 <script type="text/javascript" src='.$this->getJsUrl().'mofluid/js/modalbox.js></script>
                 <script type="text/javascript" src='.$this->getJsUrl().'mofluid/js/jscolor.js></script>
                 <link rel="stylesheet" href='.$this->getJsUrl().'mofluid/css/modalbox.css type="text/css" media="screen" />';
		
	  //----- Determine wether a POST Request Occurrs or not
	  if(isset($_POST['form_name'])){
	      //-------- Find the menu optiom and navigate accordingly
	      switch($_POST['form_name']) {	
	          case 'appdetails':
		          //--------- When Application Details form submit with POST request 
		          $connection = Mage::getSingleton('core/resource')->getConnection('core_write');
                  $connection->beginTransaction();
                  $dbpath = $mofluid_media_site_url.'mofluid/images/android/'; //desitnation directory
                  $path = $mofluid_media_site_path.'/mofluid/images/android';
                  $__fields = array();
                  $__fieldsAndroid = array();
                  if($_FILES['release_key']['name']!="" && $_POST['key_type']=="1") {
                      try {
			          $uploader = new Varien_File_Uploader('release_key'); //load class
                      $uploader->setAllowedExtensions(array('keystore')); //Allowed extension for file
                      $uploader->setAllowCreateFolders(true); //for creating the directory if not exists
                              $uploader->setAllowRenameFiles(false); //if true, uploaded file's name will be changed, if file with the same name already exists directory.
                              $uploader->setFilesDispersion(false);
                              $uploader->save($path,$_FILES['release_key']['name']); //save the file on the specified path
                              $__fieldsAndroid['release_key'] = $dbpath.$_FILES['release_key']['name'];		             
                          }
                              catch(Exception $excc) {
                                           $form .= '<script>Modalbox.show("<p><font color=red size=2>'.$excc->getMessage().'</font></p>",{title: "Mofluid : Application Details", width: 400});</script>';
		                                   break;
		                      }
                         }
                         $__fields['mofluid_id'] = $_POST['mofluid_id'];
                         $__fields['mofluid_key'] = $_POST['mofluid_key'];
                         $__fieldsAndroid['app_name'] = $_POST['name'];
                         $__fieldsAndroid['bundle_id'] = $_POST['bundle_id'];
                         $__fieldsAndroid['version'] = $_POST['version'];
                         $__fieldsAndroid['default_store'] = $_POST['store'];
                         $__fieldsAndroid['currency_type'] = $_POST['currency_type'];
                         $__fieldsAndroid['key_status'] = $_POST['key_type'];
                         if($_POST['key_type']=="1") {
		              $__fieldsAndroid['keystore_pswd'] = $_POST['keystore_pswd'];
                              $__fieldsAndroid['privatekey_pswd'] = $_POST['privatekey_pswd'];
                             
			 }
			 else {
			      $__fieldsAndroid['keystore_pswd'] = $_POST['key_store_pwd'];
                              $__fieldsAndroid['privatekey_pswd'] = $_POST['key_pwd'];
                              $__fieldsAndroid['key_validity'] = $_POST['key_validity'];
                              $__fieldsAndroid['key_data'] = 'CN='.$_POST['key_common_name'].',OU='.$_POST['key_org_unit'].',O='.$_POST['key_org'].',L='.$_POST['key_city'].',ST='.$_POST['key_state'].',C='.$_POST['key_country'].'';
			 }
                         $__fieldsAndroid['valid_app'] = 1;
                         $__where = $connection->quoteInto('mofluidadmin_id =?', 1);
                         $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidadmin'), $__fields, $__where);
                         $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidandroid'), $__fieldsAndroid, $__where);
                         $connection->commit();
                         $form .= '<script>Modalbox.show("<p><font color=green size=2>Application details saved for android.</font></p>",{title: "Mofluid : Application Details", width: 400});</script>';
		    break;
		    case 'assetsdetails':
		         //--------- When Application Assets Details form submit with POST request
		         try{
                              $dbpath = $mofluid_media_site_url.'mofluid/images/android/'; //desitnation directory
                              $path = $mofluid_media_site_path.'/mofluid/images/android';
                              $__fileassets = array();
                              $setdbflag=0;
                         
                              foreach($_FILES as $key => $tmp){
							  if($tmp['name']!="") {
									    $uploader = new Varien_File_Uploader($key); //load class
                                        $uploader->setAllowedExtensions(array('gif','png','jpeg','jpg')); //Allowed extension for file
                                        $uploader->setAllowCreateFolders(true); //for creating the directory if not exists
                                        //$uploader->setAllowRenameFiles(true); //if true, uploaded file's name will be changed, if file with the same name already exists directory.
                                        $uploader->setFilesDispersion(false);
                                        $uploader->save($path,$tmp['name']); //save the file on the specified path
                                        // resize the image after save 
                                        $org_path = $path."/".$uploader->getUploadedFileName();

                                        //$this->mofluidResize($org_path,$key) ;                              
                                        $__fileassets[$key] = $dbpath.$uploader->getUploadedFileName();
                                        $setdbflag=1;
				   }
			      }
			      $__fileassets['valid_assets'] = 1;
			      if($setdbflag!=0) {
			           $connection = Mage::getSingleton('core/resource')->getConnection('core_write');
                                   $connection->beginTransaction();
                                   $__where = $connection->quoteInto('mofluidadmin_id =?', 1);
                                   $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidandroid'), $__fileassets, $__where);
                                   $connection->commit();
                                   $form .= '<script>Modalbox.show("<p><font color=green size=2>Application Assets saved for android.</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
			      } 
                              else {
				   $form .= '<script>Modalbox.show("<p><font color=green size=2>Nothing to save for android assets.</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
			      }        
                         }
                         catch (Exception $e) {
                              $form .= '<script>Modalbox.show("<p><font color=red size=2>Error Message: '.$e->getMessage().'</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
                         }
		    break;
		    case 'themedetails':
		         //--------- When Theme Details form submit with POST request
		         try{
					          
					            $dbpath = $mofluid_media_site_url.'mofluid/images/android/';
                                $path = $mofluid_media_site_path.'/mofluid/images/android';
                                $__themeassets = array();
                                
                                foreach($_FILES as $key => $tmp){
								      if($tmp['name']!="") {
							                $uploader = new Varien_File_Uploader($key); //load class
                                            $uploader->setAllowedExtensions(array('gif','png','jpeg','jpg')); //Allowed extension for file
                                            $uploader->setAllowCreateFolders(true); //for creating the directory if not exists
                                            $uploader->setAllowRenameFiles(true); //if true, uploaded file's name will be changed, if file with the same name already exists directory.
                                            $uploader->setFilesDispersion(false);
                                            $uploader->save($path,$tmp['name']); //save the file on the specified path                                           
                                            
                                            // resize the image after save 
                                            $org_path = $path."/".$uploader->getUploadedFileName();
                                          
                                            //$this->mofluidThemeResize($org_path,$key);
                                            
                                            $__themeassets[$key] = $dbpath.$uploader->getUploadedFileName();
                                            
                                            
						              }
							    
                                    }
                                $__themeassets['app_image_type'] = $_POST['app_image_type'];
							    $__themeassets['theme_background'] = $_POST['theme_background'];
							    $__themeassets['theme_text'] = $_POST['theme_text'];
							    $__themeassets['theme_header'] = $_POST['theme_header'];
							    $__themeassets['theme_title'] = $_POST['theme_title'];
							    $__themeassets['theme_button'] = $_POST['theme_button'];
							    $__themeassets['customfooter'] = $_POST['customfooter'];
							    $__themeassets['customfooter_code'] = base64_encode($_POST['customfooter_code']);
							    $__themeassets['theme'] = $_POST['mofluid_theme'];
							
							    $__themeassets['valid_theme'] = 1;
							    $connection = Mage::getSingleton('core/resource')->getConnection('core_write');
                                $connection->beginTransaction();
                                $__where = $connection->quoteInto('mofluidadmin_id =?', 1);
                                $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidandroid'), $__themeassets, $__where);
                                $connection->commit();
                                $form .= '<script>Modalbox.show("<p><font color=green size=2>Theme Configuration saved for android.</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
						  }
                          catch (Exception $e) {
                                $form .= '<script>Modalbox.show("<p><font color=red size=2>Error Message: '.$e->getMessage().'</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
                          }
		           break;
		           case 'iosappdetails':
		           $connection = Mage::getSingleton('core/resource')->getConnection('core_write');
                     $connection->beginTransaction();
                     $__fields = array();
                     $__fields['mofluid_id'] = $_POST['mofluid_id'];
                     $__fields['mofluid_key'] = $_POST['mofluid_key'];
                     $__fieldsAndroid = array();
                     $__fieldsAndroid['app_name'] = $_POST['name'];
                     $__fieldsAndroid['bundle_id'] = $_POST['bundle_id'];
                     $__fieldsAndroid['version'] = $_POST['version'];
                     $__fieldsAndroid['default_store'] = $_POST['store'];
                     $__fieldsAndroid['currency_type'] = $_POST['currency_type'];
                     $__fieldsAndroid['valid_app'] = 1;
                     $__fieldsAndroid['device_udid'] = $_POST['device_udid'];
                     $__where = $connection->quoteInto('mofluidadmin_id =?', 1);
                     $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidadmin'), $__fields, $__where);
                     $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidiphone'), $__fieldsAndroid, $__where);
                     $connection->commit();
                     $form .= '<script>Modalbox.show("<p><font color=green size=2>Application details saved for iPhone.</font></p>",{title: "Mofluid : Application Details", width: 400});</script>';
		           break;
		           case 'iosassetsdetails_icons':
		             try{
		                    $dbpath = $mofluid_media_site_url.'mofluid/images/ios/'; //desitnation directory
                            $path = $mofluid_media_site_path.'/mofluid/images/ios';
                            $__fileassets = array();
                            $setdbflag=0;
                            foreach($_FILES as $key => $tmp){
								if($tmp['name']!="") {
							  $uploader = new Varien_File_Uploader($key); //load class
                              $uploader->setAllowedExtensions(array('gif','png','jpeg','jpg')); //Allowed extension for file
                              $uploader->setAllowCreateFolders(true); //for creating the directory if not exists
                              $uploader->setAllowRenameFiles(true); //if true, uploaded file's name will be changed, if file with the same name already exists directory.
                              $uploader->setFilesDispersion(false);
                              $uploader->save($path,$tmp['name']); //save the file on the specified path
                              // resize the image after save 
                              $org_path = $path."/".$uploader->getUploadedFileName();
                              //$this->mofluidResize($org_path,$key) ; 
                              $__fileassets[$key] = $dbpath.$uploader->getUploadedFileName();
                              $__fileassets['valid_assets'] = 1;
                              $setdbflag=1;
						      }
							}
							if($setdbflag!=0) {
							$connection = Mage::getSingleton('core/resource')->getConnection('core_write');
                            $connection->beginTransaction();
                            $__where = $connection->quoteInto('mofluidadmin_id =?', 1);
                            $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidiphone'), $__fileassets, $__where);
                            $connection->commit();
                            $form .= '<script>Modalbox.show("<p><font color=green size=2>Application Assets saved for iPhone.</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
						 }
						 else {
							 $form .= '<script>Modalbox.show("<p><font color=green size=2>Nothing to save for iphone\'s assets.</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
					     }        
                     }
                     catch (Exception $e) {
                            $form .= '<script>Modalbox.show("<p><font color=red size=2>Error Message: '.$e->getMessage().'</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
                     }
		           break;
		           case 'iosassetsdetails_splash':
		             try{
		                    $dbpath = $mofluid_media_site_url.'mofluid/images/ios/'; //desitnation directory
                            $path = $mofluid_media_site_path.'/mofluid/images/ios';
                            $__fileassets = array();
                            $setdbflag=0;
                            foreach($_FILES as $key => $tmp){
								if($tmp['name']!="") {
							  $uploader = new Varien_File_Uploader($key); //load class
                              $uploader->setAllowedExtensions(array('gif','png','jpeg','jpg')); //Allowed extension for file
                              $uploader->setAllowCreateFolders(true); //for creating the directory if not exists
                              $uploader->setAllowRenameFiles(true); //if true, uploaded file's name will be changed, if file with the same name already exists directory.
                              $uploader->setFilesDispersion(false);
                              $uploader->save($path,$tmp['name']); //save the file on the specified path
                              // resize the image after save 
                              $org_path = $path."/".$uploader->getUploadedFileName();
                              //$this->mofluidResize($org_path,$key) ; 
                              $__fileassets[$key] = $dbpath.$uploader->getUploadedFileName();
                              $__fileassets['valid_assets'] = 1;
                              $setdbflag=1;
						      }
							}
							if($setdbflag!=0) {
							$connection = Mage::getSingleton('core/resource')->getConnection('core_write');
                            $connection->beginTransaction();
                            $__where = $connection->quoteInto('mofluidadmin_id =?', 1);
                            $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidiphone'), $__fileassets, $__where);
                            $connection->commit();
                            $form .= '<script>Modalbox.show("<p><font color=green size=2>Application Assets saved for iPhone.</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
						 }
						 else {
							 $form .= '<script>Modalbox.show("<p><font color=green size=2>Nothing to save for iphone\'s assets.</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
					     }        
                     }
                     catch (Exception $e) {
                            $form .= '<script>Modalbox.show("<p><font color=red size=2>Error Message: '.$e->getMessage().'</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
                     }
		           break;
		           case 'iosthemedetails':
		                    $dbpath = $mofluid_media_site_url.'mofluid/images/ios/';
                            $path = $mofluid_media_site_path.'/mofluid/images/ios';
                            $__themeassets = array();
                            foreach($_FILES as $key => $tmp){
								if($tmp['name']!="") {
								  $uploader = new Varien_File_Uploader($key); //load class
								  $uploader->setAllowedExtensions(array('gif','png','jpeg','jpg')); //Allowed extension for file
								  $uploader->setAllowCreateFolders(true); //for creating the directory if not exists
								  $uploader->setAllowRenameFiles(true); //if true, uploaded file's name will be changed, if file with the same name already exists directory.
								  $uploader->setFilesDispersion(false);
								  $uploader->save($path,$tmp['name']); //save the file on the specified path
								  // resize the image after save 
								  $org_path = $path."/".$uploader->getUploadedFileName();
								 // $this->mofluidThemeResize($org_path,$key);
								  $__themeassets[$key] = $dbpath.$uploader->getUploadedFileName();
						      }
							}
							$__themeassets['valid_theme'] = 1;
                                                        $__themeassets['app_image_type'] = $_POST['app_image_type'];
							$__themeassets['theme_background'] = $_POST['theme_background'];
							$__themeassets['theme_text'] = $_POST['theme_text'];
							$__themeassets['theme_header'] = $_POST['theme_header'];
							$__themeassets['theme_title'] = $_POST['theme_title'];
							$__themeassets['theme_button'] = $_POST['theme_button'];
							$__themeassets['customfooter'] = $_POST['customfooter'];
							$__themeassets['customfooter_code'] = base64_encode($_POST['customfooter_code']);
							$__themeassets['theme'] = $_POST['mofluid_theme'];
							$connection = Mage::getSingleton('core/resource')->getConnection('core_write');
                            $connection->beginTransaction();
                            $__where = $connection->quoteInto('mofluidadmin_id =?', 1);
                            $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidiphone'), $__themeassets, $__where);
                            $connection->commit();
                            $form .= '<script>Modalbox.show("<p><font color=green size=2>Theme Configuration saved for iPhone.</font></p>",{title: "Mofluid : Assets Details", width: 400});</script>';
		           break;
		           case 'download_android':
		           try {
		                    $connection = Mage::getSingleton('core/resource')->getConnection('core_read'); 
                            $select1 = $connection->select()
                            ->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidandroid'), array('*')) 
                            ->where('mofluidadmin_id=?',1);
                            $AndroidApp =$connection->fetchRow($select1);
                            
                            $select3 = $connection->select()
                            ->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidadmin'), array('*')) 
                            ->where('mofluidadmin_id=?',1);
                            $Mofluiddata =$connection->fetchRow($select3);
		           $commonData = $this->getCommonSetting(); // get common setting dsta from admin 
		                 
      //------ Check download is possible or not 
		                    $valid_download = 0;
		                    if($AndroidApp["valid_app"]==0)
		                        $invalid_msg ="<p><font color=red size=2>There is some problem to generate the app. please make sure, you have set all valid settings in Application Details.</font></p>";
		                    else if($AndroidApp["valid_assets"]==0)
		                        $invalid_msg ="<p><font color=red size=2>There is some problem to generate the app. please make sure, you have set all valid settings in Application Assets.</font></p>";
		                    else if($AndroidApp["valid_theme"]==0)
		                        $invalid_msg ="<p><font color=red size=2>There is some problem to generate the app. please make sure, you have set all valid settings in Theme Configuration.</font></p>";
		                    else
		                        $valid_download = 1;
		                    
		                    //---- Inform about that Settings are valid or not
		                    if($valid_download==1) {
		                         
		                         
		                         
		                        $resource = Mage::getSingleton('core/resource');
                                $modules = Mage::getConfig()->getNode('modules')->children();
                                $modulesArray = (array)$modules;
                                $module_name_arr = array();
                                foreach($modulesArray as $key=>$val)  {
                                    if($val->active) {
                                        try {
                                            $module_name_arr[] = $key; 
                                        }
                                        catch(Exception $ex) {
                    
                                        }
                                    }  
                                }
                                $selectresource = $connection->select()
                                                             ->from(Mage::getSingleton('core/resource')
                                                             ->getTableName('mofluidadmin/mofluidresource'), array('*'));
                                $MofluidResourcedata =$connection->fetchAll($selectresource);
                                 $mofluid_available_resource = array();
                                $mofluid_final_resource_data = array();
                                $mofluid_final_resource = array();
                                $found = 0;
                                foreach($module_name_arr as $mkey=>$mval) {
                                    foreach($MofluidResourcedata as $mrkey=>$mrval) {
                                        if($mrval['module'] == $mval && $mrval['sendbuildmode'] != 0) {
                                            $mofluid_available_resource[] = $mrval['resource'];
                                            $found = 1;
                                        }
                                    }
                                }
                                if($found == 1) {
                                    foreach($mofluid_available_resource as $index=>$table_name) {
                                         $mofluid_res_select = $connection->select()
                                                                          ->from($table_name, array('*')); 
                                         $mofluid_final_resource_data[$table_name] = $connection->fetchRow($mofluid_res_select);
                                    }
                                }
                                try {
                                    $mofluid_table_prefix = Mage::getConfig()->getTablePrefix();
                                }
                                catch(Exception $prefixexc) {
                                    $mofluid_table_prefix = '';
                                }
                                $mofluid_final_resource["resource"] = $mofluid_available_resource;
                                $mofluid_final_resource["data"] = $mofluid_final_resource_data;
                                $mofluid_final_resource["site_url"] = $this->getBaseUrl();
                                $mofluid_final_resource["table_prefix"] = $mofluid_table_prefix;
                                $mofluid_final_resource["mofluid_build_auth_key"] = "QE1vZmx1aWQxLjEwLjJAX0BQcm9AX0BCeUViaXpvbkBfQFNoYXNoaUA=";
                                try {
                                    $request_file_name = $mofluid_media_site_path.'/mofluid/build_request_logs/mofluid_android_buildrequest.json';
                                    $request_file_handle = @fopen($request_file_name, "w");
                                    @fwrite($request_file_handle, json_encode($mofluid_final_resource));
                                    @fclose($request_file_handle);
                                }
                                catch(Exception $ex) {
                                    echo 'Error : '.$ex->getMessage();
                                }
                                
                                 $request_file_path = $mofluid_media_site_url.'mofluid/build_request_logs/mofluid_android_buildrequest.json';
                                 
		                         $data= array();
		                         $data["mofluidid"] = $Mofluiddata["mofluid_id"];
		                         $data['source'] = $request_file_path;
		                         $data['build_app_type'] = $commonData["build_app_type"];
		                        // print_r($data); die;
		                         if($commonData["build_url"]!="" && $commonData["build_app_type"]!=""){	
									$downloadlink = $commonData["build_url"].'/Platforms/Android/Controller.php?data='.json_encode($data);
		                            $downloadlink = str_replace(" ","%20",$downloadlink);
									$ch = curl_init();
									curl_setopt($ch, CURLOPT_URL, $downloadlink);
									curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
									//curl_setopt($ch, CURLOPT_PROXY, '192.168.1.11');
									//curl_setopt($ch, CURLOPT_PROXYPORT, '8080');
									curl_setopt($ch, CURLOPT_HEADER, 1);
									$exec = curl_exec($ch);
								    $resp = explode("\n\r\n", $exec);
								    $res_msg = explode("\n", $resp[1]);
								    $json = implode("",$res_msg);

									curl_close($ch);
									$obj =$json;
  	                             	if($obj == "")
										$obj = "Server Not Responding properly...Please Try Again after some time.";
  	                             }
  	                             $form .= '<script>Modalbox.show("<p><font color=green size=2>'.$obj.'</font></p>",{title: "Mofluid : Android App Download", width: 400});</script>';
                                 //echo $obj;
						    }
						    else {
								$form .= '<script>Modalbox.show("'.$invalid_msg.'",{title: "Mofluid : Android App Download", width: 400});</script>';
                            }
			       }
			       catch(Exception $ex) {
			           print_r ($ex->getMessage());
					   $form .= '<script>Modalbox.show("<p><font color=red size=2>Error Message: '.$ex->getMessage().'</font></p>",{title: "Mofluid : Android App Download", width: 400});</script>';
				   }
		           break;
		           case 'download_ios':
		           try {
		                    $connection = Mage::getSingleton('core/resource')->getConnection('core_read'); 
                            $select1 = $connection->select()
                            ->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidiphone'), array('*')) 
                            ->where('mofluidadmin_id=?',1);
                            $iPhoneApp =$connection->fetchRow($select1);
                            
                            $select3 = $connection->select()
                            ->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidadmin'), array('*')) 
                            ->where('mofluidadmin_id=?',1);
                            $Mofluiddata =$connection->fetchRow($select3);
		           
		                    //------ Check download is possible or not 
		                    $valid_download = 0;
		                    
		                    if($iPhoneApp["valid_app"]==0)
		                        $invalid_msg ="<p><font color=red size=2>There is some problem to generate the app. please make sure, you have set all valid settings in Application Details.</font></p>";
		                    else
		                        $valid_download = 1;
		                    
		                    //---- Inform about that Settings are valid or not
		                    $commonData = $this->getCommonSetting(); // get common setting dsta from admin 
		                    if($valid_download==1) {
                                $resource = Mage::getSingleton('core/resource');
                                $modules = Mage::getConfig()->getNode('modules')->children();
                                $modulesArray = (array)$modules;
                                $module_name_arr = array();
                                foreach($modulesArray as $key=>$val)  {
                                    if($val->active) {
                                        try {
                                            $module_name_arr[] = $key; 
                                        }
                                        catch(Exception $ex) {
                    
                                        }
                                    }  
                                }
                                $selectresource = $connection->select()
                                                             ->from(Mage::getSingleton('core/resource')
                                                             ->getTableName('mofluidadmin/mofluidresource'), array('*'));
                                $MofluidResourcedata =$connection->fetchAll($selectresource);
                                //print_r($MofluidResourcedata);
                                $mofluid_available_resource = array();
                                $mofluid_final_resource_data = array();
                                $mofluid_final_resource = array();
                                $found = 0;
                                foreach($module_name_arr as $mkey=>$mval) {
                                    foreach($MofluidResourcedata as $mrkey=>$mrval) {
                                        if($mrval['module'] == $mval && $mrval['sendbuildmode'] != 0) {
                                            $mofluid_available_resource[] = $mrval['resource'];
                                            $found = 1;
                                        }
                                    }
                                }
                       if($found == 1) {
                                    foreach($mofluid_available_resource as $index=>$table_name) {
                                         $mofluid_res_select = $connection->select()
                                                                          ->from($table_name, array('*')); 
                                         $mofluid_final_resource_data[$table_name] = $connection->fetchRow($mofluid_res_select);
                                    }
                                }
                                try {
                                    $mofluid_table_prefix = Mage::getConfig()->getTablePrefix();
                                }
                                catch(Exception $prefixexc) {
                                    $mofluid_table_prefix = '';
                                }
                                $mofluid_final_resource["resource"] = $mofluid_available_resource;
                                $mofluid_final_resource["data"] = $mofluid_final_resource_data;
                                $mofluid_final_resource["site_url"] = $this->getBaseUrl();
                                $mofluid_final_resource["table_prefix"] = $mofluid_table_prefix;
                                $mofluid_final_resource["mofluid_build_auth_key"] = "QE1vZmx1aWQxLjEwLjJAX0BQcm9AX0BCeUViaXpvbkBfQFNoYXNoaUA=";

                                try {
                                    $request_file_name = $mofluid_media_site_path.'/mofluid/build_request_logs/mofluid_ios_buildrequest.json';
                                    $request_file_handle = @fopen($request_file_name, "w");
                                    @fwrite($request_file_handle, json_encode($mofluid_final_resource));
                                    @fclose($request_file_handle);
                                }
                                catch(Exception $ex) {
                                    echo 'Error : '.$ex->getMessage();
                                }
                                
                                 $request_file_path = $mofluid_media_site_url.'mofluid/build_request_logs/mofluid_ios_buildrequest.json';
                                 
		                         $data= array();
		                         $data["mofluidid"] = $Mofluiddata["mofluid_id"];
		                         $data['source'] = $request_file_path;
		                         $data['build_app_type'] = $commonData["build_app_type"];
		                         if($commonData["build_url"]!="" && $commonData["build_app_type"]!=""){	
									$downloadlink = $commonData["build_url"].'/Platforms/iOS/Controller.php?data='.json_encode($data);
									$downloadlink = str_replace(" ","%20",$downloadlink);
					
			    $ch = curl_init();
									curl_setopt($ch, CURLOPT_URL, $downloadlink);
									curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
									//curl_setopt($ch, CURLOPT_PROXY, '192.168.1.11');
									//curl_setopt($ch, CURLOPT_PROXYPORT, '8080');
									curl_setopt($ch, CURLOPT_HEADER, 1);


									$exec = curl_exec($ch);
								    $resp = explode("\n\r\n", $exec);
								    $res_msg = explode("\n", $resp[1]);
								    $json = implode("",$res_msg);
									curl_close($ch);                  
		                         
		                           $obj = $json;
  	                             if($obj == "")
  	                                $obj = "Server Not Responding properly...Please Try Again after some time.";
  	                                $ios_app_link = $commonData["build_url"].'/Requested_Build/'.$Mofluiddata["mofluid_id"].'/iOS/'.$iPhoneApp["app_name"].'/platforms/ios/www/index.html'; 
									$ios_app_link = str_replace(" ","",$ios_app_link);
	                                
  	                                $preview_code = "window.open('".$ios_app_link."','_blank','width=320,height=480,fullscreen=no,resizable=no,status=no,menubar=no,scrollbars=1,location=no,titlebar=no,toolbar=no,left=100,top=100');"; 
  	                               
  	                               
  	                               $link_connection = Mage::getSingleton('core/resource')->getConnection('core_write');
                                   $link_connection->beginTransaction();
                                   $link_fields = array();
                                   $link_fields['link_set'] = $preview_code;
                                   $link_where = $link_connection->quoteInto('mofluidadmin_id =?', 1);
                                   $link_connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidiphone'), $link_fields, $link_where);
                                   $link_connection->commit();                     
  	                               
  	                               $form .= '<script>Modalbox.show("<p><font color=green size=2>'.$obj.'</font></p>",{title: "Mofluid : iPhone App Download", width: 400}); </script>';
                                 //echo $obj;
								}
								else {
									$form .= '<script>Modalbox.show("'.$invalid_msg.'",{title: "Mofluid : iPhone App Download", width: 400});</script>';
								}
							}
			       }
			       catch(Exception $ex) {
					   $form .= '<script>Modalbox.show("<p><font color=red size=2>Error Message: '.$ex->getMessage().'</font></p>",{title: "Mofluid : Android App Download", width: 400});</script>';
				   }
		           break;
		            case 'appbuildurl':
	            
					 //--------- When Build Url Details form submit with POST request
					 $connection = Mage::getSingleton('core/resource')->getConnection('core_write');
					 $connection->beginTransaction();
					 $__fieldsCommon = array();
					 $__fieldsCommon['build_url'] = $_POST['build_url'];
					 $__fieldsCommon['build_app_type'] = $_POST['build_app_type'];
					 $__where = $connection->quoteInto('id =?', 1);
					 $connection->update(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidcommon'), $__fieldsCommon, $__where);
					 $connection->commit();
					 $form .= '<script>Modalbox.show("<p><font conlor=green size=2>Build details saved.</font></p>",{title: "Mofluid : Build Details", width: 400});</script>';
				
					break;
		           
		       default:
		           echo 'Others';
		
		
	       }
		}
		$connection = Mage::getSingleton('core/resource')->getConnection('core_read'); 
		
		/* fetch data from mofluidadmin_android table */
		$select1 = $connection->select()
				  ->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidandroid'), array('*'))  
				  ->where('mofluidadmin_id=?',1);
		$AndroidApp =$connection->fetchRow($select1);
		
		/* fetch data from mofluidadmin_iphone table */
		
		$select2 = $connection->select()
				  ->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidiphone'), array('*')) 
				  ->where('mofluidadmin_id=?',1);
		$iPhoneApp =$connection->fetchRow($select2);  
		
		/* fetch data from mofluidadmin_details table */
		
		$select3 = $connection->select()
				  ->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidadmin'), array('*')) 
				  ->where('mofluidadmin_id=?',1);
		$Mofluiddata =$connection->fetchRow($select3);
		
		/* fetch data from mofluidadmin_common table */
		
		$select4 = $connection->select()
				  ->from(Mage::getSingleton('core/resource')->getTableName('mofluidadmin/mofluidcommon'), array('*')) 
				  ->where('id=?',1);
		$MofluidBuilddata =$connection->fetchRow($select4);
            
		switch($option)
		{
			case 'appdetail': //onsubmit="return saveAndroidAppDetail();"
			    
			   $key_data = $AndroidApp["key_data"];
			   $key_details = array();
               $key_arr_CN = array();
               $key_arr_ON = array();
               $key_arr_OU = array();
               $key_arr_city = array();
               $key_arr_country = array();
               
               $key_details = explode(',',$key_data);
               
               $key_arr_CN = explode ('=',$key_details[0]);
               $key_CN = $key_arr_CN[1]; 
               
               $key_arr_ON = explode ('=',$key_details[1]);
               $key_ON = $key_arr_ON[1];
               
               $key_arr_OU = explode ('=',$key_details[2]);
               $key_OU = $key_arr_OU[1];
               
               $key_arr_city = explode ('=',$key_details[3]);
               $key_city = $key_arr_city[1];               
               
               $key_arr_state = explode ('=',$key_details[4]);
               $key_state = $key_arr_state[1];
               
               $key_arr_country = explode ('=',$key_details[5]);
               $key_country = $key_arr_country[1];
			
			
			    $form .=  '<form name="app_detail" action="'.$url.'"  method="post"  enctype="multipart/form-data"> 
			               <div class="content-header"><table cellspacing=0><tbody><tr><td><h3>Application Details</h3></td><td class="form-buttons"><button type="button" class="scalable save" onclick="saveAndroidAppDetail();"><span>Save Configuration</span></button></td></tr></tbody></table></div>
		 		           <div class="fieldset box fieldset-wide"><table cellspacing=10><tbody>
		 		           <tr><td colspan="2"><h4 style="color:#EA7601">Mofluid Details</h4></td></tr>
		 		           <tr><td>Mofluid User Id* : </td><td><input type="text" name="mofluid_id" id="mofluid_id" class="required-entry input-text" value="'.$Mofluiddata["mofluid_id"].'"> (Email id of your user account at mofluid.com)</td></tr>
		 		           <tr><td>Mofluid Secret Key* : </td><td><input type="text" name="mofluid_key" id="mofluid_key" class="required-entry input-text" value="'.$Mofluiddata["mofluid_key"].'"> (Password of your user account at mofluid.com)</td></tr>
		 		           <tr><td colspan="2"><h4 style="color:#EA7601">Application Details</h4></td></tr>
		 		           <tr><td>Application Name* : </td><td><input type="text" name="name" class="required-entry input-text" value="'.$AndroidApp["app_name"].'"></td></tr>
		 		           <tr><td>Bundle ID* : </td><td><input type="text" name="bundle_id" class="input-text" value="'.$AndroidApp["bundle_id"].'"></td></tr>
		                   <tr><td>Version* : </td><td><input type="text" name="version" class=" required-entry validate-number validate-zero-or-greater validate-number-range number-range-0-99999999.9999 input-text required-entry" value="'.$AndroidApp["version"].'"></td></tr>
		                   <tr><td>Default Store Id for App* : </td><td><input type="text" name="store" class=" required-entry validate-number validate-zero-or-greater validate-number-range number-range-0-99999999.9999 input-text required-entry" value="'.$AndroidApp["default_store"].'"></td></tr>
                           <tr><td><h4 style="color:#EA7601">Default Currency : </h4></td><td><select name="currency_type" class=select id="currency_type" onchange=""><option value="INR">INR</option><option value="USD">USD</option></select> should be same as in your desktop website.</td></tr>
			               <tr><td colspan="2"><h4 style="color:#EA7601">Key Details</h4></td></tr>
                           <tr><td>Release Key Type : </td><td><select name="key_type" class=select id="key_type" onchange="switch_keytype();"><option value=0>Apply for new private key</option><option value=1>I already have a private key </option></select></td></tr>
                           <tr id="key_row1"><td>Key Store\'s Password* : </td><td><input type="password" name="key_store_pwd" class="input-text" value="'.$AndroidApp["keystore_pswd"].'"></td></tr>
                           <tr id="key_row2"><td>Private Key\'s Password* : </td><td><input type="password" name="key_pwd" class="input-text" value="'.$AndroidApp["privatekey_pswd"].'"></td></tr>
                           <tr id="key_row3"><td>Validity (in days)* : </td><td><input type="text" name="key_validity" class="input-text" value="'.$AndroidApp["key_validity"].'"></td></tr>
                           <tr id="key_row4"><td>Common Name* : </td><td><input type="text" name="key_common_name" class="input-text" value="'.$key_CN.'" ></td></tr>
                           <tr id="key_row5"><td>Organization Name* : </td><td><input type="text" name="key_org" class="input-text" value="'.$key_ON.'"></td></tr>
                           <tr id="key_row6"><td>Organization Unit* : </td><td><input type="text" name="key_org_unit" class="input-text" value="'.$key_OU.'"></td></tr>
                           <tr id="key_row7"><td>City or Locality* : </td><td><input type="text" name="key_city" class="input-text" value="'.$key_city.'" ></td></tr>
                           <tr id="key_row8"><td>State or Province Name* : </td><td><input type="text" name="key_state" class="input-text" value="'.$key_state.'"></td></tr>
                           <tr id="key_row9"><td>Country Code* : </td><td><input type="text" name="key_country" class="input-text" value="IN" maxlength="2"></td></tr>
                           <tr id="key_row10"><td>Upload .keystore file* : </td><td><input type="file" name="release_key" id="release_key"><input type="hidden" value ="'.basename($AndroidApp["release_key"]).'" name="release_key2" id="release_key2">'.basename($AndroidApp["release_key"]).'</td></tr>
                           <tr id="key_row11"><td>Key Store\' Password* : </td><td><input type="password" name="keystore_pswd" id="keystore_pswd" class="input-text" value="'.$AndroidApp["keystore_pswd"].'"></td></tr>
                           <tr id="key_row12"><td>Private Key\'s Password* : </td><td><input type="password" name="privatekey_pswd" id="privatekey_pswd" class="input-text" value="'.$AndroidApp["privatekey_pswd"].'"></td></tr>
		                   <tr><td><input name="form_name" type="hidden" value="appdetails"></td><td><input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/></td></tr>
		                   </tbody></table></div></form>
		                   <script>
		                   document.getElementById("key_type").value="'.$AndroidApp["key_status"].'";
		                   
                          //-------Default Currency
                          document.getElementById("currency_type").value="'.$AndroidApp["currency_type"].'";
		                   switch_keytype();
                                   function saveAndroidAppDetail() {
					    var mofluid_id = document.app_detail.mofluid_id.value;
					    var mofluid_key = document.app_detail.mofluid_key.value;
					    var name = document.app_detail.name.value;
					    var bundle_id = document.app_detail.bundle_id.value;	
					    var version = document.app_detail.version.value;
					    var store = document.app_detail.store.value;	
				  	    var keypass = document.app_detail.privatekey_pswd.value;
					    var storepass = document.app_detail.keystore_pswd.value;
					    var release_key2 = document.app_detail.release_key2.value;
					    var type = parseInt(document.getElementById("key_type").value);
                                            var errwords = checkbundleid(bundle_id);
   if(name==""||bundle_id==""||version==""||store==""||mofluid_id==""||mofluid_key==""||(keypass==""&&type==1)||(storepass==""&&type==1)) {
									    Modalbox.show("<p><font color=red size=2>All fields are mandatory.</font></p>",{title: "Mofluid : Application Details", width: 400});
							            return false; 
							       
}
if(errwords != 0) {
 Modalbox.show("<p><font color=red size=2>Some Reserved Words are not allowed in Bundle Id like "+errwords+".</font></p>",{title: "Mofluid : Application Details", width: 400});
return false;
}
else if(hasWhiteSpace(bundle_id)) {

 Modalbox.show("<p><font color=red size=2>Special Symbol other than . are not allowed in Bundle Id.</font></p>",{title: "Mofluid : Application Details", width: 400});
return false;
}

							       if(mofluid_id!="" && isInvalidEmail(mofluid_id)) {
									   Modalbox.show("<p><font color=red size=2>Please enter the valid Mofluid ID.</font></p>",{title: "Mofluid : Application Details", width: 400});
							            return false;
								   } 


                                                                  else if(!name.match(/^[A-Za-z]+$/)) {
                                                                    
       Modalbox.show("<p><font color=red size=2>Special symbol , spaces and numbers are not allowed in application name.</font></p>",{title: "Mofluid : Application Details", width: 400});
                                                                    return false;
                                                                   }
							       else if(!isInt(version)) {
							             Modalbox.show("<p><font color=red size=2>Version number should be non zero positive integer.</font></p>",{title: "Mofluid : Application Details", width: 400});  
							             return false;
							       }
							       else if(version<1) {
									   Modalbox.show("<p><font color=red size=2>Version number should be non zero positive integer.</font></p>",{title: "Mofluid : Application Details", width: 400});  
							           return false;
								   }
							       else if(!isInt(store)) {
							             Modalbox.show("<p><font color=red size=2>Store Id should be non zero positive integer.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
							       }
								   else if(store<1) {
									   Modalbox.show("<p><font color=red size=2>Store Id should be non zero positive integer.</font></p>",{title: "Mofluid : Application Details", width: 400});
							           return false;
								   } 
							       else if(keypass.length<6&&type==1) {
									     Modalbox.show("<p><font color=red size=2>Private Key should be atleast 6 characters long.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
							       }
							       else if(storepass.length<6&&type==1) {
									     Modalbox.show("<p><font color=red size=2>Key Store Password should be atleast 6 characters long.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
							       }
							       else if((release_key2=="" && document.app_detail.release_key.value=="")&&type==1) {
									     Modalbox.show("<p><font color=red size=2>Upload a valid keystore file to sign the app for release.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
							       }
							       else if((document.app_detail.key_store_pwd.value=="")&&type==0) {
								         Modalbox.show("<p><font color=red size=2>Key Store Password Can\'t be left blank.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_pwd.value=="")&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Private Key Password Can\'t be left blank.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_store_pwd.value.length<6)&&type==0) {
								         Modalbox.show("<p><font color=red size=2>Key Store Password should be atleast 6 characters long.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_pwd.value.length<6)&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Private Key Password should be atleast 6 characters long.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_validity.value=="")&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Provide Validity (in days) for Key.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if(!isInt(document.app_detail.key_validity.value)&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Validity Should be non zero integer value.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_common_name.value=="")&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Provide Comman Name of User Required for Key Generation.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_org.value=="")&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Provide Organization Name Required for Key Generation.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_org_unit.value=="")&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Provide Organization Unit Name Required for Key Generation.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_city.value=="")&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Provide City Name Where your Organization Situated Required for Key Generation.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if((document.app_detail.key_state.value=="")&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Provide State Name Where your Organization Situated Required for Key Generation.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else if(((document.app_detail.key_country.value=="")&&type==0)||(document.app_detail.key_country.value.length!=2)&&type==0) {
									     Modalbox.show("<p><font color=red size=2>Provide 2 Digit Country Code Where your Organization Situated Required for Key Generation.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
								   }
								   else {
                                                                     document.app_detail.submit();
								     return true;
								   }  
}
 function hasWhiteSpace(spacefield) {
     return !(/^[a-z0-9.]+$/i.test(spacefield));
  }
							    function isInt(x) {
                                        return (!isNaN(x) && parseInt(x) == x)
                                }
function checkbundleid(bundle_id){
var reserverwords = ["abstract", "continue", "for", "new", "switch", "assert", "default", "goto", "package", "synchronized", "boolean", "do", "if", "private", "this", "break", "double", "implements", "protected", "throw", "byte", "else", "import", "public", "throws", "case", "enum", "instanceof", "return", "transient", "catch", "extends", "int", "short", "try", "char", "final", "interface", "static", "void", "class", "finally", "long", "strictfp", "volatile", "const", "float", "native", "super", "while"];
                                           var bundlecounter,bundlecheck;
                                           var singlebundleidword = document.app_detail.bundle_id.value.split(".");
                                           var bundleidlen = singlebundleidword.length;
                                           var bundleerrorwords = "";
                                           var bundleiderror = 0;
                                           for(bundlecounter=0;bundlecounter<bundleidlen;bundlecounter++) {
                                                bundlecheck = reserverwords.indexOf(singlebundleidword[bundlecounter]);
                                                if(bundlecheck>=0) {
                                                    bundleiderror = 1;
                                                    bundleerrorwords = singlebundleidword[bundlecounter];
                                                    break;
                                                }
            
}
if(bundleiderror == 1) {
return bundleerrorwords;
}
else {
return 0;
}
}
                                function isInvalidEmail(email) {
                                     var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
                                     if (!filter.test(email)) {
                                            return true;
                                     }
                                     else {
                                        return false;
									 }
                                }
							    function switch_keytype() {
								     var type = parseInt(document.getElementById("key_type").value);
								     console.log("Execxuted"+type);
								     if(type==1) {
										 document.getElementById("key_row1").style.display = "none";
										 document.getElementById("key_row2").style.display = "none";
										 document.getElementById("key_row3").style.display = "none";
										 document.getElementById("key_row4").style.display = "none";
										 document.getElementById("key_row5").style.display = "none";
										 document.getElementById("key_row6").style.display = "none";
										 document.getElementById("key_row7").style.display = "none";
										 document.getElementById("key_row8").style.display = "none";
										 document.getElementById("key_row9").style.display = "none";
										 document.getElementById("key_row10").style.display = "";
										 document.getElementById("key_row11").style.display = "";
										 document.getElementById("key_row12").style.display = "";
									 }
									 else {
										 document.getElementById("key_row1").style.display = "";
										 document.getElementById("key_row2").style.display = "";
										 document.getElementById("key_row3").style.display = "";
										 document.getElementById("key_row4").style.display = "";
										 document.getElementById("key_row5").style.display = "";
										 document.getElementById("key_row6").style.display = "";
										 document.getElementById("key_row7").style.display = "";
										 document.getElementById("key_row8").style.display = "";
										 document.getElementById("key_row9").style.display = "";
										 document.getElementById("key_row10").style.display = "none";
										 document.getElementById("key_row11").style.display = "none";
										 document.getElementById("key_row12").style.display = "none";
										 
									 }
								}
		                   </script>';
			break;
			
			case 'assetsdetail':
			    $form .=  '<form name="assets_detail" action="'.$url.'"  method="post" enctype="multipart/form-data">
			               <div class="content-header"><table cellspacing=0><tbody><tr><td><h3>Application Assets</h3></td><td class="form-buttons"><button type="button" onclick="saveAssetsDetail();"><span>Save Configuration</span></button></td></tr></tbody></table></div>
			               <div class="fieldset box fieldset-wide"><table cellspacing=5>
                           <tr><td colspan=2><h3 style="color:#EA7601">Icons</h3></td></tr>
                           <tr><td>drawable <b>[Size : 96x96]*</b> </td><td><input type="file" name="ico_drawable" id="ico_drawable"><img src="'.$AndroidApp["ico_drawable"].'" width=25 height=25 alt="'.$AndroidApp["ico_drawable"].'"><input id="hid_ico_drawable" name="hid_ico_drawable" type="hidden" value="'.basename($AndroidApp["ico_drawable"]).'"></td></tr>
                           <tr><td>hdpi <b>[Size : 72x72]*</b> </td><td><input type="file" name="ico_hdpi" id="ico_hdpi"><img src="'.$AndroidApp["ico_hdpi"].'" width=25 height=25 alt="'.$AndroidApp["ico_hdpi"].'"><input id="hid_ico_hdpi" name="hid_ico_hdpi" type="hidden" value="'.basename($AndroidApp["ico_hdpi"]).'"></td></tr>
                           <tr><td>ldpi <b>[Size : 36x36]*</b></td><td><input type="file" name="ico_ldpi" id="ico_ldpi"><img src="'.$AndroidApp["ico_ldpi"].'" width=25 height=25 alt="'.$AndroidApp["ico_ldpi"].'"><input id="hid_ico_ldpi" name="hid_ico_ldpi" type="hidden" value="'.basename($AndroidApp["ico_ldpi"]).'"></td></tr>
                           <tr><td>mdpi <b>[Size : 48x48]*</b></td><td><input type="file" name="ico_mdpi" id="ico_mdpi"><img src="'.$AndroidApp["ico_mdpi"].'" width=25 height=25 alt="'.$AndroidApp["ico_mdpi"].'"><input id="hid_ico_mdpi" name="hid_ico_mdpi" type="hidden" value="'.basename($AndroidApp["ico_mdpi"]).'"></td></tr>
                           <tr><td>xhdpi <b>[Size : 96x96]*</b> </td><td><input type="file" name="ico_xhdpi" id="ico_xhdpi"><img src="'.$AndroidApp["ico_xhdpi"].'" width=25 height=25 alt="'.$AndroidApp["ico_xhdpi"].'"><input id="hid_ico_xhdpi" name="hid_ico_xhdpi" type="hidden" value="'.basename($AndroidApp["ico_xhdpi"]).'"></td></tr>
                           <tr><td colspan=2><h3 style="color:#EA7601">Splash Screens</h3></td></tr>
                           <tr><td colspan=2><h4 style="color:#EA7601">Portrait</h4></td></tr>
                           <tr><td>drawable_port_hdpi <b>[Size : 480x800 & Orientation : Portrait]*</td><td><input type="file" name="drawable_port_hdpi" id="drawable_port_hdpi"><img src="'.$AndroidApp["drawable_port_hdpi"].'" width=50 height=50 alt="'.$AndroidApp["drawable_port_hdpi"].'"><input id="hid_drawable_port_hdpi" name="hid_drawable_port_hdpi" type="hidden" value="'.basename($AndroidApp["drawable_port_hdpi"]).'"></td></tr>
                           <tr><td>drawable_port_ldpi <b>[Size : 200x320 & Orientation : Portrait]*</td><td><input type="file" name="drawable_port_ldpi" id="drawable_port_ldpi"><img src="'.$AndroidApp["drawable_port_ldpi"].'" width=50 height=50 alt="'.$AndroidApp["drawable_port_ldpi"].'"><input id="hid_drawable_port_ldpi" name="hid_drawable_port_ldpi" type="hidden" value="'.basename($AndroidApp["drawable_port_ldpi"]).'"></td></tr>
                           <tr><td>drawable_port_mdpi <b>[Size : 320x480 & Orientation : Portrait]*</td><td><input type="file" name="drawable_port_mdpi" id="drawable_port_mdpi"><img src="'.$AndroidApp["drawable_port_mdpi"].'" width=50 height=50 alt="'.$AndroidApp["drawable_port_mdpi"].'"><input id="hid_drawable_port_mdpi" name="hid_drawable_port_mdpi" type="hidden" value="'.basename($AndroidApp["drawable_port_mdpi"]).'"></td></tr>
                           <tr><td>drawable_port_xhdpi <b>[Size : 720x1280 & Orientation : Portrait]*</td><td><input type="file" name="drawable_port_xhdpi" id="drawable_port_xhdpi"><img src="'.$AndroidApp["drawable_port_xhdpi"].'" width=50 height=50 alt="'.$AndroidApp["drawable_port_xhdpi"].'"><input id="hid_drawable_port_xhdpi" name="hid_drawable_port_xhdpi" type="hidden" value="'.basename($AndroidApp["drawable_port_xhdpi"]).'"></td></tr>
                           <tr><td colspan=2><h4 style="color:#EA7601">Landscape</h4></td></tr>
                           <tr><td>drawable_land_hdpi <b>[Size : 800x480 & Orientation : Landscape]*</b></td><td><input type="file" name="drawable_land_hdpi" id="drawable_land_hdpi"><img src="'.$AndroidApp["drawable_land_hdpi"].'" width=50 height=50 alt="'.$AndroidApp["drawable_land_hdpi"].'"><input id="hid_drawable_land_hdpi" name="hid_drawable_land_hdpi" type="hidden" value="'.basename($AndroidApp["drawable_land_hdpi"]).'"></td></tr>
                           <tr><td>drawable_land_ldpi <b>[Size : 320x200 & Orientation : Landscape]*</b></td><td><input type="file" name="drawable_land_ldpi" id="drawable_land_ldpi"><img src="'.$AndroidApp["drawable_land_ldpi"].'" width=50 height=50 alt="'.$AndroidApp["drawable_land_ldpi"].'"><input id="hid_drawable_land_ldpi" name="hid_drawable_land_ldpi" type="hidden" value="'.basename($AndroidApp["drawable_land_ldpi"]).'"></td></tr>
                           <tr><td>drawable_land_mdpi <b>[Size : 480x320 & Orientation : Landscape]*</td><td><input type="file" name="drawable_land_mdpi" id="drawable_land_mdpi"><img src="'.$AndroidApp["drawable_land_mdpi"].'" width=50 height=50 alt="'.$AndroidApp["drawable_land_mdpi"].'"><input id="hid_drawable_land_mdpi" name="hid_drawable_land_mdpi" type="hidden" value="'.basename($AndroidApp["drawable_land_mdpi"]).'"></td></tr>
                           <tr><td>drawable_land_xhdpi <b>[Size : 1280x720 & Orientation : Landscape]*</td><td><input type="file" name="drawable_land_xhdpi" id="drawable_land_xhdpi"><img src="'.$AndroidApp["drawable_land_xhdpi"].'" width=50 height=50 alt="'.$AndroidApp["drawable_land_xhdpi"].'"><input id="hid_drawable_land_xhdpi" name="hid_drawable_land_xhdpi" type="hidden" value="'.basename($AndroidApp["drawable_land_xhdpi"]).'"></td></tr>
                           
                           <tr><td><input name="form_name" type="hidden" value="assetsdetails"></td><td><input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/></td></tr>
                           </table></div></form>
                           <script type="text/javascript">
                              function saveAssetsDetail() {
                                      var ico_drawable = document.getElementById("ico_drawable");
                                      var ico_hdpi = document.getElementById("ico_hdpi");
                                      var ico_ldpi = document.getElementById("ico_ldpi");
                                      var ico_mdpi = document.getElementById("ico_mdpi");
                                      var ico_xhdpi = document.getElementById("ico_xhdpi");
                                      var drawable_port_hdpi = document.getElementById("drawable_port_hdpi");
                                      var drawable_port_ldpi = document.getElementById("drawable_port_ldpi");
                                      var drawable_port_mdpi = document.getElementById("drawable_port_mdpi");
                                      var drawable_port_xhdpi = document.getElementById("drawable_port_xhdpi");
                                      var drawable_land_hdpi = document.getElementById("drawable_land_hdpi");
                                      var drawable_land_ldpi = document.getElementById("drawable_land_ldpi");
                                      var drawable_land_mdpi = document.getElementById("drawable_land_mdpi");
                                      var drawable_land_xhdpi = document.getElementById("drawable_land_xhdpi");
                                      
                                      var ico_drawable_ext = ico_drawable.value.substring(ico_drawable.value.lastIndexOf(".") + 1).toLowerCase();
                                      var ico_hdpi_ext = ico_hdpi.value.substring(ico_hdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var ico_ldpi_ext = ico_ldpi.value.substring(ico_ldpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var ico_mdpi_ext = ico_mdpi.value.substring(ico_mdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var ico_xhdpi_ext = ico_xhdpi.value.substring(ico_xhdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      
                                      var drawable_port_hdpi_ext = drawable_port_hdpi.value.substring(drawable_port_hdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var drawable_port_ldpi_ext = drawable_port_ldpi.value.substring(drawable_port_ldpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var drawable_port_mdpi_ext = drawable_port_mdpi.value.substring(drawable_port_mdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var drawable_port_xhdpi_ext = drawable_port_xhdpi.value.substring(drawable_port_xhdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      
                                      var drawable_land_hdpi_ext = drawable_land_hdpi.value.substring(drawable_land_hdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var drawable_land_ldpi_ext = drawable_land_ldpi.value.substring(drawable_land_ldpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var drawable_land_mdpi_ext = drawable_land_mdpi.value.substring(drawable_land_mdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      var drawable_land_xhdpi_ext = drawable_land_xhdpi.value.substring(drawable_land_xhdpi.value.lastIndexOf(".") + 1).toLowerCase();
                                      
                                      
                                      if((document.getElementById("hid_ico_drawable").value==""&&ico_drawable.value=="")||(document.getElementById("hid_ico_ldpi").value==""&&ico_ldpi.value=="")||(document.getElementById("hid_ico_hdpi").value==""&&ico_hdpi.value=="")||(document.getElementById("hid_ico_mdpi").value==""&&ico_mdpi.value=="")||(document.getElementById("hid_ico_xhdpi").value==""&&ico_xhdpi.value=="")) {
										   Modalbox.show("<p><font color=red size=2>Please upload all icons for application. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
									  }
									  else if((document.getElementById("hid_drawable_port_hdpi").value==""&&drawable_port_hdpi.value=="")||(document.getElementById("hid_drawable_port_ldpi").value==""&&drawable_port_ldpi.value=="")||(document.getElementById("hid_drawable_port_mdpi").value==""&&drawable_port_mdpi.value=="")||(document.getElementById("hid_drawable_port_xhdpi").value==""&&drawable_port_xhdpi.value=="")||(document.getElementById("hid_drawable_land_hdpi").value==""&&drawable_land_hdpi.value=="")||(document.getElementById("hid_drawable_land_ldpi").value==""&&drawable_land_ldpi.value=="")||(document.getElementById("hid_drawable_land_mdpi").value==""&&drawable_land_mdpi.value=="")||(document.getElementById("hid_drawable_land_xhdpi").value==""&&drawable_land_xhdpi.value=="")) {
										  Modalbox.show("<p><font color=red size=2>Please upload all Splash Screen for application. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							          }
                                      else if(ico_drawable_ext!="gif" && ico_drawable_ext!="jpg" && ico_drawable_ext!="jpeg" && ico_drawable_ext!="png" && ico_drawable_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for drawble. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(ico_hdpi_ext!="gif" && ico_hdpi_ext!="jpg" && ico_hdpi_ext!="jpeg" && ico_hdpi_ext!="png" && ico_hdpi_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for hdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(ico_ldpi_ext!="gif" && ico_ldpi_ext!="jpg" && ico_ldpi_ext!="jpeg" && ico_ldpi_ext!="png" && ico_ldpi_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for ldpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(ico_mdpi_ext!="gif" && ico_mdpi_ext!="jpg" && ico_mdpi_ext!="jpeg" && ico_mdpi_ext!="png" && ico_mdpi_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for mdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(ico_xhdpi_ext!="gif" && ico_xhdpi_ext!="jpg" && ico_xhdpi_ext!="jpeg" && ico_xhdpi_ext!="png" && ico_xhdpi_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for xhdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(drawable_port_hdpi_ext!="gif" && drawable_port_hdpi_ext!="jpg" && drawable_port_hdpi_ext!="jpeg" && drawable_port_hdpi_ext!="png" && drawable_port_hdpi_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for drawable_port_hdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(drawable_port_ldpi_ext!="gif" && drawable_port_ldpi_ext!="jpg" && drawable_port_ldpi_ext!="jpeg" && drawable_port_ldpi_ext!="png" && drawable_port_ldpi_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for drawable_port_ldpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(drawable_port_mdpi_ext!="gif" && drawable_port_mdpi_ext!="jpg" && drawable_port_mdpi_ext!="jpeg" && drawable_port_mdpi_ext!="png" && drawable_port_mdpi_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for drawable_port_mdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(drawable_port_xhdpi_ext!="gif" && drawable_port_xhdpi_ext!="jpg" && drawable_port_xhdpi_ext!="jpeg" && drawable_port_xhdpi_ext!="png" && drawable_port_xhdpi_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for drawable_port_xhdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(drawable_land_hdpi_ext!="gif" && drawable_land_hdpi_ext!="jpg" && drawable_land_hdpi_ext!="jpeg" && drawable_land_hdpi_ext!="png" && drawable_land_hdpi_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for drawable_land_hdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(drawable_land_ldpi_ext!="gif" && drawable_land_ldpi_ext!="jpg" && drawable_land_ldpi_ext!="jpeg" && drawable_land_ldpi_ext!="png" && drawable_land_ldpi_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for drawable_land_ldpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(drawable_land_mdpi_ext!="gif" && drawable_land_mdpi_ext!="jpg" && drawable_land_mdpi_ext!="jpeg" && drawable_land_mdpi_ext!="png" && drawable_land_mdpi_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for drawable_land_mdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(drawable_land_xhdpi_ext!="gif" && drawable_land_xhdpi_ext!="jpg" && drawable_land_xhdpi_ext!="jpeg" && drawable_land_xhdpi_ext!="png" && drawable_land_xhdpi_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for drawable_land_xhdpi. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else {
										  document.assets_detail.submit(); 
                                          return true;  
									  }
                                     
                                }
                            </script>';
			break;
			case 'themedetail':
			    $available_mofluid_theme = $this->findAvailableMofluidTheme();
			     $mofluid_theme = '<select name="mofluid_theme" id="mofluid_theme" onchange="switch_mofluid_theme();">';
			    foreach($available_mofluid_theme as $key => $theme) {
			        $mofluid_theme .= '<option value="'.$theme.'">'.$theme.'</option>';
			    }
			    $mofluid_theme .= '</select>';
			    $form .=  '<form name="theme_detail" action="'.$url.'"  method="post" enctype="multipart/form-data">
			                   <div class="content-header">
			                       <table cellspacing=0>
			                           <tbody>
			                               <tr>
			                                   <td>
			                                       <h3>Theme Configuration</h3>
			                                   </td>
			                                   <td class="form-buttons">
			                                       <button type="button" onclick="saveThemeDetail();" class="scalable save"><span>Save Configuration</span></button>
			                                   </td>
			                                </tr>
			                            </tbody>
			                        </table>
			                    </div>
			                    <div class="fieldset box fieldset-wide">
			                        <table cellspacing=10>
			                        <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">Mofluid Theme</h4>
			                            </td>
			                        </tr>
                                    <tr>
                                        <td>
                                            Application\'s Theme
                                        </td>
                                        <td>'.$mofluid_theme.'
                                            <a href="https://mofluid.zendesk.com/hc/en-us/sections/200278341-Mofluid-Themes" target="_blank">Learn More About Mofluid Theme</a>
                                        </td>
                                    </tr>
                                    <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">Images & Icons</h4>
			                            </td>
			                        </tr>
                                    <tr>
                                        <td>
                                            Application\'s Image Theme
                                        </td>
                                        <td>
                                            <select name="app_image_type" id="app_image_type" onchange="switch_image_type();">
                                                <option value="dark">Dark</option>
                                                <option value="light">Light</option>
                                                <option value="custom">Custom</option>
                                            </select>
                                            (Small Images on App Which represents Home, Back, Cross, Delete, Search, Cart and Menu Icons)
                                        </td>
                                    </tr>
                                    <tr id="app_img_row1">
                                        <td>
                                            Home (32x32px) 
                                        </td>
                                        <td>
                                            <input type="file" name="app_img_home" id="app_img_home" />
                                            <img src="'.$AndroidApp["app_img_home"].'" width=30 height=30 alt="'.$AndroidApp["app_img_home"].'" />
                                            <input type="hidden" name="hid_app_img_home" id="hid_app_img_home" value="'.basename($AndroidApp["app_img_home"]).'" />
                                        </td>
                                    </tr>
                                    <tr id="app_img_row2">
                                        <td>Back (32x32px) </td>
                                        <td>
                                            <input type="file" name="app_img_back" id="app_img_back"/>
                                            <img src="'.$AndroidApp["app_img_back"].'" width=30 height=30 alt="'.$AndroidApp["app_img_back"].'"/>
                                            <input type="hidden" name="hid_app_img_back" id="hid_app_img_back" value="'.basename($AndroidApp["app_img_back"]).'"/>
                                        </td>
                                    </tr>
                                    <tr id="app_img_row3">
                                        <td>Cross (32x32px) </td>
                                        <td>
                                            <input type="file" name="app_img_cross" id="app_img_cross" />
                                            <img src="'.$AndroidApp["app_img_cross"].'" width=30 height=30 alt="'.$AndroidApp["app_img_cross"].'" />
                                            <input type="hidden" name="hid_app_img_cross" id="hid_app_img_cross" value="'.basename($AndroidApp["app_img_cross"]).'" />
                                        </td>
                                    </tr>
                                    <tr id="app_img_row4">
                                        <td>Cart (32x32px) </td>
                                        <td>
                                            <input type="file" name="app_img_cart" id="app_img_cart"/>
                                            <img src="'.$AndroidApp["app_img_cart"].'" width=30 height=30 alt="'.$AndroidApp["app_img_cart"].'"/>
                                            <input type="hidden" name="hid_app_img_cart" id="hid_app_img_cart" value="'.basename($AndroidApp["app_img_cart"]).'"/>
                                        </td>
                                    </tr>
                                    <tr id="app_img_row5">
                                        <td>Menu (32x32px) </td>
                                        <td>
                                            <input type="file" name="app_img_menu" id="app_img_menu">
                                            <img src="'.$AndroidApp["app_img_menu"].'" width=30 height=30 alt="'.$AndroidApp["app_img_menu"].'">
                                            <input type="hidden" name="hid_app_img_menu" id="hid_app_img_menu" value="'.basename($AndroidApp["app_img_menu"]).'">
                                        </td>
                                    </tr>
                                    <tr id="app_img_row6">
                                        <td>Delete (32x32px) </td>
                                        <td>
                                            <input type="file" name="app_img_del" id="app_img_del">
                                            <img src="'.$AndroidApp["app_img_del"].'" width=30 height=30 alt="'.$AndroidApp["app_img_del"].'">
                                            <input type="hidden" name="hid_app_img_del" id="hid_app_img_del" value="'.basename($AndroidApp["app_img_del"]).'">
                                        </td>
                                    </tr>
                                    <tr id="app_img_row7">
                                        <td>Search (32x32px) </td>
                                        <td>
                                            <input type="file" name="app_img_search" id="app_img_search">
                                            <img src="'.$AndroidApp["app_img_search"].'" width=30 height=30 alt="'.$AndroidApp["app_img_search"].'">
                                            <input type="hidden" name="hid_app_img_search" id="hid_app_img_search" value="'.basename($AndroidApp["app_img_search"]).'">
                                        </td>
                                    </tr>
                                    <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">Logo & Banner</h4>
			                            </td>
			                        </tr>
                                    <tr>
                                        <td>Application Logo* (Recommended 150x50px) :</td>
                                        <td>
                                            <input type="file" name="logo" id="logo">
                                            <img src="'.$AndroidApp["logo"].'" width=75 height=25 alt="'.$AndroidApp["logo"].'">
                                            <input type="hidden" name="hid_logo" id="hid_logo" value="'.basename($AndroidApp["logo"]).'">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Application Banner* (Recommended 420x260px) : </td>
                                        <td>
                                            <input type="file" name="banner" id="banner">
                                            <img src="'.$AndroidApp["banner"].'" width=105 height=65 alt="'.$AndroidApp["banner"].'">
                                            <input type="hidden" name="hid_banner" id="hid_banner" value="'.basename($AndroidApp["banner"]).'">
                                        </td>
                                    </tr>
                                    <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">Colors </h4>
			                            </td>
			                        </tr>
                                    <tr>
                                        <td>Application Background* : </td>
                                        <td>
                                            <input type="text" id="theme_background" name="theme_background" class="color input-text" value="'.$AndroidApp["theme_background"].'">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Default Text* : 
                                        </td>
                                        <td>
                                            <input type="text" name="theme_text" id="theme_text" class="color input-text" value="'.$AndroidApp["theme_text"].'">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>
                                            Header* : 
                                        </td>
                                        <td>
                                            <input type="text" name="theme_header" id="theme_header" class="color input-text" value="'.$AndroidApp["theme_header"].'">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Title Text* : </td>
                                        <td>
                                            <input type="text" name="theme_title" id="theme_title" class="color input-text" value="'.$AndroidApp["theme_title"].'">
                                        </td>
                                    </tr>
                                    <tr>
                                        <td>Button* : </td>
                                        <td>
                                            <input type="text" name="theme_button" id="theme_button" class="color input-text" value="'.$AndroidApp["theme_button"].'">
                                        </td>
                                    </tr>
                                    <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">HTML Footer</h4>
			                            </td>
			                        </tr>
			                        <tr>
                                        <td>Status* : </td>
                                        <td>
                                            <select id="customfooter" name="customfooter" onchange="switch_footer_type();">
                                                <option value="0">Not Required</option>
                                                <option value="1">Required</option>
                                            </select>
                                        </td>
                                    </tr>
                                     <tr id="customfooter_row">
                                        <td>HTML Code* : </td>
                                        <td>
                                            <textarea name="customfooter_code" id ="customfooter_code" class="input-text required-entry" style="width: 60%;height: 60px;">'.base64_decode($AndroidApp["customfooter_code"]).'</textarea>
                                        </td>
                                    </tr>
			                        <tr>
                                        <td>
                                            <input name="form_name" type="hidden" value="themedetails">
                                        </td>
                                        <td>
                                            <input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/>
                                        </td>
                                    </tr>
                                </table>
                            </div>
                        </form>
                        <script>
                            var themes = [];
                            themes = '.$available_mofluid_theme.';
                            console.log('.$available_mofluid_theme.');
                            document.getElementById("app_image_type").value="'.$AndroidApp["app_image_type"].'";
                            document.getElementById("mofluid_theme").value="'.$AndroidApp["theme"].'";
                            document.getElementById("customfooter").value="'.$AndroidApp["customfooter"].'";
                            
                            switch_image_type();
                            switch_footer_type();
                            function switch_image_type() {
                                var type = document.getElementById("app_image_type").value;
                                if(type=="custom") {
                                if(document.getElementById("mofluid_theme").value == "Elegant") {
                                    document.getElementById("app_img_row1").style.display = "none";
                                    document.getElementById("app_img_row2").style.display = "none";
                                 }
                                 else {
                                   document.getElementById("app_img_row1").style.display = "";
                                    document.getElementById("app_img_row2").style.display = "";
                                 }
                                    document.getElementById("app_img_row3").style.display = "";
                                    document.getElementById("app_img_row4").style.display = "";
                                    document.getElementById("app_img_row5").style.display = "";
                                    document.getElementById("app_img_row6").style.display = "";
                                    document.getElementById("app_img_row7").style.display = "";
                                }
                                else {
                                    document.getElementById("app_img_row1").style.display = "none";
                                    document.getElementById("app_img_row2").style.display = "none";
                                    document.getElementById("app_img_row3").style.display = "none";
                                    document.getElementById("app_img_row4").style.display = "none";
                                    document.getElementById("app_img_row5").style.display = "none";
                                    document.getElementById("app_img_row6").style.display = "none";
                                    document.getElementById("app_img_row7").style.display = "none";
                                }
                            }
                            function switch_footer_type(){
                                var type = document.getElementById("customfooter").value;
                                if(type=="1") {
                                    document.getElementById("customfooter_row").style.display = "";
                                }
                                else {
                                    document.getElementById("customfooter_row").style.display = "none";
                                }
                            }
                            function saveThemeDetail() {
                                var app_image_type = document.getElementById("app_image_type").value;
                                var app_img_home = document.getElementById("app_img_home");
                                var app_img_home_ext = app_img_home.value.substring(app_img_home.value.lastIndexOf(".") + 1).toLowerCase();
                                var app_img_back = document.getElementById("app_img_back");
                                var app_img_back_ext = app_img_back.value.substring(app_img_back.value.lastIndexOf(".") + 1).toLowerCase();  
                                var app_img_cross = document.getElementById("app_img_cross");
                                var app_img_cross_ext = app_img_cross.value.substring(app_img_cross.value.lastIndexOf(".") + 1).toLowerCase();   
                                var app_img_cart = document.getElementById("app_img_cart");
                                var app_img_cart_ext = app_img_cart.value.substring(app_img_cart.value.lastIndexOf(".") + 1).toLowerCase();
                                var app_img_del = document.getElementById("app_img_del");
                                var app_img_del_ext = app_img_del.value.substring(app_img_del.value.lastIndexOf(".") + 1).toLowerCase();
                                var app_img_search = document.getElementById("app_img_search");
                                var app_img_search_ext = app_img_search.value.substring(app_img_search.value.lastIndexOf(".") + 1).toLowerCase();
                                var app_img_menu = document.getElementById("app_img_menu");
                                var app_img_menu_ext = app_img_menu.value.substring(app_img_menu.value.lastIndexOf(".") + 1).toLowerCase();
                               
                                var logo = document.getElementById("logo");
                                var banner = document.getElementById("banner");
                                var logoext = logo.value.substring(logo.value.lastIndexOf(".") + 1).toLowerCase();
                                var bannerext = banner.value.substring(banner.value.lastIndexOf(".") + 1).toLowerCase();
                                var theme_background = document.getElementById("theme_background").value;
                                var theme_text = document.getElementById("theme_text").value;
                                var theme_header = document.getElementById("theme_header").value;
                                var theme_title = document.getElementById("theme_title").value;
                                var theme_button = document.getElementById("theme_button").value;
                                var customfooter_type = document.getElementById("customfooter").value;
                                var customfooter_code = document.getElementById("customfooter_code").value.trim();
                                if(app_image_type=="custom") {
                                    if(document.getElementById("hid_app_img_home").value==""&&app_img_home.value=="" && document.getElementById("mofluid_theme").value != "Elegant") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid home image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(app_img_home_ext!="gif" && app_img_home_ext!="jpg" && app_img_home_ext!="jpeg" && app_img_home_ext!="png" && app_img_home_ext!="" && document.getElementById("mofluid_theme").value != "Elegant") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid home image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(document.getElementById("hid_app_img_back").value==""&&app_img_back.value=="" && document.getElementById("mofluid_theme").value != "Elegant") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid back image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(app_img_back_ext!="gif" && app_img_back_ext!="jpg" && app_img_back_ext!="jpeg" && app_img_back_ext!="png" && app_img_back_ext!="" && document.getElementById("mofluid_theme").value != "Elegant") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid back image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(document.getElementById("hid_app_img_cross").value==""&&app_img_cross.value=="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid cross image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(app_img_cross_ext!="gif" && app_img_cross_ext!="jpg" && app_img_cross_ext!="jpeg" && app_img_cross_ext!="png" && app_img_cross_ext!="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid cross image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(document.getElementById("hid_app_img_cart").value==""&&app_img_cart.value=="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid cart image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(app_img_cart_ext!="gif" && app_img_cart_ext!="jpg" && app_img_cart_ext!="jpeg" && app_img_cart_ext!="png" && app_img_cart_ext!="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid cart image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(document.getElementById("hid_app_img_del").value==""&&app_img_del.value=="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid delete image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(app_img_del_ext!="gif" && app_img_del_ext!="jpg" && app_img_del_ext!="jpeg" && app_img_del_ext!="png" && app_img_del_ext!="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid delete image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(document.getElementById("hid_app_img_search").value==""&&app_img_search.value=="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid search image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(app_img_search_ext!="gif" && app_img_search_ext!="jpg" && app_img_search_ext!="jpeg" && app_img_search_ext!="png" && app_img_search_ext!="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid search image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(document.getElementById("hid_app_img_menu").value==""&&app_img_menu.value=="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid menu image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(app_img_menu_ext!="gif" && app_img_menu_ext!="jpg" && app_img_menu_ext!="jpeg" && app_img_menu_ext!="png" && app_img_menu_ext!="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid menu image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(document.getElementById("hid_logo").value==""&&logo.value=="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid logo for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(document.getElementById("hid_banner").value==""&&banner.value=="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid banner for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(logoext!="gif" && logoext!="jpg" && logoext!="jpeg" && logoext!="png" && logoext!="" ) {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid logo for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(bannerext!="gif" && bannerext!="jpg" && bannerext!="jpeg" && bannerext!="png" && bannerext!="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid banner for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(theme_background=="") {
                                        Modalbox.show("<p><font color=red size=2>Please select a valid color for background. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(theme_text=="") {
                                        Modalbox.show("<p><font color=red size=2>Please select a valid color for default text. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(theme_background === theme_text) {
                                        Modalbox.show("<p><font color=red size=2>Application Background and Default Text Color can\'t be same.</font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(theme_header=="") {
                                        Modalbox.show("<p><font color=red size=2>Please select a valid color for header. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(theme_title=="") {
                                        Modalbox.show("<p><font color=red size=2>Please select a valid color for title text. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(theme_button=="") {
                                        Modalbox.show("<p><font color=red size=2>Please select a valid color for application\'s button. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if (customfooter_type == "1" && customfooter_code =="") {
                                        Modalbox.show("<p><font color=red size=2>Please provide the html code for custom footer. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else {
                                        document.theme_detail.submit();
                                        return true;
                                    }
                                }
                                else {
                                    if(document.getElementById("hid_logo").value==""&&logo.value=="") {
										Modalbox.show("<p><font color=red size=2>Please upload a valid logo for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
                                    }
									else if(document.getElementById("hid_banner").value==""&&banner.value=="") {
										Modalbox.show("<p><font color=red size=2>Please upload a valid banner for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
									}
                                    else if(logoext!="gif" && logoext!="jpg" && logoext!="jpeg" && logoext!="png" && logoext!="" ) {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid logo for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
                                    }
                                    else if(bannerext!="gif" && bannerext!="jpg" && bannerext!="jpeg" && bannerext!="png" && bannerext!="") {
                                        Modalbox.show("<p><font color=red size=2>Please upload a valid banner for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
                                    }
                                    else if(theme_background=="") {
									    Modalbox.show("<p><font color=red size=2>Please select a valid color for background. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
									}
									else if(theme_text=="") {
									    Modalbox.show("<p><font color=red size=2>Please select a valid color for default text. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
									}
									else if(theme_background === theme_text) {
                                        Modalbox.show("<p><font color=red size=2>Application Background and Default Text Color can\'t be same.</font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                    else if(theme_header=="") {
									    Modalbox.show("<p><font color=red size=2>Please select a valid color for header. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
									}
									else if(theme_title=="") {
									    Modalbox.show("<p><font color=red size=2>Please select a valid color for title text. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
									}
									else if(theme_button=="") {
									    Modalbox.show("<p><font color=red size=2>Please select a valid color for application\'s button. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							            return false;
									}
									else if (customfooter_type == "1" && customfooter_code =="") {
                                        Modalbox.show("<p><font color=red size=2>Please provide the html code for custom footer. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
									else {
									    document.theme_detail.submit();
                                        return true;
								    }
							    }
                            }
                           </script>';
			break;
			case 'download':
			    $mofluid_cod="Disable";
			    $mofluid_ebs="Disable";
			    $mofluid_paypal="Disable";
			    if($AndroidApp["cod_status"]==1)
			       $mofluid_cod="Enable";
			    if($AndroidApp["ebs_status"]==1)
			       $mofluid_ebs="Enable";
			    if($AndroidApp["paypal_status"]==1)
			       $mofluid_paypal="Enable";
			    $form .=  '<form name="download_app" action="'.$url.'" method="post" >
			               <div class="content-header"><table cellspacing=0><tbody><tr><td><h3>Download Application</h3></td><td class="form-buttons"><button type="button" class="scalable download" onclick="download_android();"><span>Download Android Application</span></button></td></tr></tbody></table></div>
			               <div class="fieldset box fieldset-wide"><table cellspacing=10>
                           <tr><td>Mofluid Id : </td><td>'.$Mofluiddata["mofluid_id"].'</td><td rowspan=4>Application Logo &nbsp;&nbsp;&nbsp;<img src="'.$AndroidApp["logo"].'" width="150" height="50"> </td><td rowspan=4>Icon &nbsp;&nbsp;&nbsp;<img src="'.$AndroidApp["ico_drawable"].'"width="72" height="72"> </td></tr>
                           <tr><td>Mofluid Key : </td><td>'.$Mofluiddata["mofluid_key"].'</td></tr>
                           <tr><td>Application Name : </td><td>'.$AndroidApp["app_name"].'</td></tr>
		                   <tr><td>Bundle Id : </td><td>'.$AndroidApp["bundle_id"].'</td></tr>
		                   <tr><td>Version : </td><td>'.$AndroidApp["version"].'</td><td rowspan=10>Application Banner &nbsp;<img src="'.$AndroidApp["banner"].'" width="210" height="130">  </td><td rowspan=10>Splash Screen &nbsp;&nbsp;&nbsp;<img src="'.$AndroidApp["drawable_port_hdpi"].'" width="250" height="250"> </td></tr>
		                   <tr><td>Default Store : </td><td>'.$AndroidApp["default_store"].'</td></tr>
		                   <tr><td>App Background : </td><td><input type="text" class="color input-text" value='.$AndroidApp["theme_background"].' disabled></td></tr>
		                   <tr><td>Default Text : </td><td><input type="text" class="color input-text" value='.$AndroidApp["theme_text"].' disabled></td></tr>
		                   <tr><td>Header : </td><td><input type="text" class="color input-text" value='.$AndroidApp["theme_header"].' disabled></td></tr>
		                   <tr><td>Title Text : </td><td><input type="text" class="color input-text" value='.$AndroidApp["theme_title"].' disabled></td></tr>
		                   <tr><td>Button : </td><td><input type="text" class="color input-text" value='.$AndroidApp["theme_button"].' disabled></td></tr>
		                   <tr><td><input name="form_name" type="hidden" value="download_android"></td><td><input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/></td></tr>
                           <tr><td colspan=3>We will send the application build to your registered email.</td></tr></table></div></form>
                           <script>
                             function download_android() {
                              document.download_app.submit();
                             }
                           </script>';
			break;
			case 'iosappdetail':
			    $form .= '<form name="iosapp_detail" action="'.$url.'"  method="post">
			               <div class="content-header"><table cellspacing=0><tbody><tr><td><h3>Application Details</h3></td><td class="form-buttons"><button type="button" onclick="saveiPhoneAppDetail();" class="scalable save" ><span>Save Configuration</span></button></td></tr></tbody></table></div>
		 		           <div class="fieldset box fieldset-wide"><table cellspacing=10><tbody>
		 		           <tr><td colspan="2"><h4 style="color:#EA7601">Mofluid Details</h4></td></tr>
		 		           <tr><td>Mofluid User Id* : </td><td><input type="text" name="mofluid_id" id="mofluid_id" class="required-entry input-text" value="'.$Mofluiddata["mofluid_id"].'"> (Email id of your user account at mofluid.com)</td></tr>
		 		           <tr><td>Mofluid Secret Key* : </td><td><input type="text" name="mofluid_key" id="mofluid_key" class="required-entry input-text" value="'.$Mofluiddata["mofluid_key"].'"> (Password of your user account at mofluid.com)</td></tr>
		 		           <tr><td colspan="2"><h4 style="color:#EA7601">Application Details</h4></td></tr>
		 		           <tr><td>Application Name* : </td><td><input type="text" name="name" class="required-entry input-text" value="'.$iPhoneApp["app_name"].'"></td></tr>
		 		           <tr><td>Bundle ID* : </td><td><input type="text" name="bundle_id" class="input-text" value="'.$iPhoneApp["bundle_id"].'"></td></tr>
		                   <tr><td>Version* : </td><td><input type="text" name="version" class=" required-entry validate-number validate-zero-or-greater validate-number-range number-range-0-99999999.9999 input-text required-entry" value="'.$iPhoneApp["version"].'"></td></tr>
		                   <tr><td>Default Store Id for App* : </td><td><input type="text" name="store" class=" required-entry validate-number validate-zero-or-greater validate-number-range number-range-0-99999999.9999 input-text required-entry" value="'.$iPhoneApp["default_store"].'"></td></tr>
		                   <tr><td>Device UDID (please use comma for seperate multiple values)* : </td><td><textarea name="device_udid" class="required-entry validate-number validate-zero-or-greater validate-number-range input-text required-entry">'.$iPhoneApp["device_udid"].'</textarea></td></tr>
		                   <tr><td><h4 style="color:#EA7601">Default Currency : </h4></td><td><select name="currency_type" class=select id="currency_type" onchange=""><option value="INR">INR</option><option value="USD">USD</option></select> should be same as in your desktop website.</td></tr>
			               <tr><td><input name="form_name" type="hidden" value="iosappdetails"></td><td><input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/></td></tr>
		                   </tbody></table></div></form>
		                   <script>
		                        //-------Default Currency
                                document.getElementById("currency_type").value="'.$iPhoneApp["currency_type"].'"; 
								function isInvalidEmail(email) {
                                     var filter = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
                                     if (!filter.test(email)) {
                                            return true;
                                     }
                                     else {
                                        return false;
									 }
                                }
		                        function saveiPhoneAppDetail() {
								   var mofluid_id = document.iosapp_detail.mofluid_id.value;
								   var mofluid_key = document.iosapp_detail.mofluid_key.value;
								   var name = document.iosapp_detail.name.value;
								   var bundle_id = document.iosapp_detail.bundle_id.value;	
								   var version = document.iosapp_detail.version.value;
								   var store = document.iosapp_detail.store.value;
								   var device_udid = document.iosapp_detail.device_udid.value;	
								   if(name==""||bundle_id==""||version==""||store==""||mofluid_id==""||mofluid_key==""||device_udid=="") {
									    Modalbox.show("<p><font color=red size=2>All fields are mandatory.</font></p>",{title: "Mofluid : Application Details", width: 400});
							            return false; 
							       }
							       if(mofluid_id!="" && isInvalidEmail(mofluid_id)) {
									   Modalbox.show("<p><font color=red size=2>Please enter the valid Mofluid ID.</font></p>",{title: "Mofluid : Application Details", width: 400});
							            return false;
								   }
								   else if(hasWhiteSpace(bundle_id)) {

 Modalbox.show("<p><font color=red size=2>Special Symbol other than . are not allowed in Bundle Id.</font></p>",{title: "Mofluid : Application Details", width: 400});
return false;
}
							         else if(!name.match(/^[A-Za-z]+$/)) {
                                                                    
       Modalbox.show("<p><font color=red size=2>Special symbol , spaces and numbers are not allowed in application name.</font></p>",{title: "Mofluid : Application Details", width: 400});
                                                                    return false;
                                                                   }  
							       else if(!isInt(version)) {
							             Modalbox.show("<p><font color=red size=2>Version number should be integer.</font></p>",{title: "Mofluid : Application Details", width: 400});  
							             return false;
							       }
							       else if(!isInt(store)) {
							             Modalbox.show("<p><font color=red size=2>Store Id should be integer.</font></p>",{title: "Mofluid : Application Details", width: 400});
							             return false;
							       } 
							       else {
							            document.iosapp_detail.submit();
							            return true;
								   }
							    }
							    function isInt(x) {
                                        return (!isNaN(x) && parseInt(x) == x)
                                 }
							 function hasWhiteSpace(spacefield) {
     return !(/^[a-z0-9.]+$/i.test(spacefield));
  }
		                   </script>';
			break;
			case 'iosassetsdetail':
			    $form .=  '<form name="assets_detail_icons" action="'.$url.'"  method="post" enctype="multipart/form-data" >
			                   <div class="content-header">
			                       <table cellspacing=0>
			                           <tbody>
			                               <tr>
			                                   <td>
			                                       <h3>Application Assets</h3>
			                                   </td>
			                                   <td class="form-buttons">
			                                       <button type="button" class="scalable save" onClick="save_ios_assets_icons();">
			                                           <span>Upload Icons</span>
			                                       </button>
			                                       <button type="button" class="scalable save" onClick="save_ios_assets_splash();">
			                                           <span>Upload Splash Screens</span>
			                                       </button>
			                                    </td>
			                               </tr>
			                           </tbody>
			                       </table>
			                   </div>
			                   <div class="fieldset box fieldset-wide">
			                       <table cellspacing=3>
                                       <tr>
                                           <td colspan=2>
                                               <h3 style="color:#EA7601;text-decoration:underline;">Icons</h3>
                                           </td>
                                       </tr>
                                       <tr style="padding-left:10px;">
                                           <td colspan=2>
                                               <h4 style="color:#EA7601;">App Icons</h4>
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_small <b>[Size : 29x29px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_small" id="icon_small">
                                               <img src="'.$iPhoneApp["icon_small"].'" width=25 height=25 alt="'.$iPhoneApp["icon_small"].'">
                                               <input id="hid_icon_small" name="hid_icon_small" type="hidden" value="'.basename($iPhoneApp["icon_small"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_40 <b>[Size : 40x40px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_40" id="icon_40">
                                               <img src="'.$iPhoneApp["icon_40"].'" width=25 height=25 alt="'.$iPhoneApp["icon_40"].'">
                                               <input id="hid_icon_40" name="hid_icon_40" type="hidden" value="'.basename($iPhoneApp["icon_40"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_50 <b>[Size : 50x50px]*</b> </td>
                                           <td><input type="file" name="icon_50" id="icon_50">
                                               <img src="'.$iPhoneApp["icon_50"].'" width=25 height=25 alt="'.$iPhoneApp["icon_50"].'">
                                               <input id="hid_icon_50" name="hid_icon_50" type="hidden" value="'.basename($iPhoneApp["icon_50"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_57 <b>[Size : 57x57px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_57" id="icon_57">
                                               <img src="'.$iPhoneApp["icon_57"].'" width=25 height=25 alt="'.$iPhoneApp["icon_57"].'">
                                               <input id="hid_icon_57" name="hid_icon_57" type="hidden" value="'.basename($iPhoneApp["icon_57"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_60 <b>[Size : 60x60px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_60" id="icon_60">
                                               <img src="'.$iPhoneApp["icon_60"].'" width=25 height=25 alt="'.$iPhoneApp["icon_60"].'">
                                               <input id="hid_icon_60" name="hid_icon_60" type="hidden" value="'.basename($iPhoneApp["icon_60"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_72 <b>[Size : 72x72px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_72" id="icon_72">
                                               <img src="'.$iPhoneApp["icon_72"].'" width=25 height=25 alt="'.$iPhoneApp["icon_72"].'">
                                               <input id="hid_icon_72" name="hid_icon_72" type="hidden" value="'.basename($iPhoneApp["icon_72"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_76 <b>[Size : 76x76px]*</b></td>
                                           <td>
                                               <input type="file" name="icon_76" id="icon_76">
                                               <img src="'.$iPhoneApp["icon_76"].'" width=25 height=25 alt="'.$iPhoneApp["icon_76"].'">
                                               <input id="hid_icon_76" name="hid_icon_76" type="hidden" value="'.basename($iPhoneApp["icon_76"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td colspan=2>
                                               <h4 style="color:#EA7601">App Icons with 2x Resolution</h4>
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_small_2x <b>[Size : 58x58px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_small_2x" id="icon_small_2x">
                                               <img src="'.$iPhoneApp["icon_small_2x"].'" width=25 height=25 alt="'.$iPhoneApp["icon_small_2x"].'">
                                               <input id="hid_icon_small_2x" name="hid_icon_small_2x" type="hidden" value="'.basename($iPhoneApp["icon_small_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_40_2x <b>[Size : 80x80px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_40_2x" id="icon_40_2x">
                                               <img src="'.$iPhoneApp["icon_40_2x"].'" width=25 height=25 alt="'.$iPhoneApp["icon_40_2x"].'">
                                               <input id="hid_icon_40_2x" name="hid_icon_40_2x" type="hidden" value="'.basename($iPhoneApp["icon_40_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_50_2x <b>[Size : 100x100px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_50_2x" id="icon_50_2x">
                                               <img src="'.$iPhoneApp["icon_50_2x"].'" width=25 height=25 alt="'.$iPhoneApp["icon_50_2x"].'">
                                               <input id="hid_icon_50_2x" name="hid_icon_50_2x" type="hidden" value="'.basename($iPhoneApp["icon_50_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_57_2x <b>[Size : 144x114px]*</b> </td>
                                           <td><input type="file" name="icon_57_2x" id="icon_57_2x">
                                           <img src="'.$iPhoneApp["icon_57_2x"].'" width=25 height=25 alt="'.$iPhoneApp["icon_57_2x"].'">
                                           <input id="hid_icon_57_2x" name="hid_icon_57_2x" type="hidden" value="'.basename($iPhoneApp["icon_57_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_60_2x <b>[Size : 120x120px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_60_2x" id="icon_60_2x">
                                               <img src="'.$iPhoneApp["icon_60_2x"].'" width=25 height=25 alt="'.$iPhoneApp["icon_60_2x"].'">
                                               <input id="hid_icon_60_2x" name="hid_icon_60_2x" type="hidden" value="'.basename($iPhoneApp["icon_60_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_72_2x <b>[Size : 144x144px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_72_2x" id="icon_72_2x">
                                               <img src="'.$iPhoneApp["icon_72_2x"].'" width=25 height=25 alt="'.$iPhoneApp["icon_72_2x"].'">
                                               <input id="hid_icon_72_2x" name="hid_icon_72_2x" type="hidden" value="'.basename($iPhoneApp["icon_72_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>icon_76_2x <b>[Size : 152x152px]*</b> </td>
                                           <td>
                                               <input type="file" name="icon_76_2x" id="icon_76_2x">
                                               <img src="'.$iPhoneApp["icon_76_2x"].'" width=25 height=25 alt="'.$iPhoneApp["icon_76_2x"].'">
                                               <input id="hid_icon_76_2x" name="hid_icon_76_2x" type="hidden" value="'.basename($iPhoneApp["icon_76_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td colspan=2>
                                               <h4 style="color:#EA7601">iTunesArtwork Icons</h4>
                                           </td>
                                       </tr>
                                       <tr style="padding-top:1%">
                                           <td>iTunesArtwork <b>[Size : 512x512px]*</b> </td>
                                           <td>
                                               <input type="file" name="itunesartwork" id="itunesartwork">
                                               <img src="'.$iPhoneApp["itunesartwork"].'" width=25 height=25 alt="'.$iPhoneApp["itunesartwork"].'">
                                               <input id="hid_itunesartwork" name="hid_itunesartwork" type="hidden" value="'.basename($iPhoneApp["itunesartwork"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>iTunesArtwork_2x <b>[Size : 1024x1024px]*</b> </td>
                                           <td>
                                               <input type="file" name="itunesartwork_2x" id="itunesartwork_2x">
                                               <img src="'.$iPhoneApp["itunesartwork_2x"].'" width=25 height=25 alt="'.$iPhoneApp["itunesartwork_2x"].'">
                                               <input id="hid_itunesartwork_2x" name="hid_itunesartwork_2x" type="hidden" value="'.basename($iPhoneApp["itunesartwork_2x"]).'">
                                           </td>
                                       </tr>
                                        <tr>
                                           <td>
                                               <input name="form_name" type="hidden" value="iosassetsdetails_icons">
                                           </td>
                                           <td>
                                               <input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/>
                                           </td>
                                       </tr>
                                       
                                       </table>
                                       </form>
                               </div>
			                   <div class="fieldset box fieldset-wide">
			                       <form name="assets_detail_splash" action="'.$url.'"  method="post" enctype="multipart/form-data" >
			                       <table cellspacing=3>
                                       
                                       
                                       <tr style="border-top:1px solid #EA7601;text-decoration:underline;">
                                           <td colspan=2> 
                                               <h3 style="color:#EA7601">Splash Screen</h3>
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>screen_iphone_portrait <b>[Size : 320x480px]*</b> </td>
                                           <td>
                                               <input type="file" name="screen_iphone_portrait" id="screen_iphone_portrait">
                                               <img src="'.$iPhoneApp["screen_iphone_portrait"].'" width=50 height=50 alt="'.$AndroidApp["screen_iphone_portrait"].'">
                                               <input id="hid_screen_iphone_portrait" name="hid_screen_iphone_portrait" type="hidden" value="'.basename($iPhoneApp["screen_iphone_portrait"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>screen_iphone_portrait_2x <b>[Size : 640x960px]*</b> </td>
                                           <td>
                                               <input type="file" name="screen_iphone_portrait_2x" id="screen_iphone_portrait_2x">
                                               <img src="'.$iPhoneApp["screen_iphone_portrait_2x"].'" width=50 height=50 alt="'.$iPhoneApp["screen_iphone_portrait_2x"].'">
                                               <input id="hid_screen_iphone_portrait_2x" name="hid_screen_iphone_portrait_2x" type="hidden" value="'.basename($iPhoneApp["screen_iphone_portrait_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>screen_ipad_portrait <b>[Size : 768x1024px]*</b></td>
                                           <td>
                                               <input type="file" name="screen_ipad_portrait" id="screen_ipad_portrait">
                                               <img src="'.$iPhoneApp["screen_ipad_portrait"].'" width=50 height=50 alt="'.$iPhoneApp["screen_ipad_portrait"].'">
                                               <input id="hid_screen_ipad_portrait" name="hid_screen_ipad_portrait" type="hidden" value="'.basename($iPhoneApp["screen_ipad_portrait"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>screen_ipad_portrait_2x <b>[Size : 1536x2048px]*</td>
                                           <td>
                                               <input type="file" name="screen_ipad_portrait_2x" id="screen_ipad_portrait_2x">
                                               <img src="'.$iPhoneApp["screen_ipad_portrait_2x"].'" width=50 height=50 alt="'.$iPhoneApp["screen_ipad_portrait_2x"].'">
                                               <input id="hid_screen_ipad_portrait_2x" name="hid_screen_ipad_portrait_2x" type="hidden" value="'.basename($iPhoneApp["screen_ipad_portrait_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>screen_ipad_landscape <b>[Size : 1024x768px]*</td>
                                           <td>
                                               <input type="file" name="screen_ipad_landscape" id="screen_ipad_landscape">
                                               <img src="'.$iPhoneApp["screen_ipad_landscape"].'" width=50 height=50 alt="'.$iPhoneApp["screen_ipad_landscape"].'">
                                               <input id="hid_screen_ipad_landscape" name="hid_screen_ipad_landscape" type="hidden" value="'.basename($iPhoneApp["screen_ipad_landscape"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>screen_ipad_landscape_2x <b>[Size : 2048x1536px]*</td>
                                           <td>
                                               <input type="file" name="screen_ipad_landscape_2x" id="screen_ipad_landscape_2x">
                                               <img src="'.$iPhoneApp["screen_ipad_landscape_2x"].'" width=50 height=50 alt="'.$iPhoneApp["screen_ipad_landscape_2x"].'">
                                               <input id="hid_screen_ipad_landscape_2x" name="hid_screen_ipad_landscape_2x" type="hidden" value="'.basename($iPhoneApp["screen_ipad_landscape_2x"]).'">
                                           </td>
                                       </tr>
                                       <tr>
                                           <td>screen_iphone_default <b>[Size : 640x1136px]*</td>
                                           <td>
                                               <input type="file" name="screen_iphone_default" id="screen_iphone_default">
                                               <img src="'.$iPhoneApp["screen_iphone_default"].'" width=50 height=50 alt="'.$iPhoneApp["screen_iphone_default"].'">
                                               <input id="hid_screen_iphone_default" name="hid_screen_iphone_default" type="hidden" value="'.basename($iPhoneApp["screen_iphone_default"]).'">
                                           </td>
                                       </tr>
                                       
                                       <tr>
                                           <td>
                                               <input name="form_name" type="hidden" value="iosassetsdetails_splash">
                                           </td>
                                           <td>
                                               <input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/>
                                           </td>
                                       </tr>
                                   </table>
                               </div>
                           </form>
                           
                           <script type="text/javascript">
                           function save_ios_assets_icons() {
                               saveiosiconAssetsDetail();
                           }
                           function save_ios_assets_splash() {
                               saveiossplashAssetsDetail();
                           }
                           function saveiosiconAssetsDetail() {
                                      var icon_small = document.getElementById("icon_small");
                                      var icon_40 = document.getElementById("icon_40");
                                      var icon_50 = document.getElementById("icon_50");
                                      var icon_57 = document.getElementById("icon_57");
                                      var icon_60 = document.getElementById("icon_60");
                                      var icon_72 = document.getElementById("icon_72");
                                      var icon_76 = document.getElementById("icon_76");
                                      var icon_small_2x = document.getElementById("icon_small_2x");
                                      var icon_40_2x = document.getElementById("icon_40_2x");
                                      var icon_50_2x = document.getElementById("icon_50_2x");
                                      var icon_57_2x = document.getElementById("icon_57_2x");
                                      var icon_60_2x = document.getElementById("icon_60_2x");
                                      var icon_72_2x = document.getElementById("icon_72_2x");
                                      var icon_76_2x = document.getElementById("icon_76_2x");
                                      var itunesartwork = document.getElementById("itunesartwork");
                                      var itunesartwork_2x = document.getElementById("itunesartwork_2x");
                                       var icon_small_ext = icon_small.value.substring(icon_small.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_40_ext = icon_40.value.substring(icon_40.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_50_ext = icon_50.value.substring(icon_50.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_57_ext = icon_57.value.substring(icon_57.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_60_ext = icon_60.value.substring(icon_60.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_72_ext = icon_72.value.substring(icon_72.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_76_ext = icon_76.value.substring(icon_76.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_small_2x_ext = icon_small_2x.value.substring(icon_small_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_40_2x_ext = icon_40_2x.value.substring(icon_40_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_50_2x_ext = icon_50_2x.value.substring(icon_50_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_57_2x_ext = icon_57_2x.value.substring(icon_57_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_60_2x_ext = icon_60_2x.value.substring(icon_60_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_72_2x_ext = icon_72_2x.value.substring(icon_72_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var icon_76_2x_ext = icon_76_2x.value.substring(icon_76_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var itunesartwork_ext = itunesartwork.value.substring(itunesartwork.value.lastIndexOf(".") + 1).toLowerCase();
                                      var itunesartwork_2x_ext = itunesartwork_2x.value.substring(itunesartwork_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      
                           if((document.getElementById("hid_icon_small").value==""&&icon_small.value=="")||(document.getElementById("hid_icon_40").value==""&&icon_40.value=="")||(document.getElementById("hid_icon_50").value==""&&icon_50.value=="")||(document.getElementById("hid_icon_57").value==""&&icon_57.value=="")||(document.getElementById("hid_icon_60").value==""&&icon_60.value=="")||(document.getElementById("hid_icon_72").value==""&&icon_72.value=="")||(document.getElementById("hid_icon_76").value==""&&icon_76.value=="")||(document.getElementById("hid_icon_small_2x").value==""&&icon_small_2x.value=="")||(document.getElementById("hid_icon_40_2x").value==""&&icon_40_2x.value=="")||(document.getElementById("hid_icon_50_2x").value==""&&icon_50_2x.value=="")||(document.getElementById("hid_icon_57_2x").value==""&&icon_57_2x.value=="")||(document.getElementById("hid_icon_60_2x").value==""&&icon_60_2x.value=="")||(document.getElementById("hid_icon_72_2x").value==""&&icon_72_2x.value=="")||(document.getElementById("hid_icon_76_2x").value==""&&icon_76_2x.value=="")||(document.getElementById("hid_itunesartwork").value==""&&itunesartwork.value=="")||(document.getElementById("hid_itunesartwork_2x").value==""&&itunesartwork_2x.value=="")) {
										   Modalbox.show("<p><font color=red size=2>Please upload all icons for application. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
									  }
									  
                                      else if(icon_small_ext!="gif" && icon_small_ext!="jpg" && icon_small_ext!="jpeg" && icon_small_ext!="png" && icon_small_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_small. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_40_ext!="gif" && icon_40_ext!="jpg" && icon_40_ext!="jpeg" && icon_40_ext!="png" && icon_40_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_40. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_50_ext!="gif" && icon_50_ext!="jpg" && icon_50_ext!="jpeg" && icon_50_ext!="png" && icon_50_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_50. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_57_ext!="gif" && icon_57_ext!="jpg" && icon_57_ext!="jpeg" && icon_57_ext!="png" && icon_57_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_57. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_60_ext!="gif" && icon_60_ext!="jpg" && icon_60_ext!="jpeg" && icon_60_ext!="png" && icon_60_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_60. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_72_ext!="gif" && icon_72_ext!="jpg" && icon_72_ext!="jpeg" && icon_72_ext!="png" && icon_72_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_72. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_76_ext!="gif" && icon_76_ext!="jpg" && icon_76_ext!="jpeg" && icon_76_ext!="png" && icon_76_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for icon_76. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_small_2x_ext!="gif" && icon_small_2x_ext!="jpg" && icon_small_2x_ext!="jpeg" && icon_small_2x_ext!="png" && icon_small_2x_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_small_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_40_2x_ext!="gif" && icon_40_2x_ext!="jpg" && icon_40_2x_ext!="jpeg" && icon_40_2x_ext!="png" && icon_40_2x_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_40_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_50_2x_ext!="gif" && icon_50_2x_ext!="jpg" && icon_50_2x_ext!="jpeg" && icon_50_2x_ext!="png" && icon_50_2x_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_50_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_57_2x_ext!="gif" && icon_57_2x_ext!="jpg" && icon_57_2x_ext!="jpeg" && icon_57_2x_ext!="png" && icon_57_2x_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_57_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_60_2x_ext!="gif" && icon_60_2x_ext!="jpg" && icon_60_2x_ext!="jpeg" && icon_60_2x_ext!="png" && icon_60_2x_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_60_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_72_2x_ext!="gif" && icon_72_2x_ext!="jpg" && icon_72_2x_ext!="jpeg" && icon_72_2x_ext!="png" && icon_72_2x_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for icon_72. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(icon_76_2x_ext!="gif" && icon_76_2x_ext!="jpg" && icon_76_2x_ext!="jpeg" && icon_76_2x_ext!="png" && icon_76_2x_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for icon_76_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(itunesartwork_ext!="gif" && itunesartwork_ext!="jpg" && itunesartwork_ext!="jpeg" && itunesartwork_ext!="png" && itunesartwork_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid icon for itunesartwork. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(itunesartwork_2x_ext!="gif" && itunesartwork_2x_ext!="jpg" && itunesartwork_2x_ext!="jpeg" && itunesartwork_2x_ext!="png" && itunesartwork_2x_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for itunesartwork_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else {
									    document.assets_detail_icons.submit();
                                     }
                           }
                              function saveiossplashAssetsDetail() {
                                      
                                      
                                      var screen_iphone_portrait = document.getElementById("screen_iphone_portrait");
                                      var screen_iphone_portrait_2x = document.getElementById("screen_iphone_portrait_2x");
                                      var screen_ipad_portrait = document.getElementById("screen_ipad_portrait");
                                      var screen_ipad_portrait_2x = document.getElementById("screen_ipad_portrait_2x");
                                      var screen_ipad_landscape = document.getElementById("screen_ipad_landscape");
                                      var screen_ipad_landscape_2x = document.getElementById("screen_ipad_landscape_2x");
                                      var screen_iphone_default = document.getElementById("screen_iphone_default");
                                      
                                     
                                      var screen_iphone_portrait_ext = screen_iphone_portrait.value.substring(screen_iphone_portrait.value.lastIndexOf(".") + 1).toLowerCase();
                                      var screen_iphone_portrait_2x_ext = screen_iphone_portrait_2x.value.substring(screen_iphone_portrait_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var screen_ipad_portrait_ext = screen_ipad_portrait.value.substring(screen_ipad_portrait.value.lastIndexOf(".") + 1).toLowerCase();
                                      var screen_ipad_portrait_2x_ext = screen_ipad_portrait_2x.value.substring(screen_ipad_portrait_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var screen_ipad_landscape_ext = screen_ipad_landscape.value.substring(screen_ipad_landscape.value.lastIndexOf(".") + 1).toLowerCase();
                                      var screen_ipad_landscape_2x_ext = screen_ipad_landscape_2x.value.substring(screen_ipad_landscape_2x.value.lastIndexOf(".") + 1).toLowerCase();
                                      var screen_iphone_default_ext = screen_iphone_default.value.substring(screen_iphone_default.value.lastIndexOf(".") + 1).toLowerCase();
                                      
                                   
                                      if((document.getElementById("hid_screen_iphone_portrait").value==""&&screen_iphone_portrait.value=="")||(document.getElementById("hid_screen_iphone_portrait_2x").value==""&&screen_iphone_portrait_2x.value=="")||(document.getElementById("hid_screen_ipad_portrait").value==""&&screen_ipad_portrait.value=="")||(document.getElementById("hid_screen_ipad_portrait_2x").value==""&&screen_ipad_portrait_2x.value=="")||(document.getElementById("hid_screen_ipad_landscape").value==""&&screen_ipad_landscape.value=="")||(document.getElementById("hid_screen_ipad_landscape_2x").value==""&&screen_ipad_landscape_2x.value=="")||(document.getElementById("hid_screen_iphone_default").value==""&&screen_iphone_default.value=="")) {
										  Modalbox.show("<p><font color=red size=2>Please upload all Splash Screen for application. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							             return false;
							         }
                                      else if(screen_iphone_portrait_ext!="gif" && screen_iphone_portrait_ext!="jpg" && screen_iphone_portrait_ext!="jpeg" && screen_iphone_portrait_ext!="png" && screen_iphone_portrait_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for screen_iphone_portrait. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(screen_iphone_portrait_2x_ext!="gif" && screen_iphone_portrait_2x_ext!="jpg" && screen_iphone_portrait_2x_ext!="jpeg" && screen_iphone_portrait_2x_ext!="png" && screen_iphone_portrait_2x_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for screen_iphone_portrait_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(screen_ipad_portrait_ext!="gif" && screen_ipad_portrait_ext!="jpg" && screen_ipad_portrait_ext!="jpeg" && screen_ipad_portrait_ext!="png" && screen_ipad_portrait_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for screen_ipad_portrait. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(screen_ipad_portrait_2x_ext!="gif" && screen_ipad_portrait_2x_ext!="jpg" && screen_ipad_portrait_2x_ext!="jpeg" && screen_ipad_portrait_2x_ext!="png" && screen_ipad_portrait_2x_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for screen_ipad_portrait_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(screen_ipad_landscape_ext!="gif" && screen_ipad_landscape_ext!="jpg" && screen_ipad_landscape_ext!="jpeg" && screen_ipad_landscape_ext!="png" && screen_ipad_landscape_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for screen_ipad_landscape. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(screen_ipad_landscape_2x_ext!="gif" && screen_ipad_landscape_2x_ext!="jpg" && screen_ipad_landscape_2x_ext!="jpeg" && screen_ipad_landscape_2x_ext!="png" && screen_ipad_landscape_2x_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for screen_ipad_landscape_2x. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else if(screen_iphone_default_ext!="gif" && screen_iphone_default_ext!="jpg" && screen_iphone_default_ext!="jpeg" && screen_iphone_default_ext!="png" && screen_iphone_default_ext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid slash screen image for screen_iphone_default. </font></p>",{title: "Mofluid : Application Assets", width: 400});
							               return false;
                                      }
                                      else {
									    document.assets_detail_splash.submit();
                                     } 
                                }
                            </script>';
			break;
			case 'iosthemedetail':
			    $available_mofluid_theme = $this->findAvailableMofluidTheme();
			     $mofluid_theme = '<select name="mofluid_theme" id="mofluid_theme" onchange="switch_mofluid_theme();">';
			    foreach($available_mofluid_theme as $key => $theme) {
			        $mofluid_theme .= '<option value="'.$theme.'">'.$theme.'</option>';
			    }
			    $mofluid_theme .= '</select>';
			    $form .=  '<form name="ios_theme_detail" action="'.$url.'"  method="post" enctype="multipart/form-data">
			               <div class="content-header"><table cellspacing=0><tbody><tr><td><h3>Theme Configuration</h3></td><td class="form-buttons"><button type="button" class="scalable save" onClick="saveiosThemeDetail()"><span>Save Configuration</span></button></td></tr></tbody></table></div>
			               <div class="fieldset box fieldset-wide"><table cellspacing=10>

<tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">Mofluid Theme</h4>
			                            </td>
			                        </tr>
                                    <tr>
                                        <td>
                                            Application\'s Theme
                                        </td>
                                        <td>
                                            '.$mofluid_theme.'
                                            <a href="https://mofluid.zendesk.com/hc/en-us/sections/200278341-Mofluid-Themes" target="_blank">Learn More About Mofluid Theme</a>
                                        </td>
                                    </tr>
                                    <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">Images & Icons</h4>
			                            </td>
			                        </tr>
<tr><td>Application\'s Image Theme</td><td><select name="app_image_type" id="app_image_type" onchange="switch_image_type();"><option value="dark">Dark</option><option value="light">Light</option><option value="custom">Custom</option></select> (Small Images on App Which represents Home, Back, Cross, Delete, Search, Cart and Menu Icons)</div></td></tr>

<tr id="app_img_row1"><td>Home (32x32px) </td><td><input type="file" name="app_img_home" id="app_img_home"><img src="'.$iPhoneApp["app_img_home"].'" width=30 height=30 alt="'.$iPhoneApp["app_img_home"].'"><input type="hidden" name="hid_app_img_home" id="hid_app_img_home" value="'.basename($iPhoneApp["app_img_home"]).'"></td></td></tr>

<tr id="app_img_row2" ><td>Back (32x32px) </td><td><input type="file" name="app_img_back" id="app_img_back"><img src="'.$iPhoneApp["app_img_back"].'" width=30 height=30 alt="'.$iPhoneApp["app_img_back"].'"><input type="hidden" name="hid_app_img_back" id="hid_app_img_back" value="'.basename($iPhoneApp["app_img_back"]).'"></td></td></tr>

<tr id="app_img_row3"><td>Cross (32x32px) </td><td><input type="file" name="app_img_cross" id="app_img_cross"><img src="'.$iPhoneApp["app_img_cross"].'" width=30 height=30 alt="'.$iPhoneApp["app_img_cross"].'"><input type="hidden" name="hid_app_img_cross" id="hid_app_img_cross" value="'.basename($iPhoneApp["app_img_cross"]).'"></td></td></tr>

<tr id="app_img_row4"><td>Cart (32x32px) </td><td><input type="file" name="app_img_cart" id="app_img_cart"><img src="'.$iPhoneApp["app_img_cart"].'" width=30 height=30 alt="'.$iPhoneApp["app_img_cart"].'"><input type="hidden" name="hid_app_img_cart" id="hid_app_img_cart" value="'.basename($iPhoneApp["app_img_cart"]).'"></td></td></tr>

<tr id="app_img_row5"><td>Menu (32x32px) </td><td><input type="file" name="app_img_menu" id="app_img_menu"><img src="'.$iPhoneApp["app_img_menu"].'" width=30 height=30 alt="'.$iPhoneApp["app_img_menu"].'"><input type="hidden" name="hid_app_img_menu" id="hid_app_img_menu" value="'.basename($iPhoneApp["app_img_menu"]).'"></td></td></tr>

<tr id="app_img_row6"><td>Delete (32x32px) </td><td><input type="file" name="app_img_del" id="app_img_del"><img src="'.$iPhoneApp["app_img_del"].'" width=30 height=30 alt="'.$iPhoneApp["app_img_del"].'"><input type="hidden" name="hid_app_img_del" id="hid_app_img_del" value="'.basename($iPhoneApp["app_img_del"]).'"></td></td></tr>

<tr id="app_img_row7"><td>Search (32x32px) </td><td><input type="file" name="app_img_search" id="app_img_search"><img src="'.$iPhoneApp["app_img_search"].'" width=30 height=30 alt="'.$iPhoneApp["app_img_search"].'"><input type="hidden" name="hid_app_img_search" id="hid_app_img_search" value="'.basename($iPhoneApp["app_img_search"]).'"></td></td></tr>
 <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">Logo & Banner</h4>
			                            </td>
			                        </tr>
			               <tr><td>Application Logo* (Recommended 150x50px) : </td><td><input type="file" name="logo" id="logo"><img src="'.$iPhoneApp["logo"].'" width=75 height=25 alt="'.$iPhoneApp["logo"].'"><input type="hidden" name="hid_logo" id="hid_logo" value="'.basename($iPhoneApp["logo"]).'"></td></tr>
			               <tr><td>Application Banner* (Recommended 420x260px) : </td><td><input type="file" name="banner" id="banner"><img src="'.$iPhoneApp["banner"].'" width=105 height=65 alt="'.$iPhoneApp["banner"].'"><input type="hidden" name="hid_banner" id="hid_banner" value="'.basename($iPhoneApp["banner"]).'"></td></tr>
                            <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">Colors</h4>
			                            </td>
			                        </tr>
                           <tr><td>Application Background* : </td><td><input type="text" id="theme_background" name="theme_background" class="color input-text" value="'.$iPhoneApp["theme_background"].'"></td></tr>
                           <tr><td>Default Text* : </td><td><input type="text" name="theme_text" id="theme_text" class="color input-text" value="'.$iPhoneApp["theme_text"].'"></td></tr>
                           <tr><td>Header* : </td><td><input type="text" name="theme_header" id="theme_header" class="color input-text" value="'.$iPhoneApp["theme_header"].'"></td></tr>
                           <tr><td>Title Text* : </td><td><input type="text" name="theme_title" id="theme_title" class="color input-text" value="'.$iPhoneApp["theme_title"].'"></td></tr>
                           <tr><td>Button* : </td><td><input type="text" name="theme_button" id="theme_button" class="color input-text" value="'.$iPhoneApp["theme_button"].'"></td></tr>
                           <tr>
			                            <td colspan="2">
			                                <h4 style="color:#EA7601">HTML Footer</h4>
			                            </td>
			                        </tr>
			                        <tr>
                                        <td>Status* : </td>
                                        <td>
                                            <select id="customfooter" name="customfooter" onchange="switch_footer_type();">
                                                <option value="0">Not Required</option>
                                                <option value="1">Required</option>
                                            </select>
                                        </td>
                                    </tr>
                                     <tr id="customfooter_row">
                                        <td>HTML Code* : </td>
                                        <td>
                                            <textarea name="customfooter_code" id ="customfooter_code" class="input-text required-entry" style="width: 60%;height: 60px;">'.base64_decode($iPhoneApp["customfooter_code"]).'</textarea>
                                        </td>
                                    </tr>
                           <tr><td><input name="form_name" type="hidden" value="iosthemedetails"></td><td><input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/></td></tr>
                           </table></div></form>
                           <script>
                             
document.getElementById("app_image_type").value="'.$iPhoneApp["app_image_type"].'";
document.getElementById("mofluid_theme").value="'.$iPhoneApp["theme"].'";
document.getElementById("customfooter").value="'.$iPhoneApp["customfooter"].'";
 switch_image_type();
 switch_footer_type();
 function switch_footer_type(){
                                var type = document.getElementById("customfooter").value;
                                if(type=="1") {
                                    document.getElementById("customfooter_row").style.display = "";
                                }
                                else {
                                    document.getElementById("customfooter_row").style.display = "none";
                                }
                            }
                            
                               function switch_image_type() {
                                      var type = document.getElementById("app_image_type").value;
                                                                     if(type=="custom") {
                                                                     if(document.getElementById("mofluid_theme").value == "Elegant") {
                                    document.getElementById("app_img_row1").style.display = "none";
                                    document.getElementById("app_img_row2").style.display = "none";
                                 }
                                 else {
                                   document.getElementById("app_img_row1").style.display = "";
                                    document.getElementById("app_img_row2").style.display = "";
                                 }
                                                                                 document.getElementById("app_img_row3").style.display = "";
                                                                                 document.getElementById("app_img_row4").style.display = "";
                                                                                 document.getElementById("app_img_row5").style.display = "";
                                                                                 document.getElementById("app_img_row6").style.display = "";
                                                                                 document.getElementById("app_img_row7").style.display = "";
                                                                                                                                                                 
                                                                         }
                                                                         else {
                                                                                 document.getElementById("app_img_row1").style.display = "none";
                                                                                 document.getElementById("app_img_row2").style.display = "none";
                                                                                 document.getElementById("app_img_row3").style.display = "none";
                                                                                 document.getElementById("app_img_row4").style.display = "none";
                                                                                 document.getElementById("app_img_row5").style.display = "none";
                                                                                 document.getElementById("app_img_row6").style.display = "none";
                                                                                 document.getElementById("app_img_row7").style.display = "none";
                                                                                                                                                                 
                                                                                 
                                                                         }
                                                                }



                              function saveiosThemeDetail() {
				
                                var app_image_type = document.getElementById("app_image_type").value;
                                var app_img_home = document.getElementById("app_img_home");
                                var app_img_home_ext = app_img_home.value.substring(app_img_home.value.lastIndexOf(".") + 1).toLowerCase();
                                  
                                var app_img_back = document.getElementById("app_img_back");
                                var app_img_back_ext = app_img_back.value.substring(app_img_back.value.lastIndexOf(".") + 1).toLowerCase();  
                                  
                                var app_img_cross = document.getElementById("app_img_cross");
                                var app_img_cross_ext = app_img_cross.value.substring(app_img_cross.value.lastIndexOf(".") + 1).toLowerCase();   
                                var app_img_cart = document.getElementById("app_img_cart");
                                var app_img_cart_ext = app_img_cart.value.substring(app_img_cart.value.lastIndexOf(".") + 1).toLowerCase();
                                     
                                var app_img_del = document.getElementById("app_img_del");
                                var app_img_del_ext = app_img_del.value.substring(app_img_del.value.lastIndexOf(".") + 1).toLowerCase();
                                      
                                var app_img_search = document.getElementById("app_img_search");
                                var app_img_search_ext = app_img_search.value.substring(app_img_search.value.lastIndexOf(".") + 1).toLowerCase();
                                      
                                var app_img_menu = document.getElementById("app_img_menu");
                                var app_img_menu_ext = app_img_menu.value.substring(app_img_menu.value.lastIndexOf(".") + 1).toLowerCase();




				      var logo = document.getElementById("logo");
                                      var banner = document.getElementById("banner");
                                      var logoext = logo.value.substring(logo.value.lastIndexOf(".") + 1).toLowerCase();
                                      var bannerext = banner.value.substring(banner.value.lastIndexOf(".") + 1).toLowerCase();
                                      var theme_background = document.getElementById("theme_background").value;
                                      var theme_text = document.getElementById("theme_text").value;
                                      var theme_header = document.getElementById("theme_header").value;
                                      var theme_title = document.getElementById("theme_title").value;
                                      var theme_button = document.getElementById("theme_button").value;
                                      
                                var customfooter_type = document.getElementById("customfooter").value;
                                var customfooter_code = document.getElementById("customfooter_code").value.trim();
 if(app_image_type=="custom"){

if(document.getElementById("hid_app_img_home").value==""&&app_img_home.value=="" && document.getElementById("mofluid_theme").value != "Elegant") {
                                            Modalbox.show("<p><font color=red size=2>Please upload a valid home image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                            return false;
                                      }
                                      else if(app_img_home_ext!="gif" && app_img_home_ext!="jpg" && app_img_home_ext!="jpeg" && app_img_home_ext!="png" && app_img_home_ext!="" && document.getElementById("mofluid_theme").value != "Elegant") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid home image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                          return false;
                                      }
                                      else if(document.getElementById("hid_app_img_back").value=="" && app_img_back.value=="" && document.getElementById("mofluid_theme").value != "Elegant") {
                                            Modalbox.show("<p><font color=red size=2>Please upload a valid back image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                            return false;
                                      }
                                      else if(app_img_back_ext!="gif" && app_img_back_ext!="jpg" && app_img_back_ext!="jpeg" && app_img_back_ext!="png" && app_img_back_ext!=""&&document.getElementById("mofluid_theme").value != "Elegant") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid back image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                          return false;
                                      }



 else if(document.getElementById("hid_app_img_cross").value==""&&app_img_cross.value=="") {
                                            Modalbox.show("<p><font color=red size=2>Please upload a valid cross image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                            return false;
                                      }
                                      else if(app_img_cross_ext!="gif" && app_img_cross_ext!="jpg" && app_img_cross_ext!="jpeg" && app_img_cross_ext!="png" && app_img_cross_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid cross image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                          return false;
                                      }
 else if(document.getElementById("hid_app_img_cart").value==""&&app_img_cart.value=="") {
                                            Modalbox.show("<p><font color=red size=2>Please upload a valid cart image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                            return false;
                                      }
                                      else if(app_img_cart_ext!="gif" && app_img_cart_ext!="jpg" && app_img_cart_ext!="jpeg" && app_img_cart_ext!="png" && app_img_cart_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid cart image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                          return false;
}

else if(document.getElementById("hid_app_img_del").value==""&&app_img_del.value=="") {
                                            Modalbox.show("<p><font color=red size=2>Please upload a valid delete image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                            return false;
                                      }
                                      else if(app_img_del_ext!="gif" && app_img_del_ext!="jpg" && app_img_del_ext!="jpeg" && app_img_del_ext!="png" && app_img_del_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid delete image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                          return false;
                                      }
 else if(document.getElementById("hid_app_img_search").value==""&&app_img_search.value=="") {
                                            Modalbox.show("<p><font color=red size=2>Please upload a valid search image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                            return false;
                                      }
                                      else if(app_img_search_ext!="gif" && app_img_search_ext!="jpg" && app_img_search_ext!="jpeg" && app_img_search_ext!="png" && app_img_search_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid search image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                          return false;
                                      }
 else if(document.getElementById("hid_app_img_menu").value==""&&app_img_menu.value=="") {
                                            Modalbox.show("<p><font color=red size=2>Please upload a valid menu image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                            return false;
                                      }
                                      else if(app_img_menu_ext!="gif" && app_img_menu_ext!="jpg" && app_img_menu_ext!="jpeg" && app_img_menu_ext!="png" && app_img_menu_ext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid menu image for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                          return false;
                                      }


else if(document.getElementById("hid_logo").value==""&&logo.value=="") {
                                                                                   Modalbox.show("<p><font color=red size=3>Please upload a valid logo for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                       return false;
                                      }
                                                                          else if(document.getElementById("hid_banner").value==""&&banner.value=="") {
                                                                                  Modalbox.show("<p><font color=red size=2>Please upload a valid banner for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                       return false;
                                                                          }
                                      else if(logoext!="gif" && logoext!="jpg" && logoext!="jpeg" && logoext!="png" && logoext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid logo for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                       return false;
                                      }                                     

else if(bannerext!="gif" && bannerext!="jpg" && bannerext!="jpeg" && bannerext!="png" && bannerext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid banner for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                       return false;
                                      }
                                      else if(theme_background=="") {
                                                                             Modalbox.show("<p><font color=red size=2>Please slect a valid color for background. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                     return false;
                                                                          }
                                                                          else if(theme_text=="") {
                                                                             Modalbox.show("<p><font color=red size=2>Please slect a valid color for default text. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                     return false;
                                                                          }
                                                                          else if(theme_background === theme_text) {
                                                                             Modalbox.show("<p><font color=red size=2>Application Background and Default Text Color can\'t be same.</font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                     return false;
                                                                          }
                                                                          else if(theme_header=="") {
                                                                             Modalbox.show("<p><font color=red size=2>Please slect a valid color for header. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                     return false;
                                                                          }
                                                                          else if(theme_title=="") {
                                                                             Modalbox.show("<p><font color=red size=2>Please slect a valid color for title text. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                     return false;
                                                                          }
                                                                          else if(theme_button=="") {
                                                                             Modalbox.show("<p><font color=red size=2>Please slect a valid color for application\'s button. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                                                     return false;
                                                                          }
                                                                          else if (customfooter_type == "1" && customfooter_code =="") {
                                        Modalbox.show("<p><font color=red size=2>Please provide the html code for custom footer. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
                                                                          else {
                                                                          document.ios_theme_detail.submit();
                                      return true;
                                      }
}





else {
if(document.getElementById("hid_logo").value==""&&logo.value=="") {
										   Modalbox.show("<p><font color=red size=2>Please upload a valid logo for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							               return false;
                                      }
									  else if(document.getElementById("hid_banner").value==""&&banner.value=="") {
										  Modalbox.show("<p><font color=red size=2>Please upload a valid banner for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							               return false;
									  }
                                      else if(logoext!="gif" && logoext!="jpg" && logoext!="jpeg" && logoext!="png" && logoext!="" ) {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid logo for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							               return false;
                                      }
                                      else if(bannerext!="gif" && bannerext!="jpg" && bannerext!="jpeg" && bannerext!="png" && bannerext!="") {
                                          Modalbox.show("<p><font color=red size=2>Please upload a valid banner for mobile application. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							               return false;
                                      }
                                      else if(theme_background=="") {
									     Modalbox.show("<p><font color=red size=2>Please slect a valid color for background. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							             return false;
									  }
									  else if(theme_text=="") {
									     Modalbox.show("<p><font color=red size=2>Please slect a valid color for default text. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							             return false;
									  }
									  else if(theme_background === theme_text) {
                                        Modalbox.show("<p><font color=red size=2>Application Background and Default Text Color can\'t be same.</font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                      }
                                      else if(theme_header=="") {
									     Modalbox.show("<p><font color=red size=2>Please slect a valid color for header. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							             return false;
									  }
									  else if(theme_title=="") {
									     Modalbox.show("<p><font color=red size=2>Please slect a valid color for title text. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							             return false;
									  }
									  else if(theme_button=="") {
									     Modalbox.show("<p><font color=red size=2>Please slect a valid color for application\'s button. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
							             return false;
									  }
									  else if (customfooter_type == "1" && customfooter_code =="") {
                                        Modalbox.show("<p><font color=red size=2>Please provide the html code for custom footer. </font></p>",{title: "Mofluid : Theme Configuration", width: 400});
                                        return false;
                                    }
									  else {
									  document.ios_theme_detail.submit();
                                      return true;
                                      }
                                              }
							  }
                           </script>';
			break;
			case 'iosdownload':
			       
			      
			    $form .=  '<form name="download_app" action="'.$url.'" method="post">
			               <div class="content-header"><table cellspacing=0><tbody><tr><td><h3>Generate Application</h3></td><td class="form-buttons"><span id ="ios_preview"><button type=button onClick="'.$iPhoneApp["link_set"].'"><span>Application Preview</span></button></span><button type="button" class="scalable download" onClick="document.download_app.submit();"><span>Generate iPhone Application</span></button></td></tr></tbody></table></div>
			               <div class="fieldset box fieldset-wide">
			               <table cellspacing=10>
                           <tr><td>Mofluid Id : </td><td>'.$Mofluiddata["mofluid_id"].'</td><td rowspan=4>Application Logo &nbsp;&nbsp;&nbsp;<img src="'.$iPhoneApp["logo"].'" width="150" height="50"> </td><td rowspan=4>Icon &nbsp;&nbsp;&nbsp;<img src="'.$iPhoneApp["icon_57"].'"width="57" height="57"> </td></tr>
                           <tr><td>Mofluid Key : </td><td>'.$Mofluiddata["mofluid_key"].'</td></tr>
                           <tr><td>Application Name : </td><td>'.$iPhoneApp["app_name"].'</td></tr>
		                   <tr><td>Bundle Id : </td><td>'.$iPhoneApp["bundle_id"].'</td></tr>
		                   <tr><td>Version : </td><td>'.$iPhoneApp["version"].'</td><td rowspan=10>Application Banner &nbsp;<img src="'.$iPhoneApp["banner"].'" width="210" height="130">  </td><td rowspan=10>Splash Screen &nbsp;&nbsp;&nbsp;<img src="'.$iPhoneApp["screen_iphone_portrait"].'" width="250" height="250"> </td></tr>
		                   <tr><td>Default Store : </td><td>'.$iPhoneApp["default_store"].'</td></tr>
		                   <tr><td>App Background : </td><td><input type="text" class="color input-text" value='.$iPhoneApp["theme_background"].' disabled></td></tr>
		                   <tr><td>Default Text : </td><td><input type="text" class="color input-text" value='.$iPhoneApp["theme_text"].' disabled></td></tr>
		                   <tr><td>Header : </td><td><input type="text" class="color input-text" value='.$iPhoneApp["theme_header"].' disabled></td></tr>
		                   <tr><td>Title Text : </td><td><input type="text" class="color input-text" value='.$iPhoneApp["theme_title"].' disabled></td></tr>
		                   <tr><td>Button : </td><td><input type="text" class="color input-text" value='.$iPhoneApp["theme_button"].' disabled></td></tr>
		                   <tr><td><input name="form_name" type="hidden" value="download_ios"></td><td><input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/></td></tr>
		                   <tr><td colspan=3>We will send the application build to your registered email.</td></tr></table></div></form>';
			//$form .=   'Value : '.$iPhoneApp["link_set"];
			if($iPhoneApp["link_set"]=="") { 
			             $form .= '<script> document.getElementById("ios_preview").style.display="none"; </script>';
			      }
			      else { 
			      $form .= '<script> document.getElementById("ios_preview").style.display=""; </script>';
			            
			      }
			     
			
			break;
			case 'saveappdetails':
			  echo 'done';
			break;
			case 'appbuildurl': 
			
			    $form .=  '<form name="appbuildurl" action="'.$url.'"  method="post"  enctype="multipart/form-data"> 
			               <div class="content-header"><table cellspacing=0><tbody><tr><td><h3>Build Url Details</h3></td><td class="form-buttons"><button type="button" class="scalable save" onclick="saveBuildDetail();"><span>Save Configuration</span></button></td></tr></tbody></table></div>
		 		           <div class="fieldset box fieldset-wide"><table cellspacing=10><tbody>
		 		           <tr><td colspan="2"><h4 style="color:#EA7601">Build Url Details</h4></td></tr>
		 		           <tr><td>Build Url* : </td><td><input type="text" disabled="disabled" name="build_url" id="build_url" class="required-entry input-text" value="'.$MofluidBuilddata["build_url"].'">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<button type="button" class="scalable save" onclick="enableBuildBox();"><span>Enable</span></button></td></tr>
		 		           <tr><td>Build Application Types* : </td><td><select disabled="disabled" name="build_app_type" id="build_app_type" class="required-entry input-text"><option value="Development">Development</option><option value="Production">Production</option><option value="both">both</option></select></td></tr>
		 		            <tr><td><input name="form_name" type="hidden" value="appbuildurl"></td><td><input name="form_key" type="hidden" value="'.Mage::getSingleton('core/session')->getFormKey().'"/></td></tr>
		 		           </tbody></table></div></form>
		                   <script>                  
                                document.appbuildurl.build_url.disabled = false;
                                document.appbuildurl.build_url.value="'.$MofluidBuilddata["build_url"].'";                               
                                document.appbuildurl.build_url.disabled = true; 
                                 
                                document.appbuildurl.build_app_type.disabled = false;
                                document.appbuildurl.build_app_type.value="'.$MofluidBuilddata["build_app_type"].'";                              
                                document.appbuildurl.build_app_type.disabled = true; 
                  
                               
                                function enableBuildBox() {
									if(document.appbuildurl.build_url.disabled)
									document.appbuildurl.build_url.disabled = false;
									else
									document.appbuildurl.build_url.disabled = true;
									
									if(document.appbuildurl.build_app_type.disabled)
									document.appbuildurl.build_app_type.disabled = false;
									else
									document.appbuildurl.build_app_type.disabled = true;
									
								} 
		                        function saveBuildDetail() {
								   var build_url = document.appbuildurl.build_url.value;
								   var build_app_type = document.appbuildurl.build_app_type.value;
								
								   if(build_url==""||build_app_type==""){
									    Modalbox.show("<p><font color=red size=2>All fields are mandatory.</font></p>",{title: "Mofluid : Build Url Details", width: 400});
							            return false; 
							       }							     
								   else {
								     document.appbuildurl.submit();
								     return true;
								   }  
							    }							
		                  </script>';
			break;
	
		default:
		 
		 $url = $mofluid_media_site_url.'mofluid/docs/User_Guide_for_Mofluid-Magento_Plugin_V1.10.2.pdf';
              	 $form = 'Please select a sub category from left menu'."<p><a href='$url'>Download User Guide<a/></p>";       
  }
        return $form;
    }
      public function mofluidThemeResize($org_path,$key) {

		
		if(file_exists($org_path))
			{
				
$w=0;$h=0;
				$imageObj = new Varien_Image($org_path);  //Given Original file url path that we need rezie
				$imageObj->constrainOnly(TRUE);
				$imageObj->keepAspectRatio(FALSE);
				$imageObj->keepFrame(FALSE);
				if($key=="logo") {
					$w = "150";
					$h = "50";
				}									
				if($w>0 && $h>0) {
					$imageObj->resize($w, $h);           //Resize width ,height for first image
					$imageObj->save($org_path);
				}
			}
	}
	 public function findAvailableMofluidTheme() {
	     try {
  	     $connection = Mage::getSingleton('core/resource')->getConnection('core_read'); 
	     $resource = Mage::getSingleton('core/resource');
         $modules = Mage::getConfig()->getNode('modules')->children();
         $modulesArray = (array)$modules;
         $module_name_arr = array();
         foreach($modulesArray as $key=>$val)  {
             if($val->active) {
                 try {
                     $module_name_arr[] = $key; 
                 }
                 catch(Exception $ex) {
                    
                 }
             }  
         }
         $selectresource = $connection->select()
                                      ->from(Mage::getSingleton('core/resource')
                                      ->getTableName('mofluidadmin/mofluidresource'), array('*'));
         $MofluidResourcedata =$connection->fetchAll($selectresource);
         $mofluid_available_resource = array();
         $mofluid_final_resource_data = array();
         $mofluid_final_resource = array();
         
         $found = 0;
         foreach($module_name_arr as $mkey=>$mval) {
             foreach($MofluidResourcedata as $mrkey=>$mrval) {
                 if($mrval['module'] == $mval &&  $mrval['scope'] == "Theme") {
                     $mofluid_available_resource[] = $mrval;
                     $found = 1;
                 }
             }
         }
         if($found == 1) {
             
         }
         $theme = array();
         $theme[] = "Elegant";
         foreach($mofluid_available_resource as $key => $value) {
             $theme[] = $value["resource"];
             
         }
         }
         catch (Exception $ex) {
             $theme = array();
             $theme[] = "Elegant";
         }
         return $theme;
	 }
     public function mofluidResize($org_path,$key) {
	 
		if(file_exists($org_path))
		{
			$w=0;$h=0;
			$imageObj = new Varien_Image($org_path);  //Given Original file url path that we need rezie
			$imageObj->constrainOnly(TRUE);
			$imageObj->keepAspectRatio(FALSE);
			$imageObj->keepFrame(FALSE);
			if($key=="ico_hdpi") {
				$w = "72";
				$h = "72";
			}
			else if($key=="ico_ldpi") {
				$w = "36";
				$h = "36";
			}
			else if($key=="ico_mdpi") {
				$w = "48";
				$h = "48";
			}
			else if($key=="ico_xhdpi") {
				$w = "96";
				$h = "96";
			}
			else if($key=="splash_ldpi") {
				$w = "200";
				$h = "320";
			}
			else if($key=="splash_mdpi") {
				$w = "320";
				$h = "480";
			}
			else if($key=="splash_xhdpi") {
				$w = "720";
				$h = "1280";
			}
			else if($key=="splash_hdpi") {
				$w = "480";
				$h = "800";
			}
			 									
			if($w>0 && $h>0) {
				$imageObj->resize($w, $h);           //Resize width ,height for first image
				$imageObj->save($org_path);
			}
		}
	}
	
}    

