<?php
/****************************************************************************
-----------------------------------------------------------------------------
 *  File            :     Service.php
 *  Subpackage      :     Mofluidapi
 *  Packahe         :     Mofluid
 *  Description     :     It provides web services which is requested from IndexController.php
 *  Organization    :     Mofluid 
 *  Org URL         :     http://www.mofluid.com
-----------------------------------------------------------------------------
 *****************************************************************************/
class Service {
   /** Function : ws_category
    * Service Name : Category
    * @param $store : Store Id for Magento Stores
    * @param $service : Name of the Webservice
    * @return JSON Array
    * Description : Service to fetch all category
    **/
    public function ws_category($store, $service) {
        $res=array();
        try {
            $storecategoryid = Mage::app()->getStore($store)->getRootCategoryId();
            $total = 0;
            $category = Mage::getModel('catalog/category'); 
            $tree = $category->getTreeModel(); 
            $tree->load();

            $ids = $tree->getCollection()->getAllIds(); 
            $arr = array();

            $storecategoryid = Mage::app()->getStore($store)->getRootCategoryId();
            $cat = Mage::getModel('catalog/category'); 
		    $cat->load($storecategoryid); 
		    $categories = $cat->getCollection()
			   	              ->addAttributeToSelect(array('name', 'image', 'description','store'))
				              ->addIdFilter($cat->getChildren());
			try {
				foreach($categories as $tmp){
					 $res[] = array(
                               "id" => $tmp->getId(),
                               "name" => $tmp->getName(),
                               "image" => Mage::getBaseUrl('media').'catalog/category/'.Mage::getModel('catalog/category')->load($tmp->getId())->getThumbnail()
                               );
                     $total=$total+1;
                     }
		}                        
		catch(Exception $ex) {
            $res = $this->ws_subcategory($store, 'subcategory', $storecategoryid); 
        }
		    array_push($arr, $cat); 
              //  $res = $res + '<br><br><br><center><b>Total Category : '.$total.'</b></center><br>';
           }
           catch(Exception $ex) {
                //$res = $res + 'Exception Problem : '.$ex;
           } 
           return($res);
    }
   /** Function : ws_subcategory
    * Service Name : SubCategory
    * @param $store : Store Id for Magento Stores
    * @param $service : Name of the Webservice
    * @param $categoryid : Category Id for the App
    * @return JSON Array
    * Description : Service to fetch all category
    **/
    public function ws_subcategory($store_id, $service, $categoryid) {
          Mage::app()->setCurrentStore($store_id);
          $res=array();
          $children = Mage::getModel('catalog/category')->getCategories($categoryid);
          foreach ($children as $category) {
			  $res[] = array(
                               "id" => $category->getId(),
                               "name" => $category->getName(),
                               "image" => Mage::getBaseUrl('media').'catalog/category/'.Mage::getModel('catalog/category')->load($category->getId())->getThumbnail()
                               );
          }
          return($res);
    }
    public function ws_products($store_id, $service, $categoryid,$curr_page,$page_size,$sortType,$sortOrder) {
          $res=array();
          Mage::app()->setCurrentStore($store_id); 
	  $c_id = $categoryid;
	  $category = new Mage_Catalog_Model_Category();
	  $category->load($c_id);
	  $children1 = $category->getProductCollection()->addStoreFilter($store_id)
         						 ->addAttributeToSelect('*')
         						 ->addAttributeToFilter('type_id', 'simple')
         						 ->addAttributeToFilter('visibility', 4)
         						 ->addAttributeToFilter('status', 1);
	  	
        $res["total"] = count($children1);
        
	  $collection = $category->getProductCollection()->addStoreFilter($store_id)->addAttributeToFilter('type_id', 'simple');
	  $collection->addAttributeToSelect('*')
         						 ->addAttributeToFilter('type_id', 'simple')
         						 ->addAttributeToFilter('visibility', 4)
         						 ->addAttributeToFilter('status', 1)
	  				->addAttributeToSort($sortType,$sortOrder);
       $collection->setPage($curr_page,$page_size); 

          foreach ($collection as $_product) {

       $mofluid_all_product_images = array();
         $mofluid_non_def_images = array();
         $mofluid_product = Mage::getModel('catalog/product')->load($_product->getId());
         $mofluid_baseimage =  Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_WEB).'media/catalog/product'.$mofluid_product->getImage();
	     foreach ($mofluid_product->getMediaGalleryImages() as $mofluid_image) {
	     	$mofluid_imagecame =   $mofluid_image->getUrl();
	     	if($mofluid_baseimage == $mofluid_imagecame){
	     	 	 $mofluid_all_product_images[0] = $mofluid_image->getUrl();
	     	 	 break;
         	}
         	else{
         		 $mofluid_non_def_images[] =  $mofluid_image->getUrl();
         	}
         }
         
         
         $mofluid_all_product_images = array_merge($mofluid_all_product_images,$mofluid_non_def_images);      
 
     

                      $res["data"][] = array(
                               "id" => $_product->getId(),
                               "name" => $_product->getName(),
                               "imageurl" => $mofluid_all_product_images[0],
                               "sku" => $_product->getSku(),
                               "type" => $_product->getTypeID(),
                               "spclprice" => $_product->getSpecialprice(),
                               "price" => $_product->getPrice(),
                               "created_date" => $_product->getCreatedAt(),
                               "is_in_stock" => $_product->getStockItem()->getIsInStock(),
                               "stock_quantity" => Mage::getModel('cataloginventory/stock_item')->loadByProduct($_product->getId())->getQty()
                               ); 
	   } 
	   return($res); 
    }
    
    
     /************************get featured products****************/
    
    public function ws_getFeaturedProducts(){
	  $store_id = Mage::app()->getStore()->getId();
	  $_products = Mage::getModel('catalog/product')->getCollection()->addStoreFilter($store_id)->setOrder('created_at', 'desc');
	  $_products->addAttributeToSelect('*');
	  $_products->addFieldToFilter(array(array('attribute' => 'featured', 'eq' => true),
      ));
      
      $featuredProducts=array();
      $i=0;
      if ($_products->getSize()){
		foreach ($_products->getItems() as $_product){
			$product_id=$_product->getId();
			$productName=$_product->getName();
			$productImage=$_product->getImageUrl();
			$productPrice=number_format($_product->getPrice(),2);
			
			$specialPriceFromDate = Mage::getModel('catalog/product')->load($_product->getId())->getSpecialFromDate();
			// Get the Special Price TO date
			$specialPriceToDate = Mage::getModel('catalog/product')->load($_product->getId())->getSpecialToDate();
			// Get Current date
			$today =  time();
			
			if($today >= strtotime( $specialPriceFromDate) && $today <= strtotime($specialPriceToDate) || $today >= strtotime( $specialPriceFromDate) && is_null($specialPriceToDate))
				$productSprice=number_format($_product->getSpecialprice(),2);
			else
				$productSprice="0.00";
			
			$productStatus=$_product->getStockItem()->getIsInStock();
			$stock_quantity=Mage::getModel('cataloginventory/stock_item')->loadByProduct($_product->getId())->getQty();
			if($productStatus==1 && $stock_quantity<0)
				$productStatus==1;
			else
				$productStatus==0;
			$featuredProducts["products_list"][$i++]=array('id' =>$product_id ,'name' => $productName,'image'=> $productImage,'price'=>$productPrice, 'special price'=>$productSprice, 'is_stock_status'=>$productStatus);
		}
		$featuredProducts["status"][0]=array('Show_Status'=>"1");
	  }
	  else
		$featuredProducts["status"][0]=array('Show_Status'=>"0");
		
	  //echo "<pre>"; print_r($featuredProducts); echo "<pre>";
	  return($featuredProducts);
	}
        
    public function ws_getCustomerId($store, $service, $email) {
         $customer = Mage::getModel('customer/customer');
         $websiteId = Mage::getModel('core/store')->load($store)->getWebsiteId();
         if ($store) {
               $customer->setCurrentStore($store);
               $customer->website_id = $websiteId;
         }
         $customer->loadByEmail($email);
         if ($customer->getId()) {
              $res = array();
              $res["id"] = $customer->getId();
              return $res;
         }
              return -1;
    }
    public function ws_verifyLogin($store, $service, $username, $password) {
        $websiteId = Mage::getModel('core/store')->load($store)->getWebsiteId();
        $res = array();
        $res["username"] = $username;
        $res["password"] = $password;
        $login_status = 1; 
        try{
	     $login_customer_result = Mage::getModel('customer/customer')->setWebsiteId($websiteId)->authenticate($username, $password);
             $login_customer = Mage::getModel('customer/customer')->setWebsiteId($websiteId);
             $login_customer->loadByEmail($username);             
             $res["firstname"] = $login_customer->firstname;
             $res["lastname"] = $login_customer->lastname;
             $res["id"] = $login_customer->getId(); 
             //$res["password"]
             //$res["password"]
        }
        catch( Exception $e ){
             $login_status = 0;
        }
        $res["login_status"] = $login_status;
        return $res;
    }
    public function ws_createuser($store, $service, $firstname, $lastname, $email, $password) {
        // Website and Store details
        $res = array();
		$websiteId = Mage::getModel('core/store')->load($store)->getWebsiteId(); 
		$customer = Mage::getModel("customer/customer");
		$customer->website_id = $websiteId;
		$customer->setCurrentStore($store);
              //  echo 'Phase 2';
		try {
		    // If new, save customer information
		    $customer->firstname = $firstname;
		    $customer->lastname = $lastname;
		    $customer->email = $email;
		    $customer->password_hash = md5($password);
		    $res["email"] =$email;
		    $res["firstname"] =$firstname;
		    $res["lastname"] =$lastname;
		    $res["password"] =$password;
		    $res["status"] = 0;
               	    $res["id"] = 0;
	   	    $cust = Mage::getModel('customer/customer')
				->setWebsiteId(Mage::app()->getStore()->getWebsiteId())
				->loadByEmail($email);
             
                    //check exists email address of users  
                    if ($cust->getId()) {
			$res["id"] = $cust->getId();
         	        $res["status"] = 0;                     
		    }else {
	 	    //echo 'Phase 2.5';
		     if($customer->save()){
               		 $customer->sendNewAccountEmail('confirmed');
               		 $this->send_Password_Mail_to_NewUser($firstname, $password, $email);
               		 $res["id"] = $customer->getId();
		         $res["status"] = 1;                               
		     }
		    else{
                       //echo "Already Exist";
		        $exist_customer = Mage::getModel("customer/customer");
                        $exist_customer->setWebsiteId($websiteId);                        
                        $exist_customer->setCurrentStore($store);
                        $exist_customer->loadByEmail($email);                       
                        $res["id"] = $exist_customer->getId();
                        $res["status"] = 1;                

	   		 //echo "An error occured while saving customer";
		     } 
		    }
            		//echo 'Phase 3';
		}
		
		catch(Exception $e){
		
                    //echo "Already Exist Exception";
                      try {
                        $exist_customer = Mage::getModel("customer/customer");
                        $exist_customer->setWebsiteId($websiteId);

                        $exist_customer->setCurrentStore($store);
                        $exist_customer->loadByEmail($email);

                        $res["id"] = $exist_customer->getId();
                        $res["status"] = 1;
                       }
                      catch(Exception $ex) {
                        $res["id"] = -1;
                        $res["status"] = 0;
                     }	
		}
		return $res;
     }
     public function ws_productdetail($store_id, $service, $productid) {
		 
          $res=array();
          
		 $productsCollection = Mage::getModel('catalog/product')
                                     ->getCollection()
                                     ->addAttributeToFilter('entity_id', array('in' => $productid))
                                     ->addAttributeToSelect('*');

         $mofluid_all_product_images = array();
         $mofluid_non_def_images = array();
         $mofluid_product = Mage::getModel('catalog/product')->load($productid);
         $mofluid_baseimage =  Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_WEB).'media/catalog/product'.$mofluid_product->getImage();
	   
	     foreach ($mofluid_product->getMediaGalleryImages() as $mofluid_image) {
	     	$mofluid_imagecame =   $mofluid_image->getUrl();
	     	if($mofluid_baseimage == $mofluid_imagecame){
	     	 	 $mofluid_all_product_images[] = $mofluid_image->getUrl();
         	}
         	else{
         		 $mofluid_non_def_images[] =  $mofluid_image->getUrl();
         	}
         }
         $mofluid_all_product_images = array_merge($mofluid_all_product_images,$mofluid_non_def_images);      

foreach($productsCollection as $product) {
                  $res["id"] = $product->getId();
		  $res["sku"] = $product->getSku();
		  $res["name"] = $product->getName();
		  $res["category"] = $product->getCategoryIds(); //'category';
		  $res["image"] = $mofluid_all_product_images; // Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_WEB).'/media/catalog/product'.$product->getImage();
		  $res["url"] = $product->getProductUrl();
		  $res["description"] = $product->getDescription();
		  $res["shortdes"] = $product->getShortDescription();		  
		  $res["quantity"] = Mage::getModel('cataloginventory/stock_item')->loadByProduct($productid)->getQty();//$product->getQty(); 
		  $res["visibility"] = $product->isVisibleInSiteVisibility();//getVisibility(); 
		  $res["type"] = $product->getTypeID();
		  $res["weight"] = $product->getWeight();
		  $res["status"] = $product->getStatus(); 
		  $res["price"] = number_format($product->getPrice(),2);
		  $res["discount"] = number_format($product->getFinalPrice(),2); //getDiscount();
		  $res["shipping"] = Mage::getStoreConfig('carriers/flatrate/price'); //$quote->getShippingAddress()->getShippingRatesCollection(); //$product->getShippingAmount();
		  $res["sprice"] = number_format($product->getSpecialprice(),2);
         }
		return($res); 
    }
    
     public function ws_currency ($store_id, $service) {
		  $res=array();
          $res["currentcurrency"] = Mage::app()->getStore($storeID)->getCurrentCurrencyCode();
          $res["basecurrency"] = Mage::app()->getStore($storeID)->getBaseCurrencyCode();
          $res["currentsymbol"] = Mage::app()->getLocale()->currency($res["currentcurrency"])->getSymbol();
          $res["basesymbol"] = Mage::app()->getLocale()->currency($res["basecurrency"])->getSymbol();
          return($res);
    }
    public function ws_createorder_old($storeId, $service, $custid, $pmethod, $transid, $Jproduct,$shippCharge) {
          
          $orderproduct = json_decode($Jproduct);
          //var_dump($Jproduct);
          $orderproductid = $orderproduct->id;
          $orderproductqty = $orderproduct->qty;
          //var_dump($orderproductid); 
          //var_dump($orderproductqty);
          
          //die;
          $id=$custid; // get Customer Id
         
          $customer = Mage::getModel('customer/customer')->load($id);

          $transaction = Mage::getModel('core/resource_transaction');
          $storeId = $customer->getStoreId();
          $reservedOrderId = Mage::getSingleton('eav/config')->getEntityType('order')->fetchNewIncrementId($storeId);

			$order = Mage::getModel('sales/order')
			->setIncrementId($reservedOrderId)
			->setStoreId($storeId)
			->setQuoteId(0)
			->setGlobal_currency_code('USD')
			->setBase_currency_code('USD')
			->setStore_currency_code('USD')
			->setOrder_currency_code('USD');

				// set Customer data
				$order->setCustomer_email($customer->getEmail())
				->setCustomerFirstname($customer->getFirstname())
				->setCustomerLastname($customer->getLastname())
				->setCustomerGroupId($customer->getGroupId())
				->setCustomer_is_guest(0)
				->setCustomer($customer);

			// set Billing Address
				$billing = $customer->getDefaultBillingAddress();
				$billingAddress = Mage::getModel('sales/order_address')
				->setStoreId($storeId)
				->setAddressType(Mage_Sales_Model_Quote_Address::TYPE_BILLING)
				->setCustomerId($customer->getId())
				->setCustomerAddressId($customer->getDefaultBilling())
				->setCustomer_address_id($billing->getEntityId())
				->setPrefix($billing->getPrefix())
				->setFirstname($billing->getFirstname())
				->setMiddlename($billing->getMiddlename())
				->setLastname($billing->getLastname())
				->setSuffix($billing->getSuffix())
				->setCompany($billing->getCompany())
				->setStreet($billing->getStreet())
				->setCity($billing->getCity())
				->setCountry_id($billing->getCountryId())
				->setRegion($billing->getRegion())
				->setRegion_id($billing->getRegionId())
				->setPostcode($billing->getPostcode())
				->setTelephone($billing->getTelephone())
				->setFax($billing->getFax());
				$order->setBillingAddress($billingAddress);

				$shipping = $customer->getDefaultShippingAddress();
				$shippingAddress = Mage::getModel('sales/order_address')
				->setStoreId($storeId)
				->setAddressType(Mage_Sales_Model_Quote_Address::TYPE_SHIPPING)
				->setCustomerId($customer->getId())
				->setCustomerAddressId($customer->getDefaultShipping())
				->setCustomer_address_id($shipping->getEntityId())
				->setPrefix($shipping->getPrefix())
				->setFirstname($shipping->getFirstname())
				->setMiddlename($shipping->getMiddlename())
				->setLastname($shipping->getLastname())
				->setSuffix($shipping->getSuffix())
				->setCompany($shipping->getCompany())
				->setStreet($shipping->getStreet())
				->setCity($shipping->getCity())
				->setCountry_id($shipping->getCountryId())
				->setRegion($shipping->getRegion())
				->setRegion_id($shipping->getRegionId())
				->setPostcode($shipping->getPostcode())
				->setTelephone($shipping->getTelephone())
				->setFax($shipping->getFax());
                                //$order->collectShippingRates();
                                if($shippCharge==null || $shippCharge == "")
                                   $shippCharge=0;
				$ShippMessage = 'Order Placed From Mobile and Shipping Method Flatrate. Total Shipping Charge : ';
                                $order->setShippingAddress($shippingAddress)
				->setShipping_method('flatrate_flatrate')
                                ->setCollectShippingRates(true)
				->setShippingDescription($ShippMessage)
                                ->setFinalPriceWithHandlingFee($shippCharge)
                                ->setShippingAmount($shippCharge)
                                ->setBaseShippingAmount($shippCharge);
                                //Mage::getStoreConfig('carriers/flatrate/price');
                                // $order->setShippingAmount($shippCharge);
                                // $order->setBaseShippingAmount($shippCharge);
                if($pmethod == 'cashondelivery' || $pmethod == 'secureebs_standard' || $pmethod == 'authorizenet_directpost' ||$pmethod == 'checkmo' ) {
				     $orderPayment = Mage::getModel('sales/order_payment')
				       ->setStoreId($storeId)
				       ->setCustomerPaymentId($transid)
				       ->setMethod($pmethod);
			    }
			    elseif($pmethod == 'paypal_standard') {
					$orderPayment = Mage::getModel('sales/order_payment')
				       ->setStoreId($storeId)
				       ->setCustomerPaymentId($transid)
				       ->setLastTransId($transid)
				       ->setMethod($pmethod);
				       
				}
			    elseif($pmethod == 'purchaseorder') {
					$orderPayment = Mage::getModel('sales/order_payment')
				       ->setStoreId($storeId)
				       ->setCustomerPaymentId($transid)
				       ->setPo_number($transid)
				       ->setMethod($pmethod);
			    }
			    else {
					//OTHER or UNKNOWN
					$orderPayment = Mage::getModel('sales/order_payment')
				       ->setStoreId($storeId)
				       ->setCustomerPaymentId(0)
				       ->setMethod($pmethod);
			    }

                               // $orderPayment->setShippingAmount($shippCharge);
                                //$orderPayment->setBaseShippingAmount($shippCharge);
				$order->setPayment($orderPayment);

				// let say, we have 2 products
				$subTotal = 0;
				
				$ind = 0;
				foreach($orderproductid as $poid) {
					$products[$poid] = array('qty'=> $orderproductqty[$ind]);
					$ind++;
			     }
				
				foreach ($products as $productId=>$product) {
				$_product = Mage::getModel('catalog/product')->load($productId);
				$rowTotal = $_product->getPrice() * $product['qty'];
				$orderItem = Mage::getModel('sales/order_item')
				->setStoreId($storeId)
				->setQuoteItemId(0)
				->setQuoteParentItemId(NULL)
				->setProductId($productId)
				->setProductType($_product->getTypeId())
				->setQtyBackordered(NULL)
				->setTotalQtyOrdered($product['rqty'])
				->setQtyOrdered($product['qty'])
				->setName($_product->getName())
				->setSku($_product->getSku())
				->setPrice($_product->getPrice())
				->setBasePrice($_product->getPrice())
				->setOriginalPrice($_product->getPrice())
				->setRowTotal($rowTotal)
				->setBaseRowTotal($rowTotal);
			        	
				//Update new quantity
				$newqty = (int)(Mage::getModel('cataloginventory/stock_item')->loadByProduct($productId)->getQty())-(int)$product['qty'];
				Mage::getModel('cataloginventory/stock_item')->loadByProduct($productId)->setQty($newqty)->save();
                
                                $subTotal += $rowTotal;
				$order->addItem($orderItem);
				}

				$order->setSubtotal($subTotal)
				->setBaseSubtotal($subTotal)
				->setGrandTotal($subTotal+$shippCharge)
				->setBaseGrandTotal($subTotal+$shippCharge);
                                
				try {
                                $order->getPayment()->setIsTransactionClosed(1);
                                $order->getPayment()->setTransactionAdditionalInfo(Mage_Sales_Model_Order_Payment_Transaction::RAW_DETAILS,array('TransactionID'=>$transid,'key2'=>'value2')); 
				$order->setTransId($transid);
				$transaction->addObject($order);
				$transaction->addCommitCallback(array($order, 'place'));
				$transaction->addCommitCallback(array($order, 'save'));
				$transaction->save();
			    }
			    catch(Exception $ex) {
					echo $ex;
				}
				//$order->setFinalPriceWithHandlingFee($shippCharge);
                                $order->sendNewOrderEmail();
                                $order->getPayment()->setTransactionId($transid);

if ($pmethod == 'paypal_standard') {
    $orderIdpp = $order->getId();
    $orderpaypal = Mage::getModel('sales/order')->load($orderIdpp);
    $orderpaypal->setState(Mage_Sales_Model_Order::STATE_PROCESSING, true)->save();
}

                                $res=array();
                                $res["id"] = $order->getId();
                                $res["orderid"] = $order->getIncrementId();
				$res["transid"] = $order->getPayment()->getTransactionId();
				return $res;
	}	
    public function ws_setaddress($store, $service, $customerId, $JbillAdd, $JshippAdd, $user_mail, $saveaction) {
 	       //----------------------------------------------------------------------
	        $customer = Mage::getModel('customer/customer')
					   ->setWebsiteId(Mage::app()->getStore()->getWebsiteId())
                       ->loadByEmail($user_mail);
	       
	       $billAdd = json_decode($JbillAdd);
	       $shippAdd = json_decode($JshippAdd);
	       $result = array();
	       $result['billaddress'] = 0;
           $result['shippaddress'] = 0; 
          $_bill_address = array (
                 'firstname' => $billAdd->billfname,
                 'lastname' => $billAdd->billlname,
                 'street' => array (
                      '0' => $billAdd->billstreet1,
                      '1' => $billAdd->billstreet2,
                  ),
                  'city' => $billAdd->billcity,
                  'region_id' => '',
                  'region' => $billAdd->billstate,
                  'postcode' => $billAdd->billpostcode,
                  'country_id' => $billAdd->billcountry, 
                  'telephone' => $billAdd->billphone,
          );
          $_shipp_address = array (
                 'firstname' => $shippAdd->shippfname,
                 'lastname' => $shippAdd->shipplname,
                 'street' => array (
                      '0' => $shippAdd->shippstreet1,
                      '1' => $shippAdd->shippstreet2,
                  ),
                  'city' => $shippAdd->shippcity,
                  'region_id' => '',
                  'region' => $shippAdd->shippstate,
                  'postcode' => $shippAdd->shipppostcode,
                  'country_id' => $shippAdd->shippcountry, 
                  'telephone' => $shippAdd->shippphone,
          );
          
          if($saveaction == 1 ||$saveaction == "1" ) {
          $billAddress = Mage::getModel('customer/address');
          $billAddress->setData($_bill_address)
                        ->setCustomerId($customerId)
                        ->setIsDefaultBilling('1')
                        ->setSaveInAddressBook('1');
                        
          $shippAddress = Mage::getModel('customer/address');
          $shippAddress->setData($_shipp_address)
                        ->setCustomerId($customerId)
                        ->setIsDefaultShipping('1')
                        ->setSaveInAddressBook('1');              
          }
          else {
              $billAddress = Mage::getModel('customer/address');
              $shippAddress = Mage::getModel('customer/address');
              if ($defaultBillingId = $customer->getDefaultBilling()){
		          $billAddress->load($defaultBillingId);
		          $billAddress->addData($_bill_address); 
	          }
	          else {
	              $billAddress->setData($_bill_address)
                        ->setCustomerId($customerId)
                        ->setIsDefaultBilling('1')
                        ->setSaveInAddressBook('1');
	          }
              if ($defaultShippingId = $customer->getDefaultShipping()){
		          $shippAddress->load($defaultShippingId);
		          $shippAddress->addData($_shipp_address); 
	          }
	          else {
	              $shippAddress->setData($_shipp_address)
                        ->setCustomerId($customerId)
                        ->setIsDefaultShipping('1')
                        ->setSaveInAddressBook('1');   
	          }
          }
          
          try {
			  
			if(count(json_decode($JbillAdd,true))>0) {
				  if($billAddress->save())
					 $result['billaddress'] = 1;
              }
              if(count(json_decode($JshippAdd,true))>0) {
				  if($shippAddress->save())
					 $result['shippaddress'] = 1;              
			  }	
          }
          catch (Exception $ex) {
              //Zend_Debug::dump($ex->getMessage());
          }
          return $result;
         
         //---------------------------------------------------------------------
    }
     public function ws_storedetails($store, $service) {
		 $res = array();
		 try {
		     $res["store"] = Mage::app()->getStore($store);
		     Mage::app()->setCurrentStore($store);
                     $res["storeid"] = Mage::app()->getStore($store)->getStoreId();
		     $res["storecode"] = Mage::app()->getStore($store)->getCode();
		     $res["storewebid"] = Mage::app()->getStore($store)->getWebsiteId();
		     $res["storename"] = Mage::app()->getStore($store)->getName();
		     $res["storeactive"] = Mage::app()->getStore($store)->getIsActive();
		     $res["rooturl"] = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_WEB); 		     
		     $res["storeurl"] = Mage::helper('core/url')->getHomeUrl(); 
		     $res["storelogo_alt"] = Mage::getStoreConfig('design/header/logo_alt');//Mage::getLogoSrc();
		     
		     $res["storefrontname"] = Mage::app()->getStore($store)->getFrontendName(); //getLogoSrc()		     
		     $res["current_url"] = Mage::helper('core/url')->getCurrentUrl();
             $res["media_url1"] = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_LINK);
			 $res["media_url2"] = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_MEDIA);
			 $res["skin_url"] = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_SKIN);
			 $res["js_url"] = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_JS);			 
		     $res["storelogo"] = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_SKIN).'frontend/default/default/'.Mage::getStoreConfig('design/header/logo_src');
			 $res["storebanner"] = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_SKIN).'frontend/default/default/images/banner.png';
                         $res["storeadminname"] = Mage::getStoreConfig('trans_email/ident_sales/name');
                         $res["storeemail"] = Mage::getStoreConfig('trans_email/ident_sales/email');			 
		 }
		 catch(Exception $ex) {
			 echo $ex;
		 }
		 return $res;
     }
     public function ws_search($store, $service, $search_data, $curr_page, $page_size, $sortType, $sortOrder) {
                 
            $res = array();
            
            $search_condition = array();
            $all_search_word = explode(' ',$search_data);

            foreach($all_search_word as $key=>$value) {
                $search_condition[]['like'] = '%'.$value.'%';
            }

            try {
                  // Code to Search Product by $searchstring and get Product IDs
                 $total_product_collection = Mage::getResourceModel('catalog/product_collection')
                  ->addAttributeToSelect('*')
                  ->addAttributeToFilter('name', $search_condition)
                  ->addStoreFilter($store)
                  ->addAttributeToFilter('visibility', 4)
                  ->addAttributeToFilter('type_id', 'simple')
                  ->addFieldToFilter('status', 1)
                  ->load();
             $res["total"] = count($total_product_collection);
             
             $product_collection = Mage::getResourceModel('catalog/product_collection')
                  ->addAttributeToSelect('*')
                  ->addAttributeToFilter('name', $search_condition)
                  ->addStoreFilter($store)
                  ->addFieldToFilter('status', 1)
                  ->addAttributeToFilter('visibility', 4)
                  ->addAttributeToFilter('type_id', 'simple')
                  ->addAttributeToSort($sortType,$sortOrder)
                  ->setPage($curr_page,$page_size)
                  ->load();
            
            foreach ($product_collection as $_product) {
                 if( $_product->getStoreId() == $store) {

       $mofluid_all_product_images = array();
         $mofluid_non_def_images = array();
         $mofluid_product = Mage::getModel('catalog/product')->load($_product->getId());
         $mofluid_baseimage =  Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_WEB).'media/catalog/product'.$mofluid_product->getImage();
	     foreach ($mofluid_product->getMediaGalleryImages() as $mofluid_image) {
	     	$mofluid_imagecame =   $mofluid_image->getUrl();
	     	if($mofluid_baseimage == $mofluid_imagecame){
	     	 	 $mofluid_all_product_images[0] = $mofluid_image->getUrl();
	     	 	 break;
         	}
         	else{
         		 $mofluid_non_def_images[] =  $mofluid_image->getUrl();
         	}
         }
         
         
         $mofluid_all_product_images = array_merge($mofluid_all_product_images,$mofluid_non_def_images);      
 
     
                         $res["data"][] = array(
                               "id" => $_product->getId(),
                               "name" => $_product->getName(),
                               "imageurl" => $mofluid_all_product_images[0],
                               "sku" => $_product->getSku(),
                               "type" => $_product->getTypeID(),
                               "spclprice" => $_product->getSpecialprice(),
                               "price" => $_product->getPrice(),
                               "created_date" => $_product->getCreatedAt(),
                               "is_in_stock" => $_product->getStockItem()->getIsInStock(),
                               "stock_quantity" => Mage::getModel('cataloginventory/stock_item')->loadByProduct($_product->getId())->getQty()
                               );
                       }
                  }

          }
          catch(Exception $ex) {
                echo $ex;
          }
          return $res;
     }
     public function send_Password_Mail_to_NewUser($user, $pswd, $email) {
		  
		//load the custom template to the email							   
		$emailTemplate = Mage::getModel('core/email_template')->loadDefault('mofluid_password');	   
		// it depends on the template variables
		$emailTemplateVariables = array();	
		$emailTemplateVariables['user'] = $user;
		$emailTemplateVariables['password'] = $pswd;  
		$emailTemplateVariables['email'] = $email;  
        $websitename = Mage::app()->getWebsite()->getName();
		$emailTemplate->setSenderName($websitename);
		$emailTemplate->setSenderEmail(Mage::getStoreConfig('trans_email/ident_general/email'));
		$emailTemplate->setType('html');
		$emailTemplate->setTemplateSubject($websitename.' New Account Password');
		$emailTemplate->send($email, $websitename, $emailTemplateVariables);     
          
    }
    public function ws_myOrder($cust_id, $curr_page, $page_size) {
	       $res = array();
	        $totorders = Mage::getResourceModel('sales/order_collection')
                     ->addFieldToSelect('*')
                     ->addFieldToFilter('customer_id', $cust_id);
           $res["total"] = count($totorders);
           $orders = Mage::getResourceModel('sales/order_collection')
                     ->addFieldToSelect('*')
                     ->addFieldToFilter('customer_id', $cust_id)
                     ->setOrder('created_at', 'desc')
                       ->setPage($curr_page,$page_size);
                    //$this->setOrders($orders); 
           foreach ($orders as $order) {
                $shippingAddress = $order->getShippingAddress();
                if(is_object($shippingAddress)) {
					$shippadd = array();
					$flag = 0;
					if(count($orderData)>0)
					$flag = 1;
					$shippadd = array(
						 "firstname" => $shippingAddress->getFirstname(),
						 "lastname" => $shippingAddress->getLastname(),
						 "company" => $shippingAddress->getCompany(),
						 "street" => $shippingAddress->getStreetFull(),
						 "region" => $shippingAddress->getRegion(),
						 "city" => $shippingAddress->getCity(),
						 "pincode" => $shippingAddress->getPostcode(),
						 "countryid" => $shippingAddress->getCountry_id(),
						 "contactno" => $shippingAddress->getTelephone(),
						 "shipmyid" => $flag
					); 
                }
                $billingAddress = $order->getBillingAddress();
                if(is_object($billingAddress)) {
					$billadd = array();
					$billadd = array(
						 "firstname" => $billingAddress->getFirstname(),
						 "lastname" => $billingAddress->getLastname(),
						 "company" => $billingAddress->getCompany(),
						 "street" => $billingAddress->getStreetFull(),
						 "region" => $billingAddress->getRegion(),
						 "city" => $billingAddress->getCity(),
						 "pincode" => $billingAddress->getPostcode(),
						 "countryid" => $billingAddress->getCountry_id(),
						 "contactno" => $billingAddress->getTelephone()
					);
                }
                $payment = array();
                $payment = $order->getPayment();
                


try {
                                        $payment_result = array (
                                                  "payment_method_title" => $payment->getMethodInstance()->getTitle(),
                                                  "payment_method_code" => $payment->getMethodInstance()->getCode(),
                                        );
                    if($payment->getMethodInstance()->getCode()=="banktransfer") {

$payment_result["payment_method_description"] = $payment->getMethodInstance()->getInstructions();
}
                }
                catch(Exception $ex2) {

                                }

                //$order = Mage::getModel('sales/order')->load($order_id);
                $items = $order->getAllItems();
                $itemcount=count($items);
                $name=array();
                $unitPrice=array();
                $sku=array();
                $ids=array();
                $qty=array();
                $images = array();
                foreach ($items as $itemId => $item) {
                     $name[] = $item->getName();
                     $unitPrice[]=$item->getPrice();
                     $sku[]=$item->getSku();
                     $ids[]=$item->getProductId();
                     //$qty[]=$item->getQtyToInvoice();
                     $qty[] = $item->getQtyOrdered();
                     $products = Mage::getModel('catalog/product')->load($item->getProductId());
                     $images[] = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_WEB).'/media/catalog/product'.$products->getThumbnail();
                }

                $product = array();
                $product = array (
                     "name" => $name,
                     "sku" => $sku,
                     "id" => $ids,
                     "quantity" => $qty,
                     "unitprice" => $unitPrice,
                     "image" => $images,
                     "total_item_count" => $itemcount
                );
                $order_date = $order->getCreatedAtStoreDate().'';
                $orderData = array(
                     "id" => $order->getId(),
                     "order_id" => $order->getRealOrderId(),
                     "status" => $order->getStatus(),
                     "order_date" => $order_date,
                     "grand_total" => $order->getGrandTotal(),
                     "shipping_address" => $shippadd,
                     "billing_address" => $billadd,
                     "shipping_message" => $order->getShippingDescription(),
                     "shipping_amount" => $order->getShippingAmount(),
                     "payment_method" => $payment_result,
                     "product" => $product,
                     "couponUsed" => 0
                );
                $couponCode = $order->getCouponCode();
                if($couponCode!="") {					
					$orderData["couponUsed"] =  1;
					$orderData["couponCode"] =  $couponCode;
				    $orderData["discount_amount"] = $order->getDiscountAmount()*(-1);
				}
				$res["data"][] = $orderData;
           }
           return $res;
    }
    public function ws_myProfile($cust_id) {
         try {
              $customer = Mage::getModel('customer/customer')->load($cust_id);
              $customerData = $customer->getData();
              $customerData['membersince'] =  Mage::getModel('core/date')->date("Y-m-d h:i:s A",  $customerData['created_at']);
              $shippingAddress = $customer->getDefaultShippingAddress();
         }
         catch(Exception $ex2) {
              echo $ex2;
         }
         $shippadd = array();
         $billadd = array();
         try {
              if($shippingAddress!=null) {
                   $shippadd = array(
                       "firstname" => $shippingAddress->getFirstname(),
                       "lastname" => $shippingAddress->getLastname(),
                       "company" => $shippingAddress->getCompany(),
                       "street" => $shippingAddress->getStreetFull(),
                       "region" => $shippingAddress->getRegion(),
                       "city" => $shippingAddress->getCity(),
                       "pincode" => $shippingAddress->getPostcode(),
                       "countryid" => $shippingAddress->getCountry_id(),
                       "contactno" => $shippingAddress->getTelephone()
                   );
              }
              $billingAddress = $customer->getDefaultBillingAddress();
              if($billingAddress!=null){
                   $billadd = array(
                       "firstname" => $billingAddress->getFirstname(),
                       "lastname" => $billingAddress->getLastname(),
                       "company" => $billingAddress->getCompany(),
                       "street" => $billingAddress->getStreetFull(),
                       "region" => $billingAddress->getRegion(),
                       "city" => $billingAddress->getCity(),
                       "pincode" => $billingAddress->getPostcode(),
                       "countryid" => $billingAddress->getCountry_id(),
                       "contactno" => $billingAddress->getTelephone()
                   ); 
              }
         }
         catch(Exception $ex) {
              echo $ex; 
         }
         $res = array();
         $res = array(
              "CustomerInfo" => $customerData,
              "BillingAddress" => $billadd,
              "ShippingAddress" => $shippadd
         );
         return $res;
   }
    public function ws_changeProfilePassword($custid, $username, $oldpassword, $newpassword, $store) {
        $res = array();
        $validate = 0;
        $websiteId = Mage::getModel('core/store')->load($store)->getWebsiteId();
        try {
             $login_customer_result = Mage::getModel('customer/customer')->setWebsiteId($websiteId)->authenticate($username, $oldpassword);
             $validate = 1;
        }
        catch(Exception $ex) {
             $validate = 0;
        }
        if($validate == 1) {
             try {
                  $customer = Mage::getModel('customer/customer')->load($custid);
                  $customer->setPassword($newpassword);
                  $customer->save();    
                  $res = array (
                       "customerid" => $custid,
                       "oldpassword" => $oldpassword,
                       "newpassword" => $newpassword,
                       "change_status" => 1,
                       "message" => 'Your Password has been Changed Successfully'
                  );
             }
             catch(Exception $ex) {
                  $res = array (
                       "customerid" => $custid,
                       "oldpassword" => $oldpassword,
                       "newpassword" => $newpassword,
                       "change_status" => -1,
                       "message" => 'Error : '.$ex->getMessage
                  );
             }
        }
        else {
            $res = array (
                 "customerid" => $custid,
                 "oldpassword" => $oldpassword,
                 "newpassword" => $newpassword,
                 "change_status" => 0,
                 "message" => 'Incorrect Old Password.'
            );
        }
        return $res;
    }

 public function ws_setprofile($store, $service, $customerId, $JbillAdd, $JshippAdd, $profile) {

 //----------------------------------------------------------------------
	       $billAdd = json_decode($JbillAdd);
	       $shippAdd = json_decode($JshippAdd);
	       $profile = json_decode($profile);
	       
	       $result = array();
	       $result['billaddress'] = 0;
               $result['shippaddress'] = 0; 
               $result['userprofile'] = 0; 
                       
            /* Update User Profile Data */
              
            $customer = Mage::getModel('customer/customer')
					   ->setWebsiteId(Mage::app()->getStore()->getWebsiteId())
                       ->loadByEmail($profile->email);
                
              //check exists email address of users  
             if ($customer->getId() && $customer->getId()!=$customerId) {
				return $result;
		     } 
            else { 
				$_bill_address = array (
					 'firstname' => $billAdd->billfname,
					 'lastname' => $billAdd->billlname,
					 'street' => array (
						  '0' => $billAdd->billstreet1,
						  '1' => $billAdd->billstreet2,
					  ),
					  'city' => $billAdd->billcity,
					  'region_id' => '',
					  'region' => $billAdd->billstate,
					  'postcode' => $billAdd->billpostcode,
					  'country_id' => $billAdd->billcountry, 
					  'telephone' => $billAdd->billphone,
				   );
				  $_shipp_address = array (
					 'firstname' => $shippAdd->shippfname,
					 'lastname' => $shippAdd->shipplname,
					 'street' => array (
						  '0' => $shippAdd->shippstreet1,
						  '1' => $shippAdd->shippstreet2,
					  ),
					  'city' => $shippAdd->shippcity,
					  'region_id' => '',
					  'region' => $shippAdd->shippstate,
					  'postcode' => $shippAdd->shipppostcode,
					  'country_id' => $shippAdd->shippcountry, 
					  'telephone' => $shippAdd->shippphone,
			  );
			  
			  
			  $billAddress = Mage::getModel('customer/address');
              if ($defaultBillingId = $customer->getDefaultBilling()){
                  $billAddress->load($defaultBillingId);
		          $billAddress->addData($_bill_address); 
	          }
	          else {
	              $billAddress->setData($_bill_address)
                        ->setCustomerId($customerId)
                        ->setIsDefaultBilling('1')
                        ->setSaveInAddressBook('1');
	          }
              $shippAddress = Mage::getModel('customer/address');
	          if ($defaultShippingId = $customer->getDefaultShipping()){
	              $shippAddress->load($defaultShippingId);
		          $shippAddress->addData($_shipp_address); 
	          }
	          else {
	              $shippAddress->setData($_shipp_address)
                        ->setCustomerId($customerId)
                        ->setIsDefaultShipping('1')
                        ->setSaveInAddressBook('1');   
	          }            
								
							
			  try {
				  if($billAddress->save())
					 $result['billaddress'] = 1;
				  if($shippAddress->save())
					 $result['shippaddress'] = 1;          
					  
					$tab_prefix = Mage::getConfig()->getTablePrefix();  
					$write = Mage::getSingleton("core/resource")->getConnection("core_write");
					$sql1 = "update `".$tab_prefix."customer_entity` set `email` = '".$profile->email."' where`entity_id` =".$customerId;
					$attributeModel1 = Mage::getModel('eav/entity_attribute')->loadByCode("customer", "firstname");
					$firstnameId = $attributeModel1->getAttributeId();
					$attributeModel2 = Mage::getModel('eav/entity_attribute')->loadByCode("customer", "lastname");
					$lastnameId = $attributeModel2->getAttributeId();
					$sql2 = "update `".$tab_prefix."customer_entity_varchar` set `value` = '".$profile->fname."' where `entity_type_id` =1 AND `attribute_id`=".$firstnameId." AND `entity_id`=".$customerId;
					$sql3 = "update `".$tab_prefix."customer_entity_varchar` set `value` = '".$profile->lname."' where `entity_type_id` =1 AND `attribute_id`=".$lastnameId." AND `entity_id`=".$customerId;

					if($write->query($sql1) && $write->query($sql2) && $write->query($sql3)) {
					  $result['userprofile'] = 1;           
					}                
			  }
			  catch (Exception $ex) {
				  Zend_Debug::dump($ex->getMessage());
			  }
			  return $result;
		 }
         //---------------------------------------------------------------------
    
}
	public function ws_forgotPassword($email="") {
         $res=array();
         $res["response"] = "error";
         
         if ($email) {            
            /** @var $customer Mage_Customer_Model_Customer */
            $customer = Mage::getModel('customer/customer')
                ->setWebsiteId(Mage::app()->getStore()->getWebsiteId())
                ->loadByEmail($email);

            if ($customer->getId()) {
                try {
                    $newResetPasswordLinkToken = Mage::helper('customer')->generateResetPasswordLinkToken();
                    $customer->changeResetPasswordLinkToken($newResetPasswordLinkToken);
                    $customer->sendPasswordResetConfirmationEmail();
                    $res["response"] = "success";
                } catch (Exception $exception) {
                   // $this->_getSession()->addError($exception->getMessage());        
                }
            }       
            
        } 
         return($res);
     }
    public function _getSession()
    {
        return Mage::getSingleton('customer/session');
    }

    function mofluid_register_push($store, $deviceid, $pushtoken, $platform, $appname, $description) {
    		$res = array();
    		$tab_prefix = Mage::getConfig()->getTablePrefix(); 
    		try {
    		      $mofluid_push = Mage::getSingleton('core/resource')->getConnection('core_write');
                $readresult=$mofluid_push->query("SELECT * FROM  ".$tab_prefix."mofluidpush WHERE device_id = '".$deviceid."' AND app_name = '".$appname."' AND platform ='".$platform."'");
                $row = $readresult->fetch() ;
                $readresult2 = $mofluid_push->query("SELECT * FROM  ".$tab_prefix."mofluidpush WHERE push_token_id = '".$pushtoken."' AND app_name = '".$appname."' AND platform ='".$platform."'");
                $row = $readresult->fetch();
                $row2 = $readresult2->fetch();

               if($row["device_id"]) {
                        $mofluid_push->query("DELETE FROM  ".$tab_prefix."mofluidpush WHERE device_id = '".$deviceid."' AND app_name = '".$appname."' AND platform ='".$platform."'");
                        $mofluid_push->query("insert into ".$tab_prefix."mofluidpush (mofluidadmin_id, device_id, push_token_id, platform, app_name, description) 
                                                                      values (1,'".$deviceid."','".$pushtoken."','".$platform."','".$appname."','".$description."')");
                        $res= array ("status" => "update","deviceid" => $deviceid,"pushtoken" => $pushtoken,"message" =>"Update token for the existing device id.");
                }
else if($row2["push_token_id"]) {
$mofluid_push->query("DELETE FROM  ".$tab_prefix."mofluidpush WHERE push_token_id = '".$pushtoken."' AND app_name = '".$appname."' AND platform ='".$platform."'");
                        $mofluid_push->query("insert into ".$tab_prefix."mofluidpush (mofluidadmin_id, device_id, push_token_id, platform, app_name, description) 
                                                                      values (1,'".$deviceid."','".$pushtoken."','".$platform."','".$appname."','".$description."')");
                        $res= array ("status" => "update","deviceid" => $deviceid,"pushtoken" => $pushtoken,"message" =>"Update Device for the existing token id.");

}
                else {
                        $mofluid_push->query("insert into ".$tab_prefix."mofluidpush (mofluidadmin_id, device_id, push_token_id, platform, app_name, description) 
                                                                      values (1,'".$deviceid."','".$pushtoken."','".$platform."','".$appname."','".$description."')");
                         $res= array ("status" => "register","deviceid" => $deviceid,"pushtoken" => $pushtoken,"message" =>"register device id with new token.");
                }
          }
          catch(Exception $ex) {
                $res= array ("status" => "error","deviceid" => $deviceid,"pushtoken" => $pushtoken,"message" =>$ex->getMessage());
          }
          return $res;
    }

	     public function ws_termCondition($store) {
        $flag = Mage::getStoreConfigFlag('checkout/options/enable_agreements');
        if($flag) {
            $agreements = Mage::getModel('checkout/agreement')->getCollection()
                      ->addStoreFilter($store)
                      ->addFieldToFilter('is_active', 1);
           $data=  $agreements->getData('agreements');
           return $data;
        }
           
      }
      public function ws_productQuantity($product) {
        $pqty = array();
        $product = json_decode($product);       
        foreach ($product as $key => $val) {             
             try {  
                    $model = Mage::getModel('catalog/product'); 
                    $_product = $model->load($val);             
                    $stocklevel = (int)Mage::getModel('cataloginventory/stock_item')
                                             ->loadByProduct($_product)->getQty();          
                    $pqty[$val] = $stocklevel;
                }catch(Exception $ex) {

                }
          }        
          return $pqty;
        }
 	public function ws_countryList($store_id,$paymentgateway,$pmethod) {

       		$country = array();
		  if($paymentgateway=="paypal" && $pmethod=="standard")	 {
			  $allowspecific =  Mage::getConfig()->getNode('default/payment/paypal_standard/allowspecific');
			 
			  // get specific countries of standard paypal method from config table
			  if($allowspecific==1) {
				  $_countries =  Mage::getConfig()->getNode('default/payment/paypal_standard/specificcountry');
				  $data = explode(",",$_countries[0]); 
				  if (count($data) > 0) {
					  foreach($data as $key=>$country_code) {
						 $country[$country_code] = Mage::app()->getLocale()->getCountryTranslation($country_code);
					   }
				  }        
			  }else {
				$_countries = Mage::getResourceModel('directory/country_collection')
							 ->loadData()
							 ->toOptionArray(false);
          
				 if (count($_countries) > 0) {
					foreach($_countries as $_country) {
						$country[$_country['value']]  = $_country['label'];
					}
				  }
			    }
		  }	 // end of outer if 
         	return($country);
	 } 
	 
	//************ list all enable shipping method ********** //
	 
	public function ws_listShipping()
	{
		$methods = Mage::getSingleton('shipping/config')->getActiveCarriers();
		$shipping = array();
		foreach($methods as $_ccode => $_carrier) {
			if($_methods = $_carrier->getAllowedMethods())  {
				if(!$_title = Mage::getStoreConfig("carriers/$_ccode/title"))
				$_title = $_ccode;
				foreach($_methods as $_mcode => $_method)   {
					$_code = $_ccode . '_' . $_mcode;
					$shipping[$_code]=array('method' => $_method,'title' => $_title);
				}
			}
		}
		return $shipping; 
	}

	
	
	/*====================      Service to create order with Coupon Code  =================*/ 
	public function ws_createorder($storeId, $service, $custid, $pmethod, $smethod, $transid, $Jproduct, $shippCharge, $couponCode, $grand_amount, $order_sub_amount, $discount_amount,$message) {		
		if($pmethod == "authorizenet") {
            $pmethod = "authorizenet_directpost";		
		}
		$message_id = array();
		$message = json_decode($message, true);	
		$orderproduct = json_decode($Jproduct);
		try {
			$customerObj = Mage::getModel('customer/customer')->load($custid);		
		    
		    // get default billing and shipping address of customer
			$shipping = $customerObj->getDefaultShippingAddress();
			if(is_object($shipping)) {
				$shippingAddress = array(
					'prefix' => $shipping->getPrefix(),
					'firstname' => $shipping->getFirstname(),
					'lastname' => $shipping->getLastname(),
					'company' => $shipping->getCompany(),
					'street' => $shipping->getStreet(),
					'city' => $shipping->getCity(),
					'postcode' => $shipping->getPostcode(),
					'telephone' => $shipping->getTelephone(),
					'country_id' =>$shipping->getCountryId(),
					'region_id' =>$shipping->getRegionId()
						
				);	
			}
			else {
				$res["status"] = 0;
				return $res;
			}
			$billing = $customerObj->getDefaultBillingAddress();
			if(is_object($billing)) {
				$billingAddress = array(
					'prefix' => $billing->getPrefix(),
					'firstname' => $billing->getFirstname(),
					'lastname' => $billing->getLastname(),
					'company' => $billing->getCompany(),
					'street' => $billing->getStreet(),
					'city' => $billing->getCity(),
					'postcode' => $billing->getPostcode(),
					'telephone' => $billing->getTelephone(),
					'country_id' =>$billing->getCountryId(),
					'region_id' =>$billing->getRegionId()
				);
			}
			else {
				$res["status"] = 0;
				return $res;
			}
			$quote = Mage::getModel('sales/quote');

  		    $customer = Mage::getModel('customer/customer')->load($custid);
			$quote->assignCustomer($customer);
			$quote->setStore(Mage::app()->getStore());	
			
			//  add cart items	
			foreach($orderproduct->id as $key=>$item) {    
				$product = Mage::getModel('catalog/product'); 
				$product->load($item);
				$quoteItem = Mage::getModel('sales/quote_item')->setProduct($product);
				$quoteItem->setQuote($quote);
				$quoteItem->setQty($orderproduct->qty[$key]);
				$quote->addItem($quoteItem);
			}
			foreach($message as $key=>$value) {
					$giftMessage = Mage::getModel('giftmessage/message'); 			
					$giftMessage->setCustomerId($custid);  
					$giftMessage->setSender($value["sender"]); 
					$giftMessage->setRecipient($value["receiver"]); 
					$giftMessage->setMessage($value["message"]); 
					$giftObj = $giftMessage->save(); 
					$message_id["msg_id"][] = $giftObj->getId();
					$message_id["prod_id"][] = $value["product_id"];
					$quote->setGiftMessageId($giftObj->getId()); 
					$quote->save();
			}
			$addressForm = Mage::getModel('customer/form');
			$addressForm->setFormCode('customer_address_edit')
						->setEntityType('customer_address');
			foreach ($addressForm->getAttributes() as $attribute) {
				if (isset($shippingAddress[$attribute->getAttributeCode()])) {
					$quote->getShippingAddress()->setData($attribute->getAttributeCode(), $shippingAddress[$attribute->getAttributeCode()]);
				}
			}
		foreach ($addressForm->getAttributes() as $attribute) {
				if (isset($billingAddress[$attribute->getAttributeCode()])) {
					$quote->getBillingAddress()->setData($attribute->getAttributeCode(), $billingAddress[$attribute->getAttributeCode()]);
				}
			}	
			
			// coupon code
			if(!empty($couponCode)) $quote->setCouponCode($couponCode); 
			// shipping method an collect
			$ShippMessage = 'Order Placed From Mobile and Shipping Method Flatrate. Total Shipping Charge : ';
			
			if($smethod=="freeshipping_freeshipping") {
				$quote->getShippingAddress()
					  ->setFreeShipping(true)
					  ->setCollectShippingRates(true)->collectShippingRates()					
					  ->setShippingMethod($smethod);
			}else if($smethod=="tablerate_bestway") {
				$quote->getShippingAddress()
					  ->setCollectShippingRates(true)->collectShippingRates()
					  ->setShouldIgnoreValidation(true)->setShippingMethod($smethod)
					  ->setShippingDescription('Table Rate - Best Way');

			}
			else {
		$quote->getShippingAddress()
					  ->setShippingDescription($ShippMessage)
					  ->setCollectShippingRates(true)->collectShippingRates()					
					  ->setShippingMethod($smethod)
					  ->setShippingAmount($shippCharge)
					  ->setBaseShippingAmount($shippCharge);	
			}	
		
		
			$quote->collectTotals();    
			$quote->save();
			$items = $quote->getAllItems();
			$quote->reserveOrderId();
			// add payment method  in Quote
			$quotePayment = $quote->getPayment(); // Mage_Sales_Model_Quote_Payment
			$quotePayment->setMethod($pmethod)
						 ->setIsTransactionClosed(1)
						 ->setTransactionAdditionalInfo(Mage_Sales_Model_Order_Payment_Transaction::RAW_DETAILS,array('TransactionID'=>$transid,'key2'=>'value2')); 							
	        if($pmethod == 'cashondelivery' || $pmethod == 'secureebs_standard' || $pmethod == 'checkmo' || $pmethod == 'banktransfer') {
				$quotePayment->setCustomerPaymentId($transid);
			}
			elseif($pmethod == 'paypal_standard') {
				$quotePayment->setCustomerPaymentId($transid)->setLastTransId($transid);
			}
			elseif($pmethod == 'purchaseorder') {
				$quotePayment->setCustomerPaymentId($transid)->setPo_number($transid);
			}
			else if($pmethod == 'authorizenet_directpost') {
                         $quotePayment->setCustomerPaymentId($transid);
            }
            else {
				$quotePayment->setCustomerPaymentId($transid);
			}
		$quote->setPayment($quotePayment);
	$convertQuote = Mage::getSingleton('sales/convert_quote');
try { 	
	$order = $convertQuote->addressToOrder($quote->getShippingAddress());
} catch(Exception $Exc) {
echo $Exc->getMessage();
}
		$orderPayment = $convertQuote->paymentToOrderPayment($quotePayment);
		$order->setBillingAddress($convertQuote->addressToOrderAddress($quote->getBillingAddress()));
		$order->setShippingAddress($convertQuote->addressToOrderAddress($quote->getShippingAddress()));
		$order->setPayment($convertQuote->paymentToOrderPayment($quote->getPayment()));
	if($smethod=="tablerate_bestway") {
				$order->setShippingAmount($shippCharge);
				$order->setBaseShippingAmount($shippCharge);
				$order->setSubtotal($order_sub_amount)
				->setBaseSubtotal($order_sub_amount)
				->setGrandTotal($grand_amount)
				->setBaseGrandTotal($grand_amount)
				->setDiscountAmount($discount_amount);

			}
			// conver Quote to Order
			foreach ($items as $item) {
				$orderItem = $convertQuote->itemToOrderItem($item);
				if ($item->getParentItem()) {
					$orderItem->setParentItem($order->getItemByQuoteItemId($item->getParentItem()->getId()));
				}
				$order->addItem($orderItem);
			}

			try {
				$order->setTransId($transid);
				//$order->place();
				//$order->save(); 
				$transaction = Mage::getModel('core/resource_transaction');
				$transaction->addObject($quote->getCustomer());
                                $transaction->addObject($quote);
                                $transaction->addObject($order);
				$transaction->addCommitCallback(array($order, 'place'));
				$transaction->addCommitCallback(array($order, 'save'));
				$transaction->save();
			} catch (Exception $e){        
				Mage::log($e->getMessage());
			}
			$order->getPayment()->setTransactionId($transid);
			$last_order_increment_id = Mage::getModel("sales/order")->getCollection()->getLastItem()->getIncrementId();
			if ($pmethod == 'paypal_standard') {
				$orderIdpp = $order->getId();
				$orderpaypal = Mage::getModel('sales/order')->load($orderIdpp);
				$orderpaypal->setState(Mage_Sales_Model_Order::STATE_PROCESSING, true)->save();
			}
			$res=array();
			$res["status"] = 1;
			$res["id"] = $order->getId();
			$res["orderid"] = $order->getIncrementId();
			$res["transid"] = $order->getPayment()->getTransactionId();
			if($res["orderid"]>0 && ($pmethod=="cashondelivery" || $pmethod=="banktransfer")) {
			$this->ws_sendorderemail($res["orderid"]);
		
                        //Set Order Status
                        $order->setState(Mage_Sales_Model_Order::STATE_PROCESSING, true)->save();	
}
else {
$order->setState(Mage_Sales_Model_Order::STATE_PENDING_PAYMENT, true)->save();

}
			
                        $mofluid_gift_orderid= $order->getId();
			$gift_counter = 0;
			$gift_where =array();
			foreach($message_id as $key=>$value) {
				try {
						$connection = Mage::getSingleton('core/resource')->getConnection('core_write');
						$connection->beginTransaction();
						$gift_where = $connection->quoteInto('order_id=?', $mofluid_gift_orderid).'  AND '.$connection->quoteInto('product_id=?',$message_id["prod_id"][$gift_counter]);
						$gift_fields["gift_message_id"] = $message_id["msg_id"][$gift_counter];
						$connection->update(Mage::getSingleton('core/resource')->getTableName('sales/order_item'), $gift_fields, $gift_where);
						$connection->commit();
						$gift_counter++;	
				}
				catch(Exception $err) {
					}		
				}
			return $res;
		}
		catch(Exception $ex) {
			$res["status"] = "0";
			return $res;
		}
	}
	
	/*====================      Service to check ship2myid module availability   =================*/ 
     public function ws_shipmyidenabled() {
		$res = array();		
		$res["result"] = 0;
		$modules = array_keys((array)Mage::getConfig()->getNode('modules')->children());
		if(Mage::getStoreConfig('clm24core/shippings/enabled') && in_array("Mofluid_MofluidShipMyId",$modules)) {
			$res["result"] = 1;
		}
		return $res;
	}
	/*====================     Validate Coupon Code for per User  =================*/ 
	public function ws_validateCoupon($couponCode, $custid) {		
		$res = array();		
		$res["result"] = "0";
		$coupon = Mage::getModel('salesrule/coupon')->load($couponCode, 'code');
		$oRule = Mage::getModel('salesrule/rule')->load($coupon->getRuleId());
		$couponDetails = $oRule->getData();	
		if($coupon->getId()>0 && $couponDetails["is_active"]==1){
			$count = 0;
			$flag = 0;
			$today = date("Y-m-d"); 			
			if($custid!="" && is_numeric($custid)) {
			    $exist_customer = Mage::getModel("customer/customer")->load($custid);
				if($exist_customer->getId()>0) {
					$flag = 1;
					$orders = Mage::getResourceModel('sales/order_collection')
								->addFieldToSelect('*')
								->addFieldToFilter('customer_id', $custid)
								->setOrder('created_at', 'desc');				
					foreach ($orders as $order) {
						if(strtolower($order->getCouponCode())==strtolower($couponCode))
						$count++;
					}
				}
			}
					
			if($coupon->times_used>=$coupon->usage_limit || $coupon->expiration_date<$today || ($flag==1 && $count>=$coupon->usage_per_customer))
				$res["result"] = "0";
			else
				$res["result"] = "1";
			
		}	
		return $res;
	} 
	/*====================     Get Coupon Details  =================*/ 
	public function ws_couponDetails($couponCode) {		
		$res = array();		
		$coupon = Mage::getModel('salesrule/coupon')->load($couponCode, 'code');
		$res["status"] = 0;

                //echo $coupon->getId(); die;
		if($coupon->getId()>0){
			$oRule = Mage::getModel('salesrule/rule')->load($coupon->getRuleId());
			$couponDetails = $oRule->getData();
			//echo "<pre>"; print_r($couponDetails); die; 
			$res["coupon_code"] = $couponDetails["coupon_code"];
			$res["is_active"] = $couponDetails["is_active"];
			$res["simple_action"] = $couponDetails["simple_action"];
			$res["discount_amount"] = $couponDetails["discount_amount"];
			$res["discount_qty"] = $couponDetails["discount_qty"];
			$res["apply_to_shipping"] = $couponDetails["apply_to_shipping"];
			$res["coupon_code"] = $couponDetails["coupon_code"];
			$res["times_used"] = $coupon->times_used;
		        $res["status"] = 1;
                }
                return $res;
	} 
	
	 /*====================      Service to send order email after successfull payment of paypal   =================*/ 
     public function ws_sendorderemail($orderid) {		 
		 $result["result"] = 0;
		 if($orderid>0) {
		  try {				
				$order = Mage::getModel('sales/order');
				//$order = Mage::getModel('myidshipping/order');
				$order->loadByIncrementId($orderid);
				//echo "<pre>"; print_r($order); die;
				if($order->email_sent!=1) {
					$order->setState(Mage_Sales_Model_Order::STATE_PROCESSING, true, 'Gateway has authorized the payment.');
					$order->sendNewOrderEmail("app");
					$order->setEmailSent(true);
					$result["result"] = 1;
				}
                                else {
                                  $order->setState(Mage_Sales_Model_Order::STATE_PROCESSING, true, 'Gateway has authorized the payment.');
                                        
                                }
                                $order->save(); 
			} catch (Exception $ex) {
				//echo $ex->getMessage(); 
			}
		 }	
			return $result;
     }
      /*====================  Service to fetch all product of Store =================*/ 
      public function ws_productSearchHelp($store_id) {
          $res = array();
          try {
              $collection = Mage::getResourceModel('catalog/product_collection')
                            ->addAttributeToSelect('name')
							->addAttributeToSelect('id')
                            ->addStoreFilter($store_id)
                            ->addAttributeToFilter('status', 1)
                            ->addAttributeToFilter('type_id', 'simple')
							->addAttributeToFilter('visibility', 4)
                            ->load();            
              foreach ($collection as $_product) {                  $stock_status = 1;
                  $is_in_stock = $_product->getStockItem()->getIsInStock();
                  $stock_quantity = Mage::getModel('cataloginventory/stock_item')->loadByProduct($_product->getId())->getQty();
                  if($is_in_stock <= 0 || $stock_quantity <=0 ) {
                      $stock_status = 0;
                  }
                    $res[] = array(
                               "id" => $_product->getId(),
                               "name" => $_product->getName(),
                               "stock_status" => $stock_status
                      );
              }
          }
          catch(Exception $ex) {
              $res = $ex->getMessage();
          }  
          return($res);
    }
	//************ list all enable shipping method ********** //
	public function ws_getShippingDetail($pid,$address) {

		$res=array();
		$add=array();
		$_code="";
		$id_counter = 0;
		$pid=json_decode($pid); //recieve pid
		$address=json_decode($address); //recieve address
		$address_counter=0;

		//fetch the address record
		foreach($address as $add_key => $add_value){
			try{
				$add[$id_counter][$add_key]= $add_value;
			}
			catch(Exception $err){
			}
		}
		$dest_country=$add[0]['dest_country'];
		$dest_region=$add[0]['dest_region'];
		$dest_zip=$add[0]['dest_zip'];
					           
		$weight_sum=0;
		$quantity_sum=0;
		$price_sum=0;	            
		//set the loop for particular product id
		foreach($pid as $product_id => $quantity){
			$productsCollection = Mage::getModel('catalog/product')
            		                ->getCollection()
                    		        ->addAttributeToFilter('entity_id', array('in' => $product_id))
                            		->addAttributeToSelect('*');

		$product = Mage::getModel('catalog/product')->load($product_id);
            
			foreach($productsCollection as $product) {
				try {
					$res[$id_counter]["quantity"] = $quantity;
					$quantity_sum+=$res[$id_counter]["quantity"];
					$res[$id_counter]["price"] = number_format($product->getPrice(),2);
					$price_sum+=($res[$id_counter]["price"]*$res[$id_counter]["quantity"]);
					$res[$id_counter]["Weight"] = number_format($product->getWeight(),2); 
					$weight_sum+=($res[$id_counter]["Weight"]*$res[$id_counter]["quantity"]);
				}
				catch(Exception $err) {
				}
			$id_counter= $id_counter+1;
			}  
		}       	
		//****** get all active carriers****************
		$methods = Mage::getSingleton('shipping/config')->getActiveCarriers();
		$shipping = array();
		foreach($methods as $_ccode => $_carrier) {
			if($_methods = $_carrier->getAllowedMethods()) {
				if(!$_title = Mage::getStoreConfig("carriers/$_ccode/title"))
					$_title = $_ccode;
					foreach($_methods as $_mcode => $_method) {
						$shippingcode = $_ccode . '_' . $_mcode;
						$ship_total=0;
						$shipping1=0;
								
						//*********CALCULATING THE FLAT RATE PRICE**********				
						if($_mcode=="flatrate"){
							
							$flat_flag_country=Mage::getStoreConfig('carriers/flatrate/sallowspecific');
							$flat_show_method=Mage::getStoreConfig('carriers/flatrate/showmethod');
							$flat_type=Mage::getStoreConfig('carriers/flatrate/type');
							$flat_item_price= Mage::getStoreConfig('carriers/flatrate/price');
							$flat_h_type=Mage::getStoreConfig('carriers/flatrate/handling_type');
							$flat_h_fee=Mage::getStoreConfig('carriers/flatrate/handling_fee');
							if($flat_h_fee=="" || $flat_h_fee == null) { 
								$flat_h_fee=0;
							}
							if($flat_item_price=="" || $flat_item_price == null){
								$flat_item_price = 0;
							}
							if(empty($flat_type) && '0' != $flat_type){
								$ship_total=0;
							}
							elseif($flat_type=="I"){
								$ship_total=$flat_item_price*$quantity_sum;                           
							}
							else{
								$ship_total+=$flat_item_price;
							}
							if($flat_h_type=="F"){
								$ship_total+=$flat_h_fee;
							}
							else{
								$ship_total+=(($ship_total*$flat_h_fee)/100);
							}
							
							if($flat_flag_country==0){
								$shipping1=1;
							}
							else{
								$flat_specific_country=Mage::getStoreConfig('carriers/flatrate/specificcountry');
								$flat_specific_country = explode(",",$flat_specific_country);
								if(count($flat_specific_country)>0 && in_array($dest_country,$flat_specific_country)){
									$shipping1=1;
								}
								else{
									if($flat_show_method==1){
										$shipping1=1;
									}
									else{
										$shipping1=0;
									}
								}
							}			
								
						}
						//*******CALCULATING THE FREESHIPPING PRICE********					              
						if($_mcode=="freeshipping"){
						    $ship_total="";
						    $free_flag_country=Mage::getStoreConfig('carriers/freeshipping/sallowspecific');
							$free_show_method=Mage::getStoreConfig('carriers/freeshipping/showmethod');
							$free_min_order_price=Mage::getStoreConfig('carriers/freeshipping/free_shipping_subtotal');
							if($price_sum>=$free_min_order_price){
								$ship_total=0;
								
							}
							else{
								$ship_total="";
							}
							if (empty($ship_total) && '0' != $ship_total){
							 	$shipping1=0;
							}
							else {
							$shipping1=1;
								if($free_flag_country==0){
									$shipping1=1;
								}
								else{
									$free_specific_country=Mage::getStoreConfig('carriers/flatrate/specificcountry');
									$free_specific_country = explode(",",$free_specific_country);
									if(count($free_specific_country)>0 && in_array($dest_country,$free_specific_country)){
										$shipping1=1;
									}
									else{
										if($free_show_method==1){
											$shipping1=1;
										}
										else{
											$shipping1=0;
										}
									}
								}
							}					
							
						}
						//*******CALCULATING THE TABLE RATE PRICE*******	
						if($_mcode=="bestway"){
							$table_flag_country=Mage::getStoreConfig('carriers/tablerate/sallowspecific');
							$table_show_method=Mage::getStoreConfig('carriers/tablerate/showmethod');
							$table_h_fee=Mage::getStoreConfig('carriers/tablerate/handling_fee');
							$table_h_type=Mage::getStoreConfig('carriers/tablerate/handling_type');
							$table=array();
							$table_condition_name=Mage::getStoreConfig('carriers/tablerate/condition_name');
							$tablerateColl = Mage::getResourceModel('shipping/carrier_tablerate_collection');
							$table_counter=0;					
							foreach ($tablerateColl as $tablerate) {
   								$table_rate1[$table_counter]=$tablerate->debug();
   								$table_counter+=1;
							}
							if($table_h_fee==""){
							$table_h_fee=0;
							}
							
							//***FOR PACKAGE WEIGHT VS DESTINATION TABLE RATE****									
							if($table_condition_name=="package_weight"){
								$table_counter1=0;
								$table_counter11=0;
								$table_counter12=0;
								$table_new=array();
								foreach($table_rate1 as $table){
									if($table_rate1[$table_counter1]['dest_region']==""){
										$table_rate1[$table_counter1]['dest_region']="*";						
									}
									if(($table_rate1[$table_counter1]['dest_country']==$dest_country || $table_rate1[$table_counter1]['dest_region']==$dest_region) && $table_rate1[$table_counter1]['dest_zip']==$dest_zip && $table_rate1[$table_counter1]['condition_name']=="package_weight"){
										if($table_rate1[$table_counter1]['dest_country']==$dest_country && $table_rate1[$table_counter1]['dest_region']==$dest_region && $table_rate1[$table_counter1]['dest_zip']==$dest_zip){
											$table_new[$table_counter11]=$table_rate1[$table_counter1];
    										$table_counter11+=1;
										}
									}
									$table_counter1+=1;
								}
								if($table_counter11==1 && $weight_sum>=$table_new[0]['condition_value']){
									$ship_total=$table_new[0]['price'];
								}
								if($table_counter11>1){
									foreach($table_new as $count){
										if(($weight_sum>=$table_new[$table_counter12]['condition_value']) && ($weight_sum<$table_new[$table_counter12+1]['condition_value'])  ){
											$ship_total=$table_new[$table_counter12]['price'];
										}
										$table_counter12+=1;
									}
									if($weight_sum>=$table_new[$table_counter12-1]['condition_value']){
										$ship_total=$table_new[$table_counter12-1]['price'];
									}				
								}
							}																		
							//******FOR PRICE VS DESTINATION TABLE RATE******											
							if($table_condition_name=="package_value"){
								$table_counter2=0;
								$table_counter21=0;
								$table_counter22=0;
								$table_new=array();
								foreach($table_rate1 as $table){
									if($table_rate1[$table_counter2]['dest_region']==""){
										$table_rate1[$table_counter2]['dest_region']="*";						
									}
									if(($table_rate1[$table_counter2]['dest_country']==$dest_country || $table_rate1[$table_counter2]['dest_region']==$dest_region) && $table_rate1[$table_counter2]['dest_zip']==$dest_zip && $table_rate1[$table_counter2]['condition_name']=="package_value"){
										if($table_rate1[$table_counter2]['dest_country']==$dest_country && $table_rate1[$table_counter2]['dest_region']==$dest_region && $table_rate1[$table_counter2]['dest_zip']==$dest_zip){
											$table_new[$table_counter21]=$table_rate1[$table_counter2];
											$table_counter21+=1;
										}
									}
									$table_counter2+=1;
								}
								
								if($table_counter21==1 && $price_sum>=$table_new[0]['condition_value']){
									$ship_total=$table_new[0]['price'];
								}
								if($table_counter21>1){
									foreach($table_new as $count){
										if(($price_sum>=$table_new[$table_counter22]['condition_value']) && ($price_sum<$table_new[$table_counter22+1]['condition_value'])  ){
											$ship_total=$table_new[$table_counter22]['price'];
									}
										$table_counter22+=1;			
								}
									if($price_sum>=$table_new[$table_counter22-1]['condition_value']){
										$ship_total=$table_new[$table_counter22-1]['price'];
									}				
								}
							}																
							//*******FOR ITEMS VS DESTINATON TABLE RATE*********	
							if($table_condition_name=="package_qty"){
								$table_counter3=0;
								$table_counter31=0;
								$table_counter32=0;
								$table_new=array();
								foreach($table_rate1 as $table){
									if($table_rate1[$table_counter3]['dest_region']==""){
										$table_rate1[$table_counter3]['dest_region']="*";						
									}
									if(($table_rate1[$table_counter3]['dest_country']==$dest_country || $table_rate1[$table_counter3]['dest_region']==$dest_region) && $table_rate1[$table_counter3]['dest_zip']==$dest_zip && $table_rate1[$table_counter3]['condition_name']=="package_qty"){
										if( $table_rate1[$table_counter3]['dest_country']==$dest_country && $table_rate1[$table_counter3]['dest_region']==$dest_region && $table_rate1[$table_counter3]['dest_zip']==$dest_zip){
											$table_new[$table_counter31]=$table_rate1[$table_counter3];
											$table_counter31+=1;
										}
									}
									$table_counter3+=1;
								}
								if($table_counter31==1 && $quantity_sum>=$table_new[0]['condition_value']){
									$ship_total=$table_new[0]['price'];
								}
								if($table_counter31>1){
									foreach($table_new as $count){
										if(($quantity_sum>=$table_new[$table_counter32]['condition_value']) && ($quantity_sum<$table_new[$table_counter32+1]['condition_value'])){
											$ship_total=$table_new[$table_counter32]['price'];
										}
										$table_counter32+=1;			
									}
								if($quantity_sum>=$table_new[$table_counter32-1]['condition_value']){
									$ship_total=$table_new[$table_counter32-1]['price'];
								}	
							}
						}						
						if($ship_total=="" ){
						}
						else{
							$shipping1=1;
							if($table_h_type=="F"){
								$ship_total+=$table_h_fee;	
							}
							else{
								$ship_total+=(($ship_total*$table_h_fee)/100);
							}
							if($table_flag_country==0){
								$shipping1=1;
							}
							else{
								$table_specific_country=Mage::getStoreConfig('carriers/flatrate/specificcountry');
								$table_specific_country = explode(",",$table_specific_country);
								if(count($table_specific_country)>0 && in_array($dest_country,$table_specific_country)){
									$shipping1=1;
								}
								else{
									if($table_show_method==1){
										$shipping1=1;
									}
									else{
										$shipping1=0;
									}
								}
							}
						}						
							
					}
				$shipping[]=array('title' => $_title,'method' => $_method,'price'=>$ship_total,'shippingcode'=>$shippingcode ,'Status'=>$shipping1);
				}
			}
		}
			return($shipping);
	}
	/*====================  list all state list of specific country =================*/  	
	 public function ws_countryStateList($store_id,$country) {
		 $state = array();
		 if($country!="") {
			 try {
				 $_states = $us = Mage::getModel('directory/region_api')->items($country);
				  
				 if (count($_states) > 0) {
					foreach($_states as $_state) {
						if($_state['code']!="")
						$state[$_state['code']]  = $_state['name'];
					}
				  }
				  else {
					$state["result"] = "0"; 
				  } 
			}
			catch (Exception $exception) {
                  $state["result"] = "0"; 
             }
		}		
        return($state);
    }   
    
    
    /*=======================get all mofluid extensions=====================*/
    
    public function ws_getmofluidextension() {
        $connection = Mage::getSingleton('core/resource')->getConnection('core_read'); 
        $resource = Mage::getSingleton('core/resource');
        $modules = Mage::getConfig()->getNode('modules')->children();
        $modulesArray = (array)$modules;
        $module_name_arr = array();
        foreach($modulesArray as $key=>$val)  {
            if($val->active) {
                try {
                    $module_name_arr[] = $key; 
                }
                catch(Exception $ex) {
                    
                }
            }  
        }
        $selectresource = $connection->select()
                        ->from(Mage::getSingleton('core/resource')
                        ->getTableName('mofluidadmin/mofluidresource'), array('*'));
        $MofluidResourcedata =$connection->fetchAll($selectresource);
        $mofluid_available_resource = array();
        $mofluid_final_resource_data = array();
        $mofluid_final_resource = array();
        $found = 0;
        foreach($module_name_arr as $mkey=>$mval) {
            foreach($MofluidResourcedata as $mrkey=>$mrval) {
                if($mrval['module'] == $mval && $mrval['sendbuildmode'] != 0) {
                    $mofluid_available_resource[] = $mrval['resource'];
                    $found = 1;
                }
            }
        }
        return ($mofluid_available_resource); 
   }
   
   /*=====================get payment method==================*/
   
   public function ws_getpaymentmethod() {
       //Get all payment method values and status from mofluid payment module 
       $mofluid_pay_connection = Mage::getSingleton('core/resource')->getConnection('core_read'); 
       $mofluid_pay_selectresource = $mofluid_pay_connection->select()
           ->from(Mage::getSingleton('core/resource')
           ->getTableName('mofluid_paymentcod/payment'), array('*'));
       $mofluid_pay_data =$mofluid_pay_connection->fetchAll($mofluid_pay_selectresource);
       $connection = Mage::getSingleton('core/resource')->getConnection('core_read'); 
       $resource = Mage::getSingleton('core/resource');
       $modules = Mage::getConfig()->getNode('modules')->children();
       $modulesArray = (array)$modules;
       $module_name_arr = array();
       foreach($modulesArray as $key=>$val)  {
           if($val->active) {
               if(strpos($key,"Mofluid_Payment")!==false || $key == "Mage_Secureebs" ) {               
                   try {
                       $module_name_arr[] = $key; 
                   }
                   catch(Exception $ex) {
                    
                   }
               }
           }  
       }
       //Verify all payment extensions exists on magento site 
       foreach($mofluid_pay_data as $paykey => $payvalue) {
           $mofluid_pg_code = 'Mofluid_Payment'.$payvalue["payment_method_code"];
           if(!$this->check_pay_method_in_array($module_name_arr, $mofluid_pg_code)) {
               $mofluid_pay_data[$paykey]["payment_method_status"] = "0";
           }    
           //Check Dependency of EBS Payment Method with Mage_Secureebs module
           if($payvalue["payment_method_code"] == "ebs") {
              if(!$this->check_pay_method_in_array($module_name_arr, "Mage_Secureebs")) {
                  $mofluid_pay_data[$paykey]["payment_method_status"] = "0";
              }
           }
           
           //Get Title and Instructions for Bank Transfer payment Method and update the array 
           if($payvalue["payment_method_code"] == "banktransfer") {
               try {
                       $mofluid_pay_data[$paykey]["payment_method_title"] = Mage::getModel("payment/method_banktransfer")->getTitle();
                       $mofluid_pay_data[$paykey]["payment_method_display_description"] = str_replace("\n","<br>",Mage::getModel("payment/method_banktransfer")->getInstructions());
               }
               catch(Exception $ex) {
                   echo $ex->getMessage();
               }
           }
       }
       return($mofluid_pay_data);
   }
   
   private function check_pay_method_in_array($pay_method_all_arr, $pay_method_single) {
       foreach($pay_method_all_arr as $key=>$value) {
           if($value == $pay_method_single) {
               return 1;
           }
       }
       return 0;
   }
   
   /*=======================get all mofluid app countries=====================*/
   
    public function ws_mofluidappcountry($mofluid_store) {
	     $res = array();
         try {
       	     $collection = Mage::getModel('directory/country')->getCollection()->loadByStore($mofluid_store);    
             foreach ($collection as $country) {
                 $mofluid_country["country_id"] = $country->getId();
	             $mofluid_country["country_name"] = $country->getName();
	             $res["mofluid_countries"][] = $mofluid_country;
             }
             $res["mofluid_default_country"]["country_id"] = Mage::getStoreConfig('general/country/default', $mofluid_store);
             //$res["mofluid_default_country"]["country_name"] = 
             return $res;
       	 }
       	 catch(Exception $ex) {
       	      echo  $ex->getMessage();
       	 }
       	 return $res; 
	 } 
	
	/*=======================get all mofluid app states=====================*/
	
	 public function ws_mofluidappstates($mofluid_store, $countryid) {
	     $res = array();
	     try {
       	     $collection = Mage::getModel('directory/region')->getResourceCollection()
                                                             ->addCountryFilter($countryid)->load();
             foreach ($collection as $region) {
                 $mofluid_region["region_id"] = $region->code;
	             $mofluid_region["region_name"] = $region->default_name;
	             $res["mofluid_regions"][] = $mofluid_region;
             }
             return $res;
       	 }
       	 catch(Exception $ex) {
       	 }
       	 return $res; 
	 }
	 
	 /*============================gift message========================*/
	 
	 public function ws_checkGiftMessage($store) {
			$res["status"] = 0;
			$myGiftMessage = array();
			if($store<1) {
				$res["msg"] = "Store not valid";
				return $res;
			}
			$gift_message_type = Mage::getStoreConfig('sales/gift_options');
			if($gift_message_type["allow_order"] == 0 )
				$res["allow_order"] = 0;
			else if($gift_message_type["allow_order"] == 1 )
				$res["allow_order"] = 1;
			if($gift_message_type["allow_items"] == 0 )
				$res["allow_items"] = 0;
			else if($gift_message_type["allow_items"] == 1 )
				$res["allow_items"] = 1;
			return $res;
	  }
	  
	  /*=================================check product==============*/
	  
	  public function ws_checkProductGiftMessage($store, $Jproduct) {
			$res["status"] = "0";
			$productid = json_decode($Jproduct, true);
			if(count($productid)==0)
				return $res;
			$res["status"] = "1";
			foreach($productid as $key=>$value) {
				$product = Mage::getModel('catalog/product');
				$product->load($value);
				if($product->getGift_message_available() == 1 || $product->getGift_message_available() == "")
					$res["data"][$value] = "1";
				else if($product->getGift_message_available() == 0)
					$res["data"][$value] = "0";
			}
			return($res);
		}
		
		/*=========================ebs payment===========================*/
		
		public function ws_ebspayment($store, $service, $paymentdata) {

			$mofluid_ebs_data = json_decode($paymentdata);

		    //var_dump($mofluid_ebs_data);

		    $mofluid_ebs_hash = $mofluid_ebs_data->hash;
		    $mofluid_ebs_account_id = $mofluid_ebs_data->account_id;
			try {
				$mofluid_ebs_return_url = base64_decode($mofluid_ebs_data->return_url);
			}

			catch(Exception $ex) {
			}

		   $mofluid_ebs_mode = $mofluid_ebs_data->mode;
		   $mofluid_ebs_reference_no = $mofluid_ebs_data->reference_no;
		   $mofluid_ebs_amount = $mofluid_ebs_data->amount;
		   $mofluid_ebs_description = $mofluid_ebs_data->description;
		   $mofluid_ebs_name = $mofluid_ebs_data->name;
		   $mofluid_ebs_address = $mofluid_ebs_data->address;
		   $mofluid_ebs_city = $mofluid_ebs_data->city;
		   $mofluid_ebs_state = $mofluid_ebs_data->state;
		   $mofluid_ebs_postal_code = $mofluid_ebs_data->postal_code;
		   $mofluid_ebs_country = $mofluid_ebs_data->country;
		   $mofluid_ebs_phone = $mofluid_ebs_data->phone;
		   $mofluid_ebs_email = $mofluid_ebs_data->email;

		    $mofluid_ebs_form = '<center><h2>Please wait, your order is being processed and you will be redirected to the EBS website.</h2></center>
							<center><br/><br/>If you are not automatically redirected to EBS within 5 seconds...<br/><br/>
						   	<form  method="post" action="https://secure.ebs.in/pg/ma/sale/pay" name="frmTransaction" id="frmTransaction">
							   <input name="account_id" type="hidden" value="'.$mofluid_ebs_account_id.'">
							   <input name="return_url" type="hidden" size="60" value="'.$mofluid_ebs_return_url.'" />
							   <input name="mode" type="hidden" size="60" value="'.$mofluid_ebs_mode.'" />
							   <input name="reference_no" type="hidden" value="'.$mofluid_ebs_reference_no.'" />
							   <input name="amount" type="hidden" value="'.$mofluid_ebs_amount.'"/>
							   <input name="description" type="hidden" value="'.$mofluid_ebs_description.'" /> 
							   <input name="name" type="hidden" maxlength="255" value="'.$mofluid_ebs_name.'" />
							   <input name="address" type="hidden" maxlength="255" value="'.$mofluid_ebs_address.'" />
							   <input name="city" type="hidden" maxlength="255" value="'.$mofluid_ebs_city.'" />
							   <input name="state" type="hidden" maxlength="255" value="'.$mofluid_ebs_state.'" />
							   <input name="postal_code" type="hidden" maxlength="255" value="'.$mofluid_ebs_postal_code.'" />
							   <input name="country" type="hidden" maxlength="255" value="'.$mofluid_ebs_country.'" />
							   <input name="phone" type="hidden" maxlength="255" value="'.$mofluid_ebs_phone.'" />
							   <input name="email" type="hidden" size="60" value="'.$mofluid_ebs_email.'" />
							   <input name="ship_name" type="hidden" maxlength="255" value="'.$mofluid_ebs_name.'" />
							   <input name="ship_address" type="hidden" maxlength="255" value="'.$mofluid_ebs_address.'" />
							   <input name="ship_city" type="hidden" maxlength="255" value="'.$mofluid_ebs_city.'" />
							   <input name="ship_state" type="hidden" maxlength="255" value="'.$mofluid_ebs_state.'" />
							   <input name="ship_postal_code" type="hidden" maxlength="255" value="'.$mofluid_ebs_postal_code.'" />
							   <input name="ship_country" type="hidden" maxlength="255" value="'.$mofluid_ebs_country.'" />
							   <input name="ship_phone" type="hidden" maxlength="255" value="'.$mofluid_ebs_phone.'" />
							   <input name="secure_hash" type="hidden" size="60" value="'.$mofluid_ebs_hash.'" />
							   <input name="submitted" value="Click here" type="submit" />
						    </form></center><script>document.frmTransaction.submit();</script>';

							echo $mofluid_ebs_form;
		   }
		   
		   
		   /*===========================================mofluid eb response=====================*/

		   public function ws_mofluid_ebs_pgresponse($store, $service, $mofluid_paymentdata,$mofluid_app_platform) {
        $model = Mage::getModel('mofluid_paymentebs/paymentebs');
        $mofluid_pay_ebs = $model->load(4);
        $secret_key= $mofluid_pay_ebs->getData('payment_method_account_key');
				try {

					if($mofluid_paymentdata) {
							 require('Rc43.php');
							 $DR = preg_replace("/\s/","+",$mofluid_paymentdata);
							 $rc4 = new Crypt_RC4($secret_key);
							 $QueryString = base64_decode($DR);
							 $rc4->decrypt($QueryString);
							 $QueryString = explode('&',$QueryString);
							 $response = array();
							 foreach($QueryString as $param){
									$param = explode('=',$param);
									$response[$param[0]] = urldecode($param[1]);
							 }


                                try {
                                     $mofluid_orderid = $response["MerchantRefNo"];
                                     if($mofluid_orderid == "" || $mofluid_orderid  == null) {

                                     }
                                     else {
                                         $this->ws_sendorderemail($mofluid_orderid);
                                     }
                                }
                                catch(Exception $ex) {

                                }





					  $ebs_print_response = "<center><h3>".$response["ResponseMessage"]."</h3><br />Order ID : ".$response["MerchantRefNo"]."<br />Transaction ID : ".$response["TransactionID"]."<br />Payment ID : ".$response["PaymentID"]."<br />Amount : ".$response["Amount"]."<br/><br/> Click on Close/Done button to close this window..</center>";
					  echo $ebs_print_response;
				    }

				} 
				catch(Exception $ex) {
					echo $ex->getMessage();
				}
		  }
		  
		  
                 public function ws_authorizepaymentresponse($store, $service, $mofluid_orderid, $payment_response) {
                     try {
                        // $mofluid_orderid = $response["MerchantRefNo"];
                         if($mofluid_orderid == "" || $mofluid_orderid  == null) {
                              $mofluid_orderid = $payment_response["x_invoice_num"];
                              $this->ws_sendorderemail($mofluid_orderid);
                         }
                         else {
                             $this->ws_sendorderemail($mofluid_orderid);
                         }
                     }
                     catch(Exception $ex) {

                     }

                     $response_text =  "<center><h3>".$payment_response["x_response_reason_text"]."</h3><br />Order ID : ".$mofluid_orderid."<br /><br/> Click on Close/Done button to close this window..</center>";
                                          echo $response_text;

                  }

                  /*============================print payment response===================*/
		  
		  public function ws_printpaymentresponse($store, $mofluidpayaction, $postdata, $mofluid_payment_mode, $mofluid_order_id_unsecure) {

				$paypal_url = 'https://www.paypal.com/cgi-bin/webscr';
			    if(strtolower($mofluid_payment_mode) == "test") {
				   $paypal_url = 'https://www.sandbox.paypal.com/cgi-bin/webscr';
			     }
			     if($mofluidpayaction == "success") {
                                try {
                                     if($postdata['mofluid_order_id']== "" || $postdata['mofluid_order_id'] == null) {

                                         $mofluid_order_id = $mofluid_order_id_unsecure;  
                                         $this->ws_sendorderemail($mofluid_order_id);
                                     }
                                     else {
                                         $mofluid_order_id = $postdata['mofluid_order_id'];
                                         $this->ws_sendorderemail($mofluid_order_id);
                                     }
                                }
                                catch(Exception $ex) {

                                }


					 echo '<html>
							 <head>
								 <title>Success</title>
								 <meta name="viewport" content="width = 100%" />
								 <meta name="viewport" content="initial-scale=2.5, user-scalable=no" />
							 </head>
							 <body>
								 <center>
									 <h3>Thank you for your order.</h3>
								 </center>';

					   if(strstr($_SERVER['HTTP_USER_AGENT'],'iPhone') || strstr($_SERVER['HTTP_USER_AGENT'],'iPod') || strstr($_SERVER['HTTP_USER_AGENT'],'Android') || strstr($_SERVER['HTTP_USER_AGENT'],'iPad')){
						   $dis_body =  "<br><br><b>Your transaction was successfull.</b><br><br><br>See Your mail for more details";
					   }
					   else {
						   $dis_body =  "<br><b>Payment Details :- </b><br>";
						   $dis_body .= "<br>Payment Status : <b>".$postdata['payment_status']."</b>";
						   $dis_body .= "<br>Transaction ID : <b>".$postdata['txn_id']."</b>";
						   $dis_body .= "<br>Order ID : ".$postdata['item_name'];
						   $dis_body .= "<br>Payment Date : ".$postdata['payment_date'];
						   $dis_body .= "<br>Amount : ".$postdata['mc_gross'].$postdata['mc_currency'];
						   $dis_body .="<br><br>See Your mail ".$postdata['payer_email']. " for more details";
					   }

					   $dis_body .="<br><br><br><br>Please close this window.";
					   echo '<center>'.$dis_body.'</center></body></html>';
				 }

				  else if($mofluidpayaction == "ipn") {
						$this->validate_ipn($paypal_url, $postdata);
				  }

				  else if($mofluidpayaction == "cancel") {
					   echo "<html><head><title>Canceled</title></head><body><center><h3>The order was canceled.</h3></center>";
					   echo "<br><br><br><center>Please Close this window</center></body></html>";
				  }
				  else {
				    	echo "<br>Unknown Response<br>";
				    	//print_r($postdata);
				  }
		   }



			function validate_ipn($paypal_url, $postdata) {
				  $ipn_response;
				  $log_ipn_results;
				  // parse the paypal URL
				  $url_parsed=parse_url($paypal_url);
				  $post_string = '';
				  foreach ($postdata as $field=>$value) {
					 $ipn_data["$field"] = $value;
					 $post_string .= $field.'='.urlencode(stripslashes($value)).'&';
				  }

				  $post_string.="cmd=_notify-validate"; // append ipn command
				  $fp = fsockopen("ssl://" . $url_parsed['host'],"443",$err_num,$err_str,30);
				  if(!$fp) {
					 $last_error = "fsockopen error no. $errnum: $errstr";
					 return false;
				  }
				  else {
					 fputs($fp, "POST $url_parsed[path] HTTP/1.1\r\n");
					 fputs($fp, "Host: $url_parsed[host]\r\n");
					 fputs($fp, "Content-type: application/x-www-form-urlencoded\r\n");
					 fputs($fp, "Content-length: ".strlen($post_string)."\r\n");
					 fputs($fp, "Connection: close\r\n\r\n");
					 fputs($fp, $post_string . "\r\n\r\n");
					 while(!feof($fp)) {
						$ipn_response .= fgets($fp, 1024);
				     }
					 fclose($fp); // close connection
		          }

				  if (eregi("VERIFIED",$ipn_response)) {
					 return true;
				  }
				  else {
					 $last_error = 'IPN Validation Failed.';
					 return false;
				  }

		     }

   
 }


